[VERSION] 41 - Initial Beta Release
[SECTION]
[NODOT] <CENTRE><SIZE:large> Build 41 is the most fundamental and wide-ranging update that Project Zomboid has ever had. <BR><LINE> We intend it to be a stable foundation for us to build on for many years ahead. For this reason too,however, we anticipate a fairly long public beta while all the various issues presented to us by community testers are spotlit and remedied. <LINE> Some key features, primarily MP, are disabled in the beta build. <LINE> 
<LEFT> New gameplay styles: Builder, Brawler and Survivor
More deadly ‘Survivor’ (Survival) gameplay balance – player can be dragged down by horde and feasted upon etc. 
New survivor abilities: sitting, sneaking, sprinting, jogging, racking, reloading, climbing, fence-jumping, collapsing and much much more. 
New combat, new weapons, new difficulty balance. 
New character creation – many, many different new clothing options both on spawn and discoverable in the world as loot or on zombies. 
New zombie behaviour: feasting on recent corpses, lolling against walls, falling over fences etc. 
Blood system that progressively bloodies bodies and clothing of survivors and zombies 
New injury system – movement and combat visibly hampered when injured. Lacerations now possible, an injury state that lies between bites and scratches. 
Improved gunplay: green/red aiming outline, new guns, improved racking and reloading, increased gun loot spawn. 
Zombie Death Scenes – zombies discovered in the situations in which people died. Prayer meetings, sports-viewing parties, survivor zeds wearing backpacks etc. 
Situational zombie type/clothing and inventories – cop zeds in police station, firemen zeds in burnt buildings, Chef zeds in restaurant kitchens, bride and groom zeds at a wedding ceremony in church etc. 
Clothing protection: different clothing provides different levels of protection from zombie attacks. 
Visibly ripped and damaged clothing. 
New Sims-style cutaway vision system. 
Vehicle handling improvements, resizing and appearance tweaks. 
Updated, remastered and improved Kentucky-themed soundtrack. Original music still in rotation, and also accessible through game options. 
New SFX: weaponry, zombie moans etc. 
New water visuals – including visible flow direction. 
New puddle system during heavy rain. 
Broken glass and related injuries. 
Garage doors may be opened / closed and shake when hit. 
New Challenge maps: Film Studio and Kingsmouth Vacation Island 
3D Store Mannequins – can be dressed however you like 
Working washing machines and driers 
New game cursor 
New level-up sound, and tweaked levelling system.
Faint isometric aiming cursor that shows where you’re aiming in iso space. 
New loot balance and loot balance system: houses and stores now have loot in the containers you would expect from real life – and not in a jumble. 
Two tiers of loot priority – allowing for more realistic ‘filler’ loot amidst the more valuable gameplay items. 
Many, many general fixes including remedies for: floating cars, farming issues, inaudible house alarms, erosion shrubs blocking vehicles, desensitized survivors being panicked by crawlers and much more. 
VISIBLE BACKPACKS!

[VERSION] 41.13
[SECTION]
Rebuilt jassimp64.dll with statically-linked c++ library (removes dependency on msvcp140.dll).
Fixed exception in MouseState with 2-button mouse.
Fixed lua error with climb-through-window context-menu command.
Fixed solidtrans objects next to windowframes-without-windows being solid.
Removed 3D-models and 3D-corpses options to fix invisible zombie bodies.
Removed AutoZombieManager.java which adjusted the number of 3D models based on performance.
Fixed exception with “New Roof-Hiding” = No option that causes black screen outside.
Fixed “welcome to build 41” being off-center.
Possibly fixed rainbow-colored bodies on Mac OS.
Possibly fixed failure to load bob/bob_idle animation on Windows using the Turkish (and potentially other) locales.

[VERSION] 41.14
[SECTION]
Various movement / rotation fixes, hopefully a final Turkish lanuguage issue fix, various other bug fixes and working Brawler and Builder modes
[SECTION]ANIMS
Now treats aiming/strafing as a zero-momentum state, like idle. 
Turn180 now uses idleToRun180 instead of runToTurn180 when going from strafe -> run in the opposite direction of travel. 
Only blends (with animations) to defaultWalk/Run/Sprint if isTurningAround==false
Uses animation-less transitions otherwise. This prevents the transition anims from doubling up with the turn180s anims.
ZNetFriends continues pinging in singleplayer, possible it's one source of FPS drop
Run -> Strafe -> Run now keeps to a straight line of travel. No longer does the strange arc movement during transition
Strafe -> Run transitions now only use transition anims if at not turning more than 90 degrees.
Strafe -> movement transitions updated to correct targets when isTurning90/Around.

[SECTION] BALANCE 
Increase quality of Tires on cars to at least 20-30% in Survival mode

[SECTION]FIXES
Fixed Vehicle stopping immediately after its tire is burst
Failed to Poll Device spam should be hidden, may be source of FPS drop for those with Blutooth or other wireless hardawre
Fixed missing bob/bob_idle on Turkish systems.
Fixed AnimationSet lookup bug with Turkish locale ("Idle" -> "idle").
Fixed EmptyStackException in IsoSpriteInstance.get().
Fixed player not starting without clothes in AReallyCDDAy.
Fixed custom icons for clothing and containers being lost after reloading a game.
Fixed exception cleaning blood with a Bath Towel.
Fixed exception loading shotguns (or any gun without a magazine).
GrabItemAction transfers multiple items at a time similar to InventoryTransferAction.
Fixed transferring large stacks of items tanking FPS.
Fixed losing ammo when creating a sawn-off shotgun.
Fixed resize behavior of the Customize Character screen.
Fixed combining InventoryTransferActions when the source and destination containers aren't the same.
Changed "version 110" to "version 120" in some shaders that use functions in const expressions.
Fixes to MainThread/GameThread crash handling.
[NODOT]<INDENT:40> A crash in RenderThread no longer locks-up the game.
[NODOT]<INDENT:40> - Uncaught Errors now get absorbed, logged, and an attempt is made to preserve save data.
[NODOT]<INDENT:40> Added uncaught exception handlers to MainThread, GameThread, and any other internal threads I could find.
[NODOT]<INDENT:40> Added default uncaught handler for any external threads.
[NODOT]<INDENT:40> Added custom handler for MainThread, sets bGameThreadExited and signals the RenderThread.
[NODOT]<INDENT:40> Added custom handler for RenderThread, sets m_isCloseRequested, zaps any waiting queues, and waits for MainThread to save and close.
[NODOT]<INDENT:40> - DebugOptions
[NODOT]<INDENT:40> Added testThreadCrash mechanism, used to fire a crash on-demand, remotely from AnimZed.
Fixes to odd arc turns during transitioning from walk -> strafe
Fixed Brawler and Builder playstyle options in menu to stop them launching Survivor by mistake
Crash-fix for when getVectorFromDirection is given a null vector.

[VERSION] 41.15
[SECTION]NEW
Renamed playstyles for clarity and to emphasise dev intent for how they should be played. Brawler becomes Survivor, Survivor becomes Apocalypse.
Added anim-less transitions for sneakWalk -> strafe, sneakRun -> strafe, sneakWalkLow -> strafe, and sneakRunLow -> strafe
[NODOT]<INDENT:40> - Eliminates the odd turning arc while transitioning to strafe.
Removed strafeToWalk animation from strafeSneak -> walk/run/etc.
[NODOT]<INDENT:40> - Reduces the amount the character jumps while transitioning from strafeSneak to said states.
Implemented SFX for lower impact car collisions
Added falling-zombie state.
Added context-menu tooltip for opening/closing curtains to display keyboard and mouse shortcuts.
Added VERSION=1 to keys.ini. Remap C to L when VERSION is not present or is less than 1.
Added state transition from lunge to falling for zombies.
Added climb over fence transition to falling (when there's no floor on the other side).
Added Height map texture for puddles. This texture should increase performance when drawing puddles.
Added Logs/ZombieSpawn.txt to record zombie spawns.  Should record zombies spawning inside of buildings, not so much outside.

[SECTION]BALANCE
Toned down zombies and zombie spawns a little in Survivor (formerly Brawler)
Reduced the delay after climbing through a window or over a fence before the player can move.
Temporarily disabled body temperature change to help people survive winter
Made hit detection on body parts on downed zombies a little tad more generous
Bare hands in multi hit can now shove up to 3 zombies - on Survivor mode (formerly Brawler)
Set generator ConditionMax=100.
Set some vehicle parts ConditionMax=100.

[SECTION]ANIM AND MODEL CHANGES
Tweaked several turn anims
Reversed mccoy van logo

[SECTION]FIXES
Fixed shoving the first zombie within range, rather than the closest zombie within range.
Fixed incorrect path to Ambient Piano
Attempted fix for Mac issues via rebuilt Mac 'lighting' libLighting.dylib
Fixed zombification from tree scratches.
Fixed RenderThread jobs sometimes being reported as finished before they are invoked.
Fixed "Random" button in the Customize Character screen resetting the player's profession.
Fixed molotovs and broken weapons not being removed from the player's hands.
Fixed item icons on the ground being twice normal size when "Double sized textures" = No.
Fixed issues saving the player to the vehicles.db database.
Fixed unicode filenames are not supported by animation/model importer.
Fixed not being able to open/close windows via the context menu when the player is already standing at the exact center of the square.
Stopped zombies dragging down a god-mode player to their death.
Lowered outside passenger positions of SportsCar (fixes a camera glitch).
Rip Clothing and Craft Sheet Rope work on all selected items (if they're valid).
Removed PerformanceSettings.modelsEnabled and PerformanceSettings.support3D.
Lowered the number of asset-loading threads from 4 to 2 on systems with 4 or fewer hardware threads. i.e dual-core with hyperthreading, or quad-core without hyperthreading.
Fixed missing trait icons when using the Turkish locale. (Prone to Illness, Illiterate, etc).  Anything with a capital I.
Double-clicking tutorial and playstyle labels in the new-game screen proceeds to the next screen.
Fixed issues attacking while in a vehicle (infinite ammo, can't shove).
Try to fix exceptions in ClimbThroughWindowState.  Don't store IsoWindow or IsoGridSquare in StateMachineParams since they may become invalid due to map scrolling (for zombies on the edge of the loaded area, not the player)
Fixed lua error in DebugChunkStateUI
Fixed displaying LMENU as LALT.  Display RMENU as RALT.
Fixed clearing a keybind displays it with no name instead of NONE.
Fixed some weirdness in the fastforward cancel when near zombies.
Fixed items floating off the ground when dropped from inside a vehicle.
Fixed multiplying generators after using "Equip in both hands".
Fixed parenting the player's inventory to a zombie after a knife gets stuck in the zombie's head.
Fixed Bare Hands not being counted as a favorite weapon, except when stomping.
Fixed "Untie Hair" option being available for already-untied hair after loading a game.Fixed player not dying properly after falling.

[VERSION] 41.16
[SECTION]
- Increased memory allocation for 64bit zomboid that could potentially avoid crashes on some systems loading into game.
Fixed shader issues with clothing overlays and holes which affect some GPUs (big source of hangs/crashes on game load / leaving spawn house and probably the same cause of some mac issues reported)
Added options for transparency / visibility of iso cursor for combat.
- Render thread will now throw out better error messages for diagnosing future problems.
Fixed zombies playing their death sound sometimes when stabbed (but not jaw-stabbed).
[NODOT]<INDENT:40> This happened when bCloseKill=true but CriticalHit=false.
A zombie dies as soon as it is jaw-stabbed, not after falling to the ground.
[NODOT]<INDENT:40> The KnifeDeath animation is played in the falldown state, not the hitreaction state.
[NODOT]<INDENT:40> The KnifeDeath hitreaction doesn't happen now because the zombie is dead before falling.
Fixed zombie number issue on Survival
Fixed pathfinding failing when moving on the same square when that square is blocked in all directions.
[NODOT]<INDENT:40> This worked before luautils.walkAdj() was changed to not call AdjacentFreeTileFinder.isTileOrAdjacent().

[VERSION] 41.17
[SECTION]NEW
All characters now start with a belt - giving them a "Back" slot & two belt (left/right) belt slots.
You can either right click a slot, or drag & drop a weapon to it.  Or, alternatively, click a weapon in your inventory to attach it to the hotbar.
Weapons will be shown on the player. Pressing a hotkey (from 1 to 5) will auto equip the weapon assigned to each slot.
Added holsters. Holsters have a chance to spawn on police/policestate zombies
Rebuilt ProjectZomboid.exe as a gui application, no more console window. Should work with Steam remote play together now.
Added player Bob_VaultOverToFall animation when climbing over fences.
Added zombie Zombie_WalkTrees animation for walktoward and pathfind states.
Zombie lunge animations played at 50% speed in trees.

[SECTION]BALANCE

Boosted wood axe damage, speed, amount of time you can move during strafe, to make it a viable (but still quite slow) heavy damage weapon
Force standing when drinking/filling items from sink.
Reduced handgun model size (+ muzzle redone)
Added Chipped stone to craft lance recipe.
Made tall fences transparent when the player is behind them
Disabled Hypochondriac trait until it can be fully reworked
Reload XP now given when inserting bullets in clip (small chance) and when reloading (bigger chance).
Added spear fishing.
Now equip in 2 hands shovel when taking dirt/sands..
dded Griddle pan for stir-fry.

[SECTION]FIXES

Fixed zombies spawning in buildings long after a player has entered the building. 
Fixed Double-barrel shotgun issues.
[NODOT]<INDENT:40> 1) Missing inventory icon.
[NODOT]<INDENT:40> 2) Removed chamber, which allowed 3 shells to be loaded.
[NODOT]<INDENT:40> 3) Racking not required.
Fixed blob/suitcase Zeds on spawn
Fixed FMOD crash on 64-bit.
Fixed zombies getting stuck in the air after climbing through a window.
Fixed exception after renaming food to have a dollar-sign character in it.
Fixed lua error when taking compost from a composter.
Fixed zombified players interacting with doors/windows/etc by left-clicking.
Fixed new shovels not being useable for taking dirt/gravel/sand.
Fixed hammering animation when pouring dirt/gravel/sand from a bag.
Fixed Logs.zip console.txts are limited to all of 2 lines during most crashes
Fixed issues pressing Escape while entering or exiting a vehicle, or switching seats.
Fixed players going through a wall when run-vaulting over a fence adjacent to the wall.
Fixed issue: Unhandled Thread exception by the SQLDB in a non UTF8 environ.
Fixed Protection screen not working with a controller.
Fixed Info hair/beard buttons not working with a controller.
Fixed clothing dryer and washer continuing to play sound after the power goes out.
Fixed weather mask not updating when the zoom level changes.
Fixed weather mask not rendering for splitscreen players.
Fixed zombies get stuck after climbing over a fence with no floor on the other side.
Fixed some files being closed via garbage collection.
Crouch key only affects player 0 which fixes split-screen shared crouch
Fixed "Sit On Ground" context-menu option is available when already sitting.
Fixed "Sit On Ground" context-menu option is not available when using a controller.
Fixed adding frozen food into recipes.
Fixed old Socks still existing.

[VERSION] 41.18

Add "Finished" Sound to Washing Machine/Dryer
Not being able to add/remove clothes to washer/dryer while cycle is active
Change Moodle "Minor injuries, first aid required"
Custom Sandbox Settings Don't Save as a Saved Preset if "/" is in Name
Fishing SFX not synced
Clothing Ensemble Bug
Filling Broken Saucepan Bug
Fixed uninitialized uniform index with TallFenceShader.
Disabled TerrainRenderTiles_UseShaders in non-debug mode, set default=false.
Fixed floor and wall shaders being recreated each time a game is started.
Hopefully fixed rain puddle performance issues.
Re-enabled the fridehum/window/door/etc ambient sounds.  
Changed WaterDrip sound to only play on IsoFlagType.waterPiped sprites with water (so they won't drip after the water shuts off, unless connected to a water source). 
Save hotbbar position to avoid weirdness at loading game with holster equipped.
Adjusted some model position for attached weapons.
Added double barrel shotgun. (anim + spawn).
Fixed some weirdness with guns.
Now reset the loot position when transfering stuff
Can now pickup broken glass (warning, if no gloves you might get injured).
Increased Soap spawn rate.
Decrease soap consumption (*2).

Various compatibility changes for future Super Survivors updates.
Cleaning liquid can now be used to wash yourself/clothing (NEW cleaning liquid, previous one won't work).
Cleaning time now depend on amount of blood/dirt on clothing.
Clothing will be soaked after being washed by hands.
Fixed exception when washing Socks.
Decreased time to wash clothing.
Added various recoil anim for guns/firearm, the more aiming level, the faster you'll shoot + less recoil from anim.
Added switch Single/Auto for the M16.
Fixed hotbar weight taking priority over equipped item weight.
Tooltip now show correct weight if weapon is in hotbar.
Balanced assault rifle
Fixed: Zooming out over water results in black squares instead of water
Fixed after-death text being rendered twice for players.
Fixed rain-splash rendering bug in splitscreen. 
Fixed typo with ISBaseObject.type. Capital-T Type is used in several places.
Fixed player model being reset when swapping hotbar items.
Fixed character-info avatar not updating when swapping hotbar items.
Call ISHotbar:refresh() in update().  My previous commit added a call to triggerEvent("OnClothingUpdate") in IsoGameCharacter.setAttachedItem() which might cause refresh() to be called at unexpected times.
Moved IsoGameCharacter.attachedModels to ModelSlot.attachedModels.
Fixed error in ISAttachedItemsUI.lua when zombies have multiple items attached.
Delay resetting a character's equipped and attached models until the next frame.
Changed ISHotbar:update() to handle InventoryItem.getAttachedSlot() becoming invalid for some reason.
Fixed text boxes not being destroyed bug
Fixed hotbar exception after moving the first of two belts to a container.
Fixed previous game's zombie population settings being applied to new games.
Fixed Survivor.lua sandbox preset never being loaded.
Rebuilt Linux libPZPopMan64.so.
Lowered burnt house spawn rate.
Fixed zombies being considered as on back when falling through window.
Can now wash yourself without soap, but takes longer.
Capped the time needed to wash clothing.
Added holster icons.

[VERSION] 41.19
[SECTION]NEW
Re-added sprinter zombies to sandbox.
Certain headwear now have a chance to fall when attacking (on zombies and players). Hats now rendered as 3D models in the world.
Slot labels now displayed above the hotbar when the mouse hovers that slot.  This was to fix labels that are longer than the slot. When no item is in a slot, the faded icon of the item that provides the slot (such as a belt) is displayed instead.
New SFX for lower impact car collisions
Added  new sandbox presets to the sandbox options screen. Updated all the sandbox preset files so they include values for all options.
Added star quality to show durability of items in hotbar.
Left belt is now first, then right slot, this'll work only if you unequip/reequip the belt.
Updated community translations
Added ProjectZomboidOpenGLDebug64.bat which uses lwjgl-debug.jar instead of lwjgl.jar to enable extended error checking. Among other things, this calls glGetError() after every OpenGL call.
Sneaking now drains more endurance when walking/jogging than normal walking/jogging.
Equipped item/clothing now at the end of the inventory and not at the top.
Pressing R can now do multiple thing:
[NODOT]<INDENT:40> - If mag is in equipped gun, unequip it, check for a new mag to insert.
[NODOT]<INDENT:40> - If no other mag found, check if we can load bullets in one mag, when done auto reload/rack.
Added some debug info about quit and around saving the game on quit

[SECTION]BALANCE
Changed all open doors to be see-through to help with combat when zombies are on the other side of an open door.
If a vehicle is inside a garage, the area of the vehicle now decreases slightly - to help with parking.
Balanced firearm stats.
Increased chance of finding magazine in guns.
Improved M16 and Automatic fire weapons. 
Adjusted some loot spawns
Add carpentry exp when making spears.
Zombies have now defense according to clothing
Eating frozen food now gives unhappiness/boredom malus.
Re-added guns to spawn
Lowered gigamart spawn rate.
Increased safehouse loot.
Changed Builder's food rarity settings from "extremely rare" to "rare"
Disabled automatically vaulting over fences when there's no floor on the other side.
Added a grace period during which a 'Surprise Bathroom zombie' attack does no damage to avoid unfair instadeath. 

[SECTION]ANIM AND MODEL CHANGES
Tweaks to Hunting vest x files and masks so they work better together
Adjusted wedding jacket to work a bit better with jumpers.
Adjusted Huntingvest masks so that it works better with clothing
 

[SECTION]FIXES
Fixed the player walking in the wrong direction while aiming with a controller.
Fixed hotbar position in splitscreen and after resizing the game window.
Fixed missing window icons.
Fixed tired moodle not in calcul hit chance for firearm.
Fixed exhausted moodle not being in calcul for stomping.
Fixed zombies pushing around zombies sat against a wall.
Fixed hand axe being on wrong rotation when attached in belt right.
Fixed various body location (gask mask could be wear with glasses, some full helmet etc..)
Fixed clothing protection could display over 100%.
Fixed wrong color scheme for bite/scratch defense color.
Fixed not regen endurance if heavy load was > 0.
Fixed heavy load moodle level 4 not doing anything to endurance regen.
Fixed fitness level 10 make you run faster (now only affect endurance).
Fixed missing rip clothing SFX.
Fixed stone not being lost when creating a spear from it.
Fixed double create spear with screwdriver.
Fixed missing adding kitchen knife to spear recipe.
Fixed occasional duplicated cars.
Fixed zombies teleporting through walls when choosing a place to sit after loading part of the map.
Fixed zombies never sitting against south or east walls.  IsoGridSquare.getWallType() looked for WallS and WallE properties which don't exist.
Fixed lua error looting hotbar items from corpses.
Fixed dissassembling not forcing you to stand.
Fixed removing a magazine from a firearm also removing 1 bullet from the clip.
Fixed some lua errors being printed to console without displaying the red error box.
Fixed car battery charger not rendering sometimes.
Fixed some blending during vault over.
Fixed sudden pause at the end of vaultOverRun
Fixed vault over sprint making a snap.
Fixed eating and drinking animations stopping in the middle of the action
Fixed some zombies walking being really fast or way too slow
Fixed Builder preset being initially selected in the sandbox "Saved Presets" combobox when the actual settings were for Survivor.lua aka Apocalypse.
Fixed the player's view cone changing direction more quickly than the model is turning.
Fixed character-info avatar not updating after washing off blood.
Fixed zombies sometimes standing idle when they should be chasing the player.
Fixed iso cursor being rendered at twice the size when Double-sized Textures = No.
Fixed players not always facing the direction they should when performing actions.
Fixed player walking when turning off an alarm that is in their inventory.
Fixed house alarms not working.

[VERSION] 41.20
[SECTION]NEW
Added new textures for zombies and survivor characters.
Zombies have now 3 level of decay, they'll be shown depending on your survival time (6 months after apo having lots of decay level 3 etc..)
Updated Kingsmouth & Studio map, also changed their description for placeholder & added correct thumblr for them.
[SECTION]Character temperature stuff:
Added Thermoregulator to BodyDamage which handles all the player heat stuff
Added character panel thermos ui and elements
Changed hunger,thirst,fatigue may be multiplied due to thermoregulation state
Reworked cold/heat damage and penalties
Changed umbrella effectiveness to per body part basis
Changed getting a cold chance to measure skin temperature + wetness per body part, head/neck/chest weigh more
Changed outdoorsman reduces chance to catch a cold to 10% of normal
Added proper humidity to climate manager
Added bodyheat generation values to timedactions, walking, combat (also an increase based on weight)
Added bodywetness per body part instead of one value for entire body
Changed clothing wetness/drying, added perspiration and body heat working the layers from inside to outside 
Added clothing insulation values to new clothing, Clothing insulation can be set from 0.0 to 1.0 
Added clothing wind resist, decreases windchill effect, can be set from 0.0 to 1.0
Added clothing water resist, 1.0 fully stops soakthrough (example poncho) lower value slows it down
Added time penalty for timed actions when hands/arms are very cold
Added bodypart widget to protection panel
Changed PlayerClimateDebug to show debug stuff for thermoregulator now
Added BodyPartContacts, can be used to determine which body part connects to another
Added distance to core, skinsurface percentage and umbrella mod to BodyPartType
[SECTION]Added Clothing Repair:
Right click an item to add/remove patches to clothing.
Adding a patch to a hole removes it, otherwise it simply gives you defense bonus (need to add more insulation to them if simply upgrading).
Quality of the defense depend on fabric used & tailoring skill.
In coming weeks a UI will be made to inspect clothing so it'll be less clicky through submenus.
Changed how ripping clothing works to make it easier to update when new clothes are being added.
Can now rip leather/denim stuff to get strips (requires scissors).
Boosted overall thread spawn rate, can also get leather strips when disassembling leather stuff (couch etc.)
Patch textures currently all the same no matter the fabric used, they are placeholder textures.
[SECTION]Gun improvements:
Tweaked hit chance with guns: should be easier and have a way more 'linear' feel toward aiming level now.
[SECTION]Improved zombies sprinter:
They now sprint only if they have a target, otherwise they just walk.
They have a chance to trip and fall when sprinting.
Fixed zombies sprinting through trees.
Sprinters have a wider turn delta when sprinting.
Controller X button now transfers items from the player to whichever container is displayed in the loot window, instead of to the floor.
[SECTION]Saving and logs:
Added DebugLog.txt file to logs.zip. This file is contained in /debug-log/ directory in archive.
Checked that vehicles.db file is saved in logs.zip. This file is contained in /save/ directory in archive.
Added saving last save when the game starting. Those files are contained in /save_old/ directory in archive.
[SECTION]Water improvements:
Added WaterZones on the docks and boathouse north of Westpoint to fix rendering with the water shader.
[NODOT]<INDENT:40> It isn't 100% fixed; the tiles that provide thickness to the docks aren't visible, and there's a 1-tile glitch where the dock meets the shore.
[NODOT]<INDENT:40> Changed the water-shader code to render in two passes, first the solid water tiles, then the regular tiles, then the shore tiles.
[NODOT]<INDENT:40> It fixes some tiles being hidden on the docks/boathouse north of Westpoint, and the railway bridge east of Westpoint. Previously you couldn't see the transparent floors on the edges of the railway bridge because the water covered them.
[SECTION]GENERAL
Added some food models (mainly for vegetables/fruits).
Addded eat from plate anim
Added tailoring trait/books.
Fixed sometimes having spawn house barricaded.
Moved passive skills to the top of the Skills tab.
Transfering items by 20 stakcs now does it only for small items (weight <= 0.1) liks nails, bullets etc..
Changed aiming zombies outline colors to use less dark red.
Changed some words on repair menu.
Added Bob_IdleEatingFromPlate.X and Bob_DrinkFromFloor.X
Fixed puddles rendering on top of water (when not using the water shader and Dynamic Puddles = All).
Fixed puddle data rendering
[NODOT]<INDENT:40> This was to fix a bug when opening/closing a door using a controller, puddles would appear briefly in a 3x3 area around the door. It didn't happen when using the 'E' key, strangely.
Fixed the second container in the loot window being auto-selected instead of the first when using a controller.
Fixed some garage doors with walls behind them in cell 25,31.
Fixed zombies inherit some other room distributions, making easy to farm some items by luring zombies into specific rooms.
Removed tutorial popup message for new players.
Fixed entering a vehicle sometimes taking longer than it should. This seemed to happen when the player was playing a turning animation and entered the vehicle.
Fixed rendering of wall vines being affected by the old circle-stencil.
Added a delay-before attack animation to the zombie "attack" state in 100% unfair instant pounce situations.  The animation lasts 1/2 second. This replaces the 'grace' period from the last patch.
Removed the blend time between the start and finish animations of the zombie attack. This appeared to cause a hitch in the zombie's pose.
Fixed player walking to adjacent containers when transferring items.
Fixed Difference in how tint is applied to models versus on-character clothes.
Fixed Survivor & Builder mode not starting in July.
Fixed player not waking up when low health.
Fixed player not waking up if a zombie destroy something in the house (window, door, barricade..)
Fixed sometimes player continue walking when about to sleep making him phasing through walls etc.
Fixed texture-related exception loading moveable items in containers.
Fixed sleep ending too soon.
Fixed player turning while looting since doing so may change which containers are displayed.
Fixed corpse textures being recreated each time a corpse was loaded.
Fixed lua error unloading bullets from a magazine when there are no bullets in inventory.
Fixed issues dismantling vehicles with a blowtorch.
Fixed multiplying comboboxes killing fps after repeatedly clicking the Randomize button in the character-creation screen.
Fixed typo in ClothingSelectionDefinitions.lua.



[VERSION] 41.21
[SECTION]NEW
Replaced tailoring submenu with an "Inspect clothing UI" which act like health panel.
Added visible bandage models on character
Changed the animation when building log walls, and hide hand models since no tools are required.
Added a "world" attachment to some weapon models to position and rotate them nicely when they are on the ground. This is used so shovels and planks lie flat on the ground, for example.
Added "Aim outline" display option.
Player now unequips current item before equipping another when both items are in the hotbar.
Fixed some bugs with the Inspect Clothing UI & added a condition bar.
Finished bandages models (added dirty!)
Removed "New Roof Hiding" option.
Catch and log all Throwable errors when saving the game.
Added randomised vehicle spawn events - car crashes etc.
Introduced aspects of new challenges: Zombies are now active at night & inactive during day in Studio, you start with a torch at midnight. Tweaked Kingsmouth sandbox options.
Improved transition to action animation to remove anim snaps
 

[SECTION][INSULATION SYSTEM CHANGES]
Fixed bug that resulted in no catch a cold chance when conditions did apply
Slowed down body heat generation increase/decrease rates
Added advanced view and applied text changes on thermal tab
Fixed temperature offsets of limbs to be more pronounced
Changed a few internal values making fighting cold to be harder based on test feedback also including: the dropping of core temperature now affects total possible heat generated and the body ability to keep fighting cold
Increased energy/fluid consumption rates a little bit when overheating/undercooling
Added small increase in energy consumption when generating lots of heat.
Changed skin temperature moves faster when its moving back to favorable levels, so it doesnt take that long to warm up again.
Fixed bug that during heat made skin too hot too fast based on insulation
Fixed a few clothing pieces insulation
Changed hypothermia stage 2 kicking in at core 35, instead of 33
Added a lower body heat generation value when sneaking.
Added small incremental insulation bonus affecting high insulating clothing mostly
Added extra lower perspiration rate modifier for clothing in colder temperatures
Added water resistance to various jackets,pants,hats and footwear
 

[SECTION]BALANCE
Increased a tad weapon spawning attached to zombies.
Increased gardenning spray, scissors, gloves & butter knife spawn rate.
Removed Belt being able to be cut.
Increased thread spawn rate in kitchen.
Mechanics window tooltips now display battery charge, amount of fuel in gas tank, amount of air in tires.
Improved how day/night cycle zombies sandbox option works: when active, they get your sandbox options. When inactive, they're really slow & weak, but they can still walk/attack.
Added slow shamblers zombies speed.
 

[SECTION]FIXES
Possibly fixed walking-in-place zombies.
Fixed hotbar not updating when replacing a holster with a double holster or vice-versa.
Fixed custom weights for food and crafted radios not being saved.
Fixed "Clear Ashes" not being available.
Allow Shovel/Shovel2/SnowShovel/HandShovel to be used to clear ashes.
Fixed lua error in DebugChunkState displaying tables in modData.
Fixed the bug "vehicles sometimes disappear until you reload the game".
Fixed the player getting stuck when climbing a sheetrope and the way is blocked at the top. The player will automatically climb back down.
Fixed overlapping garage door and wall in cell 37,22.
Fixed Tailoring skill books disappearing after being read.
Fixed grime/overlays/etc from burned tiles.
Fixed the bug: the -Dnosave option throw a bunch of error
Fixed car batteries starting with greater than 100% charge sometimes.
Fixed picking up broken glass with the furniture-moving tool not cutting the hands as it does when done with the context menu.
Fixed red garage doors not being openable.
Fixed Transfer All not working when one of the items is a Moveable (furniture) item.
Fixed cold water being used sometimes when disinfecting bandages or making hot drinks.
Fixed Zombie Count sandbox option setting Population Multiplier incorrectly (since Very High was added).
Fixed wrong climb-over-fence animation playing when holding a handgun.
Fixed MEGA THUNDER bug after fast-forward
Fixed zombies springing upright when struck after climbing over a fence, instead of getting stomped on.
Fixed lua error when attempting to reload a magazine when there are no bullets in inventory.
Fixed lua error when crafting when items need to be transferred to main inventory. (Packing nails into multiple boxes).
Fixed not being able to wear items on the head with coveralls (FullSuit and FullSuitHead locations were swapped). This should fix welding masks disappearing when zombies die, if they were wearing coveralls.
Fixed being able to click on doors to open/close them from too far away. Now the player must be in the 2x3 or 3x2 squares adjacent to the door.
Fixed hitting trees through walls.
Fixed zombies runners not running toward a sound (breaking windows, TV..)
Fixed zombies runners running in circle around you.

[VERSION] 41.22

[SECTION]NEW
New way to spawn vehicle stories, now use zone intersect in chunk to be really accurate.
Added more vehicle stories.
Added weapon name on insert bullets in weapon context menu option
Added footstep sounds when aim-walking.
Moodles now shake and shimmer to signal combat being impaired
Updated some vehicles textures.
Fixed some missing vehicle damage overlays.
Increased cap combat speed for heavy weapons.
Pressing one of the hotbar keys for half a second now displays a radial menu for choosing an item to equip in that slot.
Healing items can be dragged onto the Health panel to treat injuries.-Converted strings for translators
All containers in the loot window now displayed in the 3x3 area around the player.
[NODOT]<INDENT:40> 1) This allows us to add back "turn to face the container while looting", because turning doesn't change which containers are displayed in the loot window.
[NODOT]<INDENT:40> 2) Fixes some awkwardness with looting corpses, since often the player is visually standing on the corpse but not facing the square the corpse is on.
[NODOT]<INDENT:40> 3) It was always possible for the player to click on a container in the world and display it's contents in the loot window, even when the container was behind the player and didn't have a button in the loot window.
Updated translations for Spanish, Hungarian, Japanese and Polish.

[SECTION]FIXES
Fixed vehicle rust missing from Effects.
Fixed player being locked in place after starting to reload/rack a firearm while aiming.
Fixed sitting and thumping zombies being pushed by other zombies
Display the 'equipped' icon in the hotbar for items held in a hand.
Added "Quit To Desktop" main-menu option.
Player now faces vehicle door when attempting to unlock it.
Fixed zombies getting stuck in an animation after the player dies.
Fixed DebugChunkState error when a State wasn't exposed to lua.
Fixed sitting zombies sometimes facing the wrong direction.
Fixed the position of the "favorite" icon in the inventory window (it was clipping into the row above).
Fixed being able to throw a molotov without a lighter in the right hand, and the right-hand item disappearing afterward.
Fixed not being able to queue multiple chop-tree actions.
Fixed the Continue button skipping the profession screen when the player is dead.
Fixed hotbar switching animations.
Fixed the player's direction snapping when changing the player's in-hand models.
Fixes snapping when the player turns
Fixed dragging multiple healing items of the same type onto the Health ui.
Fixed clicking "wear" on a stack of items wearing them all
Fixed being able to open infinite Inspect Clothing UI.
Fixed right clicking on bullets needing a corresponding gun to allow insert bullets in magazine.
Fixed having clicking once bullets in inventory bringing "insert ammo in magazine" for every item.
Fixed not being able to clean dirty leather/denim strips.
Fixed bunch of overlaping text with garmentUI for translator, everything is now tied to various string width.
Fixed sandbox loot settings resetting to default when loading a saved game.
Fixed zombies not attacking players right in front of them when the "Day/Night Active" sandbox setting is not "Both".
Lighter doesn't run out of fuel if we use it as lighting source
Fixed Barefoot footsteps sfx not being softer than when wearing shoes
Fixed chance to catch fish at lvl 1 beingtoo high
Fixed professional clothes (for example Lumberjack shirt) disappearing from the combo when clicking "Random"
Fixed Headlights smashing too easily
Fixed Pin status for inventory menus not being saved
Fixed it not being possible to recover and repair a weapon used in Spear creation
Fixed dryers having Drink Option
Fixed lua error with Painting walls
Fixed Fishing with a spear having incorrect sfx
Fixed sound effect when a door is destroyed being too loud
Fixed incorrect high exertion moodle description
Fixed Trees/clothing protection system issues
Fixed dig Graves action not having SFX for all tools
Fixed vehicle siren typo
Fixed a farming 'Dig' being confusing due to different digging actions - now 'dig furrow' etc.
Fixed weapon SwingSound not playing (whoosh of baseball bat for example).
Fixed HitVehiclePartWithWeapon and HitVehicleWindowWithWeapon not playing, and it using hit-zombie sound.
Fixed hats falling multiple times off reanimated player zombies.
Fixed aim outline for splitscreen players being rendered on the first player's screen.
Fixed weather effects not rendering for splitscreen players.
Fixed the wrong clothing color being displayed in the character-creation screen when selecting items.
Fixed passengers not being allowed to read books in running vehicles (driver still cannot).
Fixed garage doors with walls behind in cells 22,33 and 27,33.
Fixed SmithingMag4 turning into SmithingMag3 when read.
Fixed possible nullpointer for RVSCarCrashCorpse.
Fixed turning again when already facing the direction when doing an action.
Fixed player animation snapping while turning in ISMultiStageBuild.
Fixed vehicle steering flipping like pinball paddles when the fps is low.
Fixed pathfind bug that resulted in "WalkTowardState but path2 != null" messages.
Fixed lua errors when pressing hotbar shortcut keys during game loading.
Fixed exception with PolygonalMap2.intersectLineWithVehicle().
Fixed lua error in ISRepairEngine
Forbid reading skill books that are too high-level.  The player will read for a bit then stop after saying "I don't understand..." etc.
Fixed IsoWorldInventoryObject sometimes using the smaller WItem_xxx textures.
Fixed car duplication.
Fixed vehicle headlights not getting removed when destroyed, emitting light when broken

[VERSION] 41.23
[SECTION]NEW
Change the color of non-icon buttons when clicking them for visual feedback.
Added new sandbox loot options:
[NODOT]<INDENT:40> - Canned food, Medical, Mechanics, Survival gears, Ranged weapons, Ammo, Literature.
[NODOT]<INDENT:40> - When loading a previous game, these new loot modifier will be based on existing one (so ranged wpn/ammo will take weapon modifier, the others will take "Other" loot modifier)
Removed Tutorial from main menu.

[SECTION]BALANCE
Zombies have less chance spotting the player during night (it was already there, but happen only during really dark night, lowered the threshold a tad)
Halved the odds of jamming a gun
Growing hair now take 20 days instead of 30.
Balance weight of some clothing.
Burglar profession can now hotwire vehicles & have less chance of breaking lock when opening windows.
Hard of earing now gives 4 points (from 2).
Increased ThickSkinned cost to 8 points (from 6).
Increased ThinSkinned points given to 8 (from 6).
Some weight related traits now reduce fitness.
Weight related traits have now a bigger impact of chance to fail climbing big fences.
Nightowl fixed, now works properly.
Being Hemophobic and having blood on your on your clothes now slowly increase panic.
More forgiving about the direction the player is facing when auto-vaulting over fences.


[SECTION]FIXES

Temp fix for Kingsmouth hanging while saving. The island is surrounded by water, preventing the game from finding any path to respawn zombies.
Fixed fake-dead zombies in House in the Woods challenges.
Fixed walls flickering on fast-forward.
Fixed zombie skins changing at random.
Fixed belts etc not drying over time when worn.
Fixed missing zombie footstep sounds for slow-moving and sprinting zombies.
Fixed IsoGameCharacter.DoFootstepSound(String) volumes being ignored.
Fixed sprinter zombies lunging at full speed through trees and bushes.
Fixed animation and turning issues when performing medical actions on a splitscreen player.
Fixed bandage models appearing on the doctor rather than the patient in splitscreen.
Fixed rapidly clicking a button ignoring every second click (buttons were ignoring double-clicks).
Fixed Frying Pan model rotation when on the ground.
Fixed Revolver & dbl barrel shotgun getting hammed
Fixed invisible bandage (used to apply bandage model to player) weighting 1.0 (now it's 0).
Fixed sometimes bandage model not being removed (e.g when getting bite).
Fixed zombies attacking while still turning to face the player. This was most noticeable when the player was sitting in a vehicle; a zombie would walk to the vehicle's window, then attack as it was making a 90-degree turn. It could also happen when opening a door with a zombie behind it, or walking around a corner into a zombie.
Fixed inventory-context-menu command "Move To > Floor" moving items to the player's inventory but not dropping them on the floor.
Fixed NullPointerException in IsoMovingObject.checkHitWall() when adjacent chunks haven't been loaded.
Fixed playing the player's hit-reaction animation after exiting a vehicle. It looked like the zombie hit the player from the other side of the vehicle.
Fixed the player dying twice sometimes while getting dragged to the ground.
Fixed multiple issues with zombies knowing the location of players for a period after losing LOS
Fixed zombies seeing the player behind them as soon as they heard noise from the player. Now they don't see the player until they have turned enough.
Fixed metalworking actions failing because the Welder Mask can't be equipped in the hand anymore. Now it is worn.
Fixed ground attacks hitting doors, trees, etc.
Fixed a bit of debug code blocking the main thread every frame.
Fixed ISInventoryTransferAction failing if the item is already in the destination container. This fixes not being able to put gas in a vehicle when the Gas Can is in a bag to begin with.
Fixed duplicating items exploit involving corpses.
Fixed NullPointerException in ThunderStorm when the player's current square is null.
Fixed players getting blood on them after shooting zombies from a distance.
Fixed VehiclesDB not reporting many save/load errors. Now it uses the little-red-box-of-doom.
Fixed multithreading bug with the player/vehicle database. Existing files with already-corrupted vehicle data will repeatedly throw exceptions.
Fixed VehiclesDB throwing exceptions repeatedly if BaseVehicle.load() failed
Fixed NullPointerException in IsoPuddlesGeometry.
Fixed VERSION=1 not being written to keys.ini in some cases

[VERSION] 41.24

[SECTION]NEW
Added zombie turn alerted
When climbing through a window and a zombie blocking it making you fall back into the house, zombie will emit a sound so you know it's there.
Can now shoot at windows (they'll be highlited if in range/direction).
Game now detects when zombies have been walking-on-the-spot for several seconds, then stop moving.
Groups of zombies attacking vehicles now coorindated better to avoid them endlessly walking into a vehicle they can't possibly reach.
Added prediction for melee combat. If you're attacking a zombie that is lunging toward you, we increase virtually the range of weapon to detect an attack, this should make the "miss" animation play way less often when you actually will hit the zombie.
Drivers now look behind them when the vehicle is moving in reverse. This fixes players not being able to see the vehicle they are in when reversing into unseen areas. Drivers and passengers may look around by holding the Aim key or the controller right-stick when windows aren't opened.
Control-mousewheel now cycles between containers in the inventory and loot windows when the mouse is over the items list.
Quality-of-life improvements to taking dirt/gravel/sand.
[NODOT]<INDENT:40> 1) The most-full bag is chosen automatically from inventory (and in backpacks) instead of having to choose one from a submenu.
[NODOT]<INDENT:40> 2) A cursor is displayed for picking locations to take from. This allows the player to click four times in a row to fill one bag, instead of having to right-click and choose the same action four times from the context menu.
Quality-of-life improvements to pouring dirt/gravel/sand.
[NODOT]<INDENT:40> 1) The cursor displays a green or red outline to make it easier to see.
[NODOT]<INDENT:40> 2) The first non-empty bag is chosen automatically from inventory (and in backpacks) instead of having to choose one from a submenu.
Zombies now won't get up if a player is standing on top of them.

[SECTION]BALANCE
Reduced damage done by falling from 2 storey windows.
Fixed being underweight/very underweight causing immediate death when falling from 2nd storey windows and over encumbered.
Allow lunging zombies to climb over fences and through windows instead of walking-in-place into them.
Agoraphobic/Claustrophobic are now mutually exclusive.
Increased hemophobic points given to 5.


[SECTION]FIXES

Fixed no zombies sandbox options still spawning zombies in vehicle stories.
Fixed still turning toward some items when doing various action when it wasn't needed (filling water bottle).
Fixed zombies thumping vehicles not attracting other zombies (missing WorldSound).
Fixed AttackState clearing StateMachineParams (for all states, instead of just AttackState).
Fixed two multithreading bugs.
Fixed not being able to attack after closing a map when using a controller.
Fixed Transfer All moving hotbar items.
Fixed Hemophobic stress increasing faster at higher framerates.
Fixed the player getting stuck in the fishing state if they performed other actions while fishing.
Fixed driving through forests is bumpy even when wood floors have been placed.
Fixed NullPointerException in IsoGridSquare.RenderOpenDoorOnly() when there is fire in a house.
Fixed blocked buttons in the New Game screen after deleting the last savefile.
Fixed not being able to take water from puddles if Dynamic Skybox = No.
Fixed plumbed sinks taking water from puddles.
Fixed Lock framerate = Uncapped not being saved.
Fixed BodyPart.RestoreToFullHealth() not stopping bleeding.
Fixed invisible players and other errors when spawning a splitscreen player in the same location as the other player.
Fixed IsoPlayer.getJoypadAimVector() and IsoPlayer.getJoypadMoveVector() doing sqrt(x * x + y + y).
Fixed passengers seeing the "B for Brake" prompt when using a controller.
Fixed DebugChunkStateUI not updating the display when selecting new squares.
Forbid using the name of an existing directory when creating a new game.
Forbid entering various invalid characters in the savefile field when creating a new game.
Fixed being able to double-click a spawn location to advance to the next screen when an invalid savefile name was entered.
Fixed not spawning zombies eating corpses inside rooms.
Fixed spawning zombies eating corpses in a room when zombie spawning is disabled.
Fixed spawning zombies eating corpses with a wall or door between the corpse and the zombie. Try harder to find a place to spawn a corpse inside a room, instead of always choosing the center.
Fixed blood splatter causing bushes and trees to rustle.
Fixed not being able to walk off the floor in all directions after building a new staircase.
Fixed corpses/items/zombies in rooms spawning in inaccessible areas behind stairs (when the area is 1x1 or 2x1 or 1x2 only).

[VERSION] 41.25 and 41.26
[SECTION]NEW
Revamped mod system:
[NODOT]<INDENT:40> - Updated the Mods screen. The mod description is displayed for the selected mod on the right side of the screen, instead of in the list of mods. Other details such as the ID, Workshop ID (if any), installation directory, and any posters are displayed on the right.
[NODOT]<INDENT:40> - mod.info can have multiple poster= lines to specify multiple images in the Mods screen.
[NODOT]<INDENT:40> - mod.info can have multiple description= lines which add to the total description.
[NODOT]<INDENT:40> - The New Game screen has a button to choose which mods are enabled for the new game.
[NODOT]<INDENT:40> - Each savefile has its own list of mods saved in a file named mods.txt.  mods.txt also has a list of map folders that is used in cases where parts of different maps overlap each other.
[NODOT]<INDENT:40> - The Load Game screen displays the map folders and mod names used by the selected savefile. Since old savefiles do not have a mods.txt file, all currently-enabled mods are used when loading an old savefile. After loading an old savefile for the first time, the mods for that savefile cannot be changed, except by editing or deleting mods.txt.
The old Zomboid/mods/loaded.txt file has been replaced by Zomboid/mods/default.txt.  This file contains the default set of enabled mods that will be used when creating a new game.  The default mods can be overridden when creating a new game in the New Game screen.
default.txt also contains the list of map folders that was previously saved in options.ini (the old "mapOrder" setting that was used to deal with overlapping maps). If there are no map-overlap conflicts, this list of map folders is empty.
Added bBeingSteppedOn IsoZombie GameVariable to test if a player (or zombie) is standing on a prone zombie. Originally I was going to use this to prevent fake-dead zombies turning over when the player is standing on them.Prone zombies won't stand up if another zombie is standing on them.
Changes on character creation:
[NODOT]<INDENT:40> - Can now save/load outfit (clothing, m/f, name)
[NODOT]<INDENT:40> - Can now select texture when item using multiple texture but no colors (jeans comes in 3 colors, but a random one was choosen everytime).
Tweaked washing clothes at sinks:
[NODOT]<INDENT:40> - Clothing is washed one item at a time.
[NODOT]<INDENT:40> - Items are washed in order from least-bloody to most-bloody when Wash > All is chosen.
[NODOT]<INDENT:40> - Context-menu tooltips display the required amount of soap and water.
[NODOT]<INDENT:40> - The correct amount of soap and water is used.
Added a display option to specify which modifier key used in combination with the mousewheel cycles between containers in the inventory and loot windows.  The default is Shift.
The "Walk To" context-menu command displays a cursor to specify the location to walk to.  This allows the player to click multiple times without having to choose the "Walk To" command again, making long jaunts through forests easier.
Items are now placed onto an adjacent not-full square when dropping items on the ground. This is needed since the loot window displays items from the surrounding 3x3 squares, and each square can only hold 50 weight.
Added an option (under Accessibility) to drop items near the center of the square the player is standing on, rather than exactly where the player is standing, for neat freaks.
Items now transferred from lightest to heaviest, to maximize the number of items that will be transferred.
Animation now plays when transferring items between main inventory and equipped bags.
Vehicle-headlight distance and intensity are based on the part condition instead of being randomly set  when the vehicle is created. Headlight width is also based on part condition. The Focus Up and Focus Down context-menu commands which changed headlight width were removed.

Updated community translations.
Added a nag panel that pops up the first time the user tries to access the Mods screen.
Added the word "ERROR" to the little red box of doom.
Zombies can now have random bandages (bloody!) on them, thanks Captain Australia on reddit for the idea!
Overlays updated


[SECTION]BALANCE

Limited the forces applied to vehicles when driving over corpses to prevent liftoff.
Added sewing kit (icon pending) to kitchen loot table, this contain needles/thread and few strips to fix clothing.
Added mouse trap in kitchen random distributions.
Forbid building barbed wire fences without a connecting fence post or barbed-wire segment.
Color palette at character creation now doesn't heavily favors shades of pink and green over others.
Flint knife now has crafting recipe 
Now possible to recover and repair a weapon used in Spear creation
Stomp with fractured thigh/shin/foot now affects stomping accuracy
When stomping on multiple zombies, player now chooses the one whose head is closest. Previously, the distance to the zombie wasn't considered, other than being in stomping range.
Allow the player to drop items while moving, to avoid unfair deaths
Changed Screws weight to match Nails.
Changed IsoGameCharacter.maxWeight from Integer to int.
Reduced the damage to headlights from hitting zombies.
Added more attack prediction for the standing/on ground zombie detection.
Moved Tailoring perks from Survivalist to Crafting sub category.
Changed Flint knife to Stone knife (using a sharped stone).
Increased Digital Watch spawning rate.
Lowered chance of some helmet removals.
Can now attach meat cleaver to the belt.
When a car spawn in zed stories (police, fireman..) key of the car can be find on one of the zombie spawned with it.
Lowered general condition of car spawning in house stories.
Renamed Key in House keys.
House key can now spawn in kitchen counter.
Fireman in burnt house stories now spawn a firemen vehicle.
Added Drink from pot anim.
Can now use the Stone Knife in various recipe (cutting animals, fish, creating stake...)

Some changes on Foraging UI:
Foraging now doesn't close the UI.
Added progress bar on the UI when foraging.
Items gathered will be displayed on the right.
Can now filter on "fish baits".
Animals filter still get all the fish baits too.
Worms can now be found at level 0.

 
[SECTION][CUTAWAY FIXES]

Cutaways - [Bug] Can't see character through some objects
Cutaways - Can't see inside of a house through a window facing top-right
Cutaways - Cut-away walls plop back up when trying to open a window, even when unsuccessful.
Cutaways - Hide the eaves on roofs when entire building is hidden/transparent
Cutaways - Player made walls not display walls, windowframes, doorframes on north and west when build it on Z>0.
Cutaways - Wall cut away system not hiding enough of player-made walls
Cutaways - Wall cut out issue when near window
 

[SECTION]FIXES

Fixed advantages give through cancelling attacks (IMPORTANT: If you prefer playing with the ability to walk while attacking zeds (kiting), then this is possible by disabling Melee Movement Disruption in Sandbox options)

Fixed player animation lockup when gun breaks after firing it.
Fixed blob corpses in McCoys and Prison zones.
Fixed a reused zombie's animation blending in from the previous one it was playing before the zombie was removed from the world.
Fixed the wrong HurtSound being played for zombies after male/female swap.
Fixed reversing over corpses not playing a sound.
Fixed bunch of bugs in Fixing Generator (perks wasn't taking in calcul, also now gives electrical exp.)
Fixed snapping in farming actions due to wait for turning to finish before playing the animation
Fixed the player taking damage from heavy loads when resting, sitting or sleeping.
Fixed vehicles taking fall damage each time they were loaded.  It didn't happen every time, possibly only when two vehicles were touching.
Fixed issues with targeting windows and shooting zombies through windows.
Fixed failing to load models with capital I in the filename using the Turkish language.
Added 'world' attachments to more weapon models so they are centered and lie flat in the world.
Fixed zombies farther away than 10 squares having a negative chance to spot the player.
Fixed not being able to build barbed-wire fences in one direction.
Fixed zombies thumping fence posts.
Fixed fake-dead zombies sometimes appearing naked until the player gets close.
Fixed no wait for turning to finish before starting ISBuryCorpse.
Fixed inventory items displaying the timed-action green highlight after actions finish.
Fixed the player continuing to move while sleeping somtimes.
Fixed lua error after clicking Continue after the last-played savefile has been deleted.
Fixed Flashlight not being consumed from bags or on the ground when crafting Lamp-on-Pillar.
Fixed battery status not being preserved when installing a radio in a vehicle. Changed ConditionMax from 10 to 100 for radio items that can be installed in vehicles.
Fixed not being able to remove a clothing patch without having patch material in inventory.
Fixed clothing tooltip using the wrong player in splitscreen.
Fixed mod IDs for deleted mods not being removed from mods/default.txt, resulting in them being added to mods.txt for new games.
Fixed texture-filtering issue that affected scrollbars and the debug console sometimes
Fixed being able to drink from a Washing machine
Fixed not being able to put a corpse in a grave without a shovel
Fixed fresh, frozen ice cream having negative boredom / happiness values for some inexpiable reason
Fixed Hats held in char inventory (not worn) also becoming wet/soaked
Fixed translations for new game modes not being used in Load Game ui and post-death text.
Fixed zombified players not standing up due to other zombies standing on them.
Fixed game-mode translations not being used in a few places.
Forbid digging graves above ground level. People could put dirt on a roof then dig a grave in the roof.
Fixed dragging items from a bag to the floor not unpacking them first, as was done when clicking the Drop button.
Fixed military fences being climbable when facing south or east.
Fixed new bandage items being added each time the game is loaded, resulting in bandage models not being removed.
Fixed higher engine quality lowering the chance of starting a vehicle.
Fixed colder weather increasing the chance of staring a vehicle.
Fixed vehicle engineQuality sometimes being less than zero or greater than 100.
Fixed rendering of lightswitches, shelves, and other objects that are on the south or east side of a square. This also fixes rendering of doors that swing open the opposite way of most other  doors (double-doors in Westpoint Gigamart and church for example).
Fixed placement of sheets on doors that open the opposite way from most other door
Fixed cutaway outline for window frames that have no window (such as carpentry window frames).
Fixed not being able to build doors on a square a player or zombie is standing on.
Fixed metalwork not using items on the ground.
Fixed metalwork not equipping a non-empty Blowtorch if an empty Blowtorch is equipped.
Fixed non-empty bags being allowed but not being used when doing carpentry (creating a rainbarrel for example).
Fixed Torch and Rope items on the ground not being allowed when creating Lamp-On-Pillar.
Fixed tooltips blocking mouse movement over context menus.
Fixed properties of some light switches (attachedE, attachedS).
Fixed properties of some overlay sprites in tiledefinitions_overlays.tiles.
Fixed clothing on zombies and on the ground not getting wetter in the rain.
Fixed unnecessary reading of directory contents when looking for mod.info files. This slowed down activating mods for the first time.
Fixed water effects animating while the game is paused.
Fixed lua error when creating a splitscreen player.
Fixed player being able to walk through compost bins by making them solidtrans
Fixed characters pathfinding through Lamp-on-pillar by making them solidtrans
Fixed log walls not being transparent like tall fences. (not LOS transparency)
Fixed the savefile picture not updating after playing then quitting to the main menu.
Fixed DebugOptionsWindow being taller than the screen sometimes.
Fixed being able to sneak run/sneak run low when having foot injuries.
Fixed making stakes not giving woodwork exp.
Fixed being able to remove battery while the car engine was running.
Fixed drink from bowl. (drink from pot anim is coming!)
Fixed drinking from popcan having timing issue.
Fixed duplicate bandage models and body-damage models being applied to zombies sometimes.
Fixed a zombie snapping upright after hitting it after it climbs over a counter. A zombie will still snap upright if it is hit while it is still on the counter.
Fixed replaceOnUse/replaceOnDelete not setting favorite is the previous item was favorite.
Fixed destroying stuff not having a calories modifier.
Fixed riverside garage missing their loot table.

[VERSION] 41.27

Reverted (for now) the attack cancel fix while we work out a more elegant solution for next week's patch.
Added missing Melee Movement Disruption option to sandbox options.

[SECTION][Changes to Foraging UI:]

Fixed some typos.
Forage Action wil now continue until you stop it or the zone is empty.
Show current zone's loot abundance
Only one instance of UI can be opened.
Lowered amount of stones found.
You can now select one of your equipped bags to directly drop foraged items into. If bag is full, it will go into main inventory, or ground.

Fixed items in bags not being used when doing carpentry.
Changed "Drop items near square center" default to false, so items are dropped under the player's feet as before.
Fixed not being able to click on carpentry containers to display their contents in the loot window, if the container was more transparent due to being in front of the player.

[VERSION] 41.28

[SECTION]NEW
Experimental optimization. This allows zombies to be updated every X frames via a per-object gametime multiplier that depends on proximity / visibility to player. It spreads update ticks of zombies over frames, meaning higher FPS with large crowds.\
Accompanying the above, added 'tiered zombie update' options (enabled by default) that will update zombies at a distance / out of sight less frequency so hordes will be better fps.
Some fixes to address attack cancelling. Let us know how it plays.
Added Automated Emergency Broadcast radio channel
Made rain a bit softer, and when indoors cut alpha in half
Added option to disable rain indoors completely
Added multiplier option for text remaining visible radiochannels
Added computerize scrambler to zomboid radio
Updated community translations.

Improvements to Foraging UI:
Now displays a list of items found, with their textures.
UI is more transparent.
Cancel button now only cancels the current action.
Added a close button to close the UI.

Improvements to Fishing UI
Now uses same UI model as Foraging
You can select rods/lures
Can select bags to put caught fish in (as with Foraging).
 
[SECTION]BALANCE
Increased sneak bonus when behind certain fences
 
[SECTION]FIXES
Fixed lua error pressing the Craft All button when items are in bags.
Fixed a rounding error that prevented items with 0.1 weight being moved in multiples.
Fixed RuntimeException when having Campfire going inside of a building
Fixed RuntimeException when picking up TV
Fixed InvocationTargetException when picking up a Barbeque that is burning (bbq can now no longer be picked when burning, too hot)
Fixed NullPointerException + Game crash after driving from WestPoint to Muldraugh (RVSContructionSite)
Fixed Fastforward through Helicopter event causes to go on for a couple of days
Fixed being stuck when the fishing rod break while fishing.
Fixed night color not being applied
Fixed open doors cutting weather mask when not visible
Fixed inconsistency with where items are dropped depending on whether the item was dragged from the inventory window, dropped via the context menu or Drop button, or automatically dropped (for equipped corpses).
Fixed the loot window not updating when corpses are dropped sometimes.
Fixed the inventory and loot windows placed at the bottom of the screen being in a different location after reloading, if they were resized to less than the default height.
Fixed being able to rip clothing that requires scissors if other clothing is selected that doesn't require scissors.
Fixed roofs not keeping the player dry if there aren't enough walls to make a room.
Fixed garbage creation related to clothing item lookup.
Fixed scavenge and fishing Cancel buttons doing nothing after the first action finishes.
Fixed scavenge and fishing layout with different-sized fonts.

[VERSION] 41.29

[SECTION]NEW

ZOOM beta merged in - crisper visuals and improved performance for low spec systems
Added a cursor to help select which tree to chop down.
Added a horde manager UI in debug
Added sandbox options "Vehicles Story event chance"
 

[SECTION]BALANCE

Removed damage from driving over small trees and bushes.
Reduced the slow-down from driving over small trees and bushes. (May be one or two types we've missed)
Tiny saplings no longer make you fall when sprinting.
Updated community translations.
Made lighting on dropped weapon and hat models less bright.
 

[SECTION]FIXES

Fixed some strangeness on older Macs with the new models (Apple crew! Please report in! Do we have you back?)
Fixed cutaways failing on NW wall corners.
Fixed issues with cutaway system failing completely sometimes.
Fixed lua error taking a key from a killed zombie.
Fixed zombies getting updated after being removed from the world.
Fixed not being able to attack prone zombies if there is a zombie standing nearby behind a closed door.
Fixed the aiming outline not appearing sometimes.
Fixed timed action stop() method being called if the action was interrupted during waitToStart().
Fixed the missing patio floor in the Riverside restaurant.
Fixed collision detection with trees and bushes.
Fixed some typo (Tshirt -> T-Shirt).
Fixed tailoring XP exploit when removing patch multiple time.
Fixed "Tiered zombie updates" option not saving.
Fixed garbage creation related to clothing item lookup
Fixed scavenge and fishing Cancel buttons doing nothing after the first action finishes.
Fixed scavenge and fishing layout with different-sized fonts.
Fixed north-west corner tiles not cutting away.
Fixed off-center chop-tree indicator image.
Fixed ISEquipWeaponAction not completing immediately if the weapon is already equipped.
Fixed the render thread calling AnimationPlayer.getRenderedAngle() in some places. Added pooling of AnimationPlayer objects.
Fixed controller issues in the foraging and fishing ui.
Fixed vehicle save issues by doubling the size of the ByteBuffer used to save vehicles from 64KB to 128KB.
Fixed IsoZombieGiblets never being removed from the square they are on.
Fixed closed curtains not being visible from the outside.
Fixed being able to click on curtains to open/close them from too far away or when outside buildings sometimes.
Fixed iso cursor being visible when using a controller.
Fixed the player getting stuck in the aim animation if the weapon breaks while attacking.

[VERSION] 41.30

[SECTION]NEW

Spiffo's Secret Special Sauce. CONTENT REDACTED.

[SECTION] Zoom improvements:
Used the same zoom levels with the not-double-sized textures as are used with the double-sized textures. This is mainly to allow zooming in further with the not-double-sized textures.
Fixes to non-diamond floor sprites' tile seams.
Fine-tuned padding to 0.5% at Zoom <= 1, and 0 when zoomed out.
Cleanup of sprite shapers.
Added WallOverlay property to some trailer sprites to fix seams (not completely fixed).
Added is-floor property to two flat trailer-roof tiles to fix seams and lighting.
Fixed missing flags on a couple of floor tiles to fix seams and lighting.
Revised Iso sprite padding to reduce overlap and minimize seams.
Changed the way texture filtering is selected, for better aesthetics at all zoom levels, and minimal visual artefacts while in motion.
When zoomed all the way in, the filter used is Nearest-neighbor for that crisp, pixelated look.
When zoomed less than 100%, the filter used is Bilinear, for a smoother appearance and no visual artefacts
When zoomed out beyond 100%, the filter used is TriLinear, also known as Linear MipMap, for smoother appearance and less pixel shimmering.
Fixed edge-tile seam artefacts on shorelines.

[SECTION]Cutaway improvements:
Player made walls now display walls, windowframes, doorframes on north and west when build it on Z>0.
Timer now stops cutaways and other visibility/hiding effects flickering
East walls from character on Z=1 levels now work correctly

[SECTION]Polished animations when working on vehicles:
Fixed character angle snapping when opening the hood.
Play an animation before the mechanics window shows (while examining the vehicle).
Play animations when adding/removing gas. Display the gas can model in the player's hand when using one.
Play animations when installing/uninstalling parts.
Increased the time to install/uninstall tires.
Ensure the player is facing the vehicle before smashing a window.

[SECTION]Temperature system improvements
Changed room temperatures to be more accomodating until heating/cooling devices are introduced
Fixed bug where bodyheat would sometimes prevent clothes getting wet in the rain
Reinstated food consumption for combatting the cold, but decreased impact severely
Toned down other consumption of fatigue and fluids, tho fluids still remain a strong factor when overheating
Changed energy impact on thermoregulation to be less harsh when energy still is high but worsening as energy depletes.
Changed core celcius recovery faster when trend is moving towards setpoint
Changed bodywetness having a slightly stronger impact on heat gain/loss
Changed capacity weight factor on energy produced stronger as capacity nears max, negligble when low
Reworked and finetuned some parts of thermoregulator
Removed hunger effect of Thermoregulator in favor or increased calories intake.

[SECTION]Vehicle/Player DB
Players are now saved separately from vehicles.
Players are saved in a file called players.db. Vehicles are still saved in vehicles.db.
[NODOT]<BR>
The hitching when entering unexplored parts of the map (when new vehicles are created) should be fixed.
Added a cursor to choose squares to remove blood from.
Multi stage build now show a plank in player's hand when building.
Added pouring water with watering can (for farming eg).
Take fuel from gas pump now use an animation.
Added debug panels for radio system to monitor all channels, broadcasts, scripts etc including their settings
Zombies now can't bite you mid-air while climbing tall fences/wall, but can make you fall.
Added sewing kit texture.
Smashed bottle is now a stab weapon, won't do damage to door or trees anymore.
Sync the sound and action of racking a rifle with the animation better.
Added a note in a gun's tooltip when it requires racking to chamber a round.
Allow corpses to face arbitrary angles instead of being restricted to one of 8 different angles.
Changed the "wash yourself" animation.
Now possible to recover and repair a weapon used in Spear creation
Increased chance to hit ranged weapon when zombies are really close.
Sprinter zed attacks now slow the player down.
The controller B button toggles sprinting on and off.
Increased time to heal some wounds.
Added ability to remove grass and wind effect that appears on street cracks
Added notice "Needs to be turned off." when trying to pickup moveable that cannot be picked up when operational (BBQ)
Added DeviceData getEmitter for modder purposes
 

[SECTION]BALANCE

Increased spawning of cigarettes on zombies.
Zombies can now spawn lighter, matches & digital watches.
Increased various metal working related items spawning rate.
Increased mouse trap, gardening spray spawning rate.
Chainlink fences are dismantlable, giving MetalBar and Wire items.
 

[SECTION]FIXES

Fixed sprinter zombies running through the player.
Fixed crashes on some intel systems due to the unused includes on floorTile.frag not playing nice
Fixed the clothing dryer being plumb-able (removed waterPiped property).
Fixed race condition leading to an exception when starting up the game.
Fixed pistol spawning without a magazine in the last stand challenges.
Fixed lot_barn_03 which used an old dirt tile (floors_exterior_natural) and had the flat part of its roof on the wrong level.
Fixed fishing line always breaking when catching something.
Fixed foraging action not auto-repeating if nothing had ever been found in that area.
Fixed which animation plays when taking dirt/gravel/sand with a Trowel.
Fixed bottom-right quarter of the screen not being painted black with three coop players.
Fixed broken spear remaining in the secondary hand after it breaks while fishing.
Fixed some "require xyz failed" error messages.
Fixed water-related rendering exception.
Fixed zombies breaking and climbing through the metal-grate-covered windows at the mall.
Fixed lighting on floor blood splatters again.
Fixed the rake animation (used when cleaning blood with a mop) only affecting upper-body bones, and not looping.
Fixed the forage animation only affecting upper-body bones.
Fixed AxeMan trait not affecting animation speed when fighting or chopping trees.
Fixed saw logs not defering lower bones.
Fixed grab items (right click on item -> grab) not using any animation.
Fixed lua exception when a zombie's clothing is destroyed by a player's attack.
Fixed vehicle headlights starting too far in front of the vehicle.
Fixed overlapping text in the inspect-garment ui.
Fixed players and zombies moving through doors/walls/windows/windowframes when climbing over obstacles.
Fixed zombies getting stuck inside an object adjacent to the one they climbed over (they can only climb over one obstacle).
Fixed players climbing through windows over obstacles and then onto water.
Fixed obstacles being solid when placed adjacent to carpentry windowframes, unlike non-carpentry windowframes.
Fixed the Riverside hotel swimming pool having sand around the edges.
Fixed missing ParkingStall zones in cell 33,36.
Fixed some TownZone not being Nav zone in cell 33,36.
Fixed (again) player getting stuck aiming after their weapon breaks.
Fixed custom object tooltips (such as the farm-plant tooltip) being rendered dozens of times each frame.
Fixed a bit of lambda-related garbage creation in StateMachine.
Fixed not being able to 'clean' dirty bandages/rags with contaminated water
Fixed sandwich giving extreme amount of boredom when using bread that's still fresh but will turn stale in less than 1d 12h
Fixed clothes instantly becoming "slightly dirty" after just being washed
Fixed some walls & cars giving you 0% bonus when sneaking behind them.
Fixed ClimbThroughWindowState bug with zombies.
Fixed molotovs disappearing if the attack is cancelled.
Fixed exception when climbing over a fence with fire nearby.
Fixed players catching on fire when inside a vehicle.
Fixed not being able to rack a gun with a magazine if no round is chambered already.
Fixed not being able to repeat-fire rifles from vehicles.
Fixed racking handgun/revolver/shotgun (added rackBullet event)
Fixed random corpses always facing the same direction.
Fixed some story-based corpses clipping with furniture.
Fixed see-through floors blocking vision to other levels.
Fixed rendering issues by changing Muldraugh trainyard buildings so the upper levels are considered rooms (cells 38,32 38,33 and 39,33).
Fixed not being able to interact with doors and windows behind the player using the controller A and B buttons, as could already be done using the E key.
Fixed overlapping debug text in the health panel.
Fixed incorrect dirt tiles in the Muldraugh soccer field in cell 35,33.
Fixed VehicleType static tables not being recreated after reloading lua files.
Fixed automated broadcast generating frequencies that werent being able to be tuned in manually
Fixed corpses or zombies spawning when they should be disabled (on vehicle or house stories)
Fixed the player ending up inside a solid object after falling backwards while climbing through a window with a zombie on the other side.
Fixed hard-coded use of "Zombies/Male Pain" FMOD event name instead of using a script-defined sound.
Fixed mannequins facing the wrong way.
Create texture mipmap data on the asset-loading threads instead of on the render thread.
Tried to reduce the long delay after clicking "Click to continue" the first time.


[VERSION] 41.31

[SECTION]ANIMS

Adjusted blend in and outs for strafing and some melee states (fix for weird looking hitting animation like the rolling pin)


[SECTION]MODDING
Added radio OnDeviceText passes the parent (IsoObject,Item,VehiclePart) for modding purposes

[SECTION]FIXES

Increased damage done to fences.
Fixed zombies shoving you when dead.
Fixed zombies shoving after you hit them.
Fixed zombies hitting through walls.
Fixed frames where zombie was considered not "on floor" during a fence or windows lunge attack
Fixed zombies being able to attack you at different Z level when doing a windows/fence lunge.
Fixed lack of zombies in prisoner outfits at the prison.
Fixed (again) blob corpses.
Fixed carpentry not consuming materials.
Fixed short wooden carpentry fences not being destroyable by vehicles and zombies.
Fixed jail-cell walls blocking vision.
Fixed null pointer bodydamage catchacolddelta
Fixed multithreading bug with physics debug rendering.
Fixed toxic buildings throwing exceptions when zombies are inside.
Fixed vehicles running in building making them toxic until it's polished up again

[VERSION] 41.32
[SECTION]NEW
Map and crafting window can now be closed using ESC 
Fishing with a spear has new SFX
State changes now respect partial consumption of foods
Ropes can now be used as sheet ropes
Targetting system now prefers shooting targets closer to the player's z-level.
The door-lock icon in the vehicle dashboard is now drawn in yellow if some (but not all) doors are locked.
Synced zombie thumping animations with the thump impact on doors and windows (except the window-rubbing animation, which doesn't have an impact).
Placed Wire in the metalwork-menu tooltips with the other materials, instead of under the skill level required.
Sandbox options with non-default values are highlighted
Added aiming at floor when you're aiming at a zombie on ground (only works when static for now, strafing will be the same) for every weapon.
Added talkie walkie static models.
Added ability to attach walkie-talkie on the belt having seen how awesome it is in Planetalgol's mod. (Check out his stuff!)
Balanced all weapons range/angle, some weapons were missing angle (meaning you could hit from a 90° angle), some range were way too big.
Better bones masking for melee attacks, hips will now be included, so the melee attack will feel less weird.
Can now uppercut/overhead attack while moving.
Zombies will now thump a car with siren/alarm on, siren will eventually get destroyed by thumping zombies.
Added corpses removal default settings in SP: After 9 days a corpse will either disapear or transform into skeleton (skeleton will then disapear 9 days later).
If you're able to hit a zombie, you won't hit any thumpable, doors, windows, etc.


[SECTION]Zed fence/window behaviour improvements:
[NODOT]PLEASE NOTE THIS IS IMPROVED, BUT NOT FINAL - potentially still some issues

Zombies won't always do their lunge attack even if they can.
Player will not 100% fall on the ground, but do a dice roll depending on stats to check if he falls or not, if not, they'll slightly lose his balance.
Fixed zombies trying to lunge on a different Z levels player.
Added missing weight in calcul for some chance to fall during certain actions.
Fixed too much range sometimes on the zombies fence lunge attack.
Fixed missing transition from shove to bump.
Fixed fence-lunging and window-lunging zombies lateral movement being restricted.

 

[SECTION]Nerfed backstabbing:
Before there was a 100% crit chance with knife when backstabbing, now it will occurs only if the zombie is unalert
The crit chance for other weapons during backstab is lowered if zombies are alert, but greatly increased if unalert
[NODOT]<BR>
Populated many chunks with forage zone via a code solution:
Forest zones are automatically added to allow scavenging in areas where such zones haven't been placed by the mapper.
[NODOT]<INDENT:40> These zones cover exactly one chunk.
[NODOT]<INDENT:40> These zones are always of type Forest, never Deep Forest.
[NODOT]<INDENT:40> These zones aren't saved.
[NODOT]<INDENT:40> A chunk must not be part of a Nav zone or a Town zone, or an existing Forest or Deep Forest zone.
[NODOT]<INDENT:40> Automatic Forest zones require all neighbouring chunks to have trees

 

[SECTION]BALANCE
Clothes can be washed without soap but it takes much longer
Lacerations can now be bandaged with dirty rags
Increased nutritional value of caught fish
More loot in sewing boxes.
More canning equipment in kitchen (jars/jar lids)
More painting materials in crates.
Increased fingerless gloves spawn rate.
Added more loot to the junk table
More clutter in kitchens.
More loot in sheds (mechanics stuff, saws etc)


[SECTION][MAP FIXES]
[NODOT] Fixes to:
Bathrooms with toilets facing each other
Doubled up shelves/counters
Accidental additional walls
Missing windows
Missing doors
Missing lightswitches
Incorrectly placed furniture
 

[SECTION]FIX
Fixed Mildew Spray not being pourablr on the ground
Fixed Tall Fences and Log Walls not being part of cutaway system
Fixed tile with a wall from an intersecting wall not fading away with cutaways
Fixed incorrect timed action on chopping down tree with axe
Fixed floors built on water being invisible.
Fixed rendering floors above water on z > 0.* by tim
Fixed errors loading lua files from mods.
Fixed issues with hoppable seats placed next to walls - transparent walls and jump through-able walls
Fixed fence-lunging zombies hitting players in vehicles
Fixed "Choke Tube Full" making the Shotgun unusable (it set the MinAngle to 1.0).
Fixed sandbag and gravelbag sprite changing to a burned wall when burned
Fixed Character.Debug.Render.AimCone rendering (the angles were wrong)
Fixed save folders and game modes not matching the English UI labels.
Fixed the order of Blow Torch and Welding Rods in metalwork tooltips changing depending on availability.
Fixed vision through windows by adding the transparentN/transparentW flag to all window sprites
Fixed the player clipping through tall fences while climbing over.
Fixed the player not going over a tall fence when starting the climb from too far away.
Fixed fake-dead zombies not counting as "on the ground" when running over them with a vehicle.
Fixed the player shouting when honking the horn when the Shout key is the same as the Vehicle Horn key.
Fixed VehicleCrash1 and VehicleCrash2 sounds not being defined in sounds_vehicle.txt.
Fixed some keys not working after viewing an annotated map.
Fixed missing Stash_MarchRidgeMap6_Text3 translation.
Fixed the JOIN button not being greyed out in the main menu (changed by Zac).
Fixed not being able to attack zombies through see-through carpentry doors (i.e., chainlink gates).
Fixed zombies sometimes facing odd angles when thumping doors and windows.
Fixed wrong angle calcul when aiming at zombies on ground.
Fixed skill magazines not being removed from inventory when used as fuel for barbeques and fireplaces.
Fixed quick stomp when shoving zombie to ground + shove after killing a zed with stomp.
Fixed fences door being more resistant than fences.
Fixed zombies crawling through walls and fences when lunging at the player, after climbing through a window or over a fence.N
Fixed zombies getting stuck in the grace period of AttackState after the player dies (standing with their arms outstretched).
Fixed the context menu sometimes being placed too far away from the hotbar.
Fixed the zombie population renderer not showing buildings in the right column and bottom row of cells.
Fixed player getting double attacks sometimes due to bAimAtFloor switching while an attack animation is playing.
Fixed, hopefully, the Wash'Bloooo' bug.
Fixed sandbox options "attack block movement" not working.
Fixed some weapons (revolver, dbl barrel shotgun..) jamming when they should not.
Fixed media/textures/patches/patchesmask.png getting loaded on the wrong thread.
Fixed not being able to drop individual parts of multi-part furniture items (like beds).
Fixed the zombie "stutter" when going in a room while they're chasing you.
Fixed Sack not being empty (with items inside it) being used to take dirt/sand/gravel.
Fixed red veteran shirt having purple color.
Fixed one of the generic outfit of zeds (one with the long leather jacket) always having white trousers.

[VERSION] 41.33 and 41.34

[SECTION]NEW
Added a full decay for zombie corpses: they go from stage to stage until disapearing totally (they can become skeleton before disapearing)
Adjusted melee anims. Added a new slow when swinging (only when going backward) for 2 handed, 1 handed & knife
Added visible wounds on character (not done the lower body parts yet).
Can now remove visible blood from health panel debug menu.
Added new vehicle stories
Added fuel timer to campfires and other fuel items
Added ability to tie the bandana RAMBO style (will also be added with a ripped sheet soon).
Added ability to use bandana as a mask
Removed long press of E to remove keys from car's ignition.
Added ability to hold umbrella
Added ability to hold a torch/flashlight in your hand
Added Garden Saw.
Added a Loot Generator UI in debug context menu to track loot spawns better
Added cruise control, press Shift + W to start/increase it, Shift = S to decrease it speed, breaking will stop the cruise control (Shift + W to resume it to its set speed), accelerating won't break it, after you release accelerator speed will be resumed to set cruise speed.
The controller X button toggles vehicle cruise control on/off.
Holding the controller X button and pressing D-pad up/down changes cruise-control speed.
Added "Font Size" Display option.
Fonts are loaded from 1x/ 2x/ 3x/ and 4x/ media/fonts/XX/ language-specific subdirectories, if present.

[SECTION]Stealth improvements:
Increased range for jawstab of some knives.
Player will raise their left hand if close enough to jaw stab.
Added jawstab from behind (player & zombie).

[SECTION]Hair dyes:
Added hair dye (regular color will be found in bathroom, some others in a hair salon).
You can dye your hair & beard separately , just right click the hair dye bottle.

[SECTION]BALANCE
Tweaked junk and clutter loot (increased them, added new loots in there)
Increased painkillers active time.
Lowered flashlight weight from 2 to 1.
Added option to Wash clothes with a full Bucket/Cooking pot and Soap in inventory
Weapon magazines are now affected by Ranged weapons sandbox loot modifier option.
Buffed the current flashlight, the handtorch is a lighter version of the current flashlight.
Battery now weight 0.1 instead of 0.6.
Increased torch/battery spawn rate.

[SECTION]FIX
Fixed case of missing decals
Fixed day/night active zombies sometimes sprinting when they should be inactive.
Fixed zombie spawn in large structures like the mall
Fixed Bare Hands counting as a favorite weapon in non-English languages.
Fixed mannequin rendering bug (related to the weather fx mask).
Fixed spawn buildings being randomized.
Fixed exception when the item type specified by ReplaceOnRotten doesn't exist.
Fixed not releasing vehicle database memory properly in rare cases when exiting a game.
Fixed being able to turn during fall down anim.
Fixed zombie auto turning toward player when close killed.
Fixed (AGAIN, AGAIIINNN) having to wash 'Blooo' it
Fixed fishing with the fishing net trap not giving experience in fishing skill.
Fixed leaving Winter is Coming game resetting the Winter timer
Fixed metal Floor requiring 0/0 Welding Rods and Blow Torch uses
Fixed occupational outfits spawning on mannequins
Fixed Scrap Metal not being used when building fences
Fixed problem with masking female character's hair.
Fixed multi hit sandbox option being turned on for challenges.
Fixed models with capital I not loading when using the Turkish locale.
Fixed player not finishing turning around before climbing through a window that is behind him/her.
Fixed missing BreakSound on some weapons.

[VERSION] 41.35
[SECTION]NEW
Experimental bag holding. Feedback please!
[NODOT]<BR>
[NODOT]Added Make-up:
- Make-up available will depend on the type you selected.
- You also need to be in front of a mirror or have a mirror item in your inventory.
- Clown, Skull, Brave heart, multiple lipstick & eyes shadow color...
[NODOT]<BR>
[NODOT]Experimental lighting changes
[NODOT]Feedback please!
Vision cone is 25% darker.
Lamppost lighting are way brighter to counter this.
Increased character's lighting to counter balance the darker vision cone.
[NODOT]<BR>
Changed how car damage is done when hitting a zombie:
[NODOT]<INDENT:40> Before almost no damage were done at low speed + no damage when going in reverse.
[NODOT]<INDENT:40> Now it do, while it's quite low damage at low speed, quickly hitting zombies in chain will start to ramp up the damage done.
[NODOT]<INDENT:40> If the hood is destroyed, some damage will be done on the engine.
[NODOT]<INDENT:40> Tires can now get hits by hitting a zombie too.
[NODOT]<INDENT:40> Increased damage done to headlights when hitting zombies (those things were invincible!). Feedback please!

[NODOT]Added Dirt/Grime.
[NODOT]<INDENT:40>The mask is intended for character, but i'm also using it for clothing, making dresses/skirts not having lots of dirt, i'll ask Mash to update the mask.
[NODOT]<INDENT:40>The shaders could use some more works, specially when on clothing.
[NODOT]<INDENT:40>Works kinda like blood.
[NODOT]<INDENT:40>Random dirt will be added on zed at creation (more the later in the apocalypse).
For character:
[NODOT]<INDENT:40> Running or sweating add dirt on your character, slowly getting to your clothes the more dirty you are.
[NODOT]<INDENT:40> I also need to add some acions adding more dirt (shoveling, gardening..)
[NODOT]<INDENT:40> Being in trees will add dirt directly on your clothing.
[NODOT]<INDENT:40> Falling add also dirt.

[NODOT]<BR>
Clothing item can now have more than 1 extra option.
All bandanas can now be tied the normal way, rambo style or put on face.
Added bandana with random tint.
Added new bandanas to zombies outfit.

Added new vehicle story: Bandits on road, couple of crashed cars, few corpses and some zombies (with bandits with a high chance of having firearm attached to them!). Only appears at after a month of survival.
Police blockade car stories have a chance of having the siren lights turned on.

Added tile property "IsMirror" and added it for every type of mirror in game (for makeup).
Updated hair textures.
Updated bag textures.
Nerfed smashed bottles condition lower chance.
Synced open-window sound effects with the animations better, and try to prevent duplicate sound effects.
The player now attacks repeatedly while the controller triggers are held down, instead of once when released.
Can now right click the equipped item icons on the left (primary or secondary) to bring up context menu.


[SECTION]BALANCE
Increased Paint Can uses from 4 per can to 10.
Increased health of constructed metal walls.
Guns that spawn on zombies have now more chance to have bullets/clip
Increased magazines spawning rate.
Stop getting strength xp from pushing trees (this ain't minecraft yo)

[SECTION]FIXES
Fixed tab panels not displaying the left/right scroll buttons in some cases (i.e., in the crafting ui with larger font sizes or many tabs).
Fixed the mousewheel not scrolling the tabs in the options ui.
Fixed the health panel not always being wide enough to display all the text in it.
Fixed the temperature debug ui not resizing vertically with different-sized fonts (horizontal resizing needs doing).
Fixed model.offset, model.rotate and model.scale not being applied to vehicle-wheel models.
Fixed Sandbox not defaulting to Apocalypse instead of Survivor.
Fixed the existence of the "Post Processing" display option (shaders are no longer optional)
Fixed missing recipes for the new flashlight (aka Hand Torch).
Fixed non-passive skills only gaining a single level when more than one could be gained (due to a high sandbox XP multiplier).
Fixed not being able to attack sometimes when holding torch/umbrella.
Fixed character not raising in hands when ready for a jaw stab.
Fixed Double Metal Doors using same recipe as Double Wooden Door
Fixed crafting Metal Roof not consuming any Scrap Metal
Fixed"Put out Fire" resulting in decimal point values for Campfire fuel times
Fixed Metal Roof not requiring use of Propane Torch and Welding Rods
Fixed translations for hotbar slot names not being used in some places.
Fixed some missing translations in the inspect-clothing ui's context menu.
Fixed police barricades and traffic cones that are added at runtime not being interactive (can't be hit by cars or picked up).
Fixed reset of the "NeedMasking" variable.
Fixed mannequins spawning with inappropriate outfits
Fixed no hair growth on female characters.
Fixed "Blooo" item appearing inside character's inventory sometimes. (Blooo came back :'( )
Fixed missing blood textures on weapon models when they're attached to the player's back or belt.
Fixed beard color not appearing in character info avatar panel.
Fixed bags in hands not being hidden when doing actions.
Fixed sometime unequipping a bag wouldn't remove it from equipped models.
Fixed right hand duffel bag being considered as left hand.
Fixed duplicating bags when falling after vaulting a fence.
Fixed vaulting fence fall not happening for every type of vault over.
Fixed makeup will now be removed after washing yourself.
Fixed handtorch model not being shown when dismantling torch (previosly was CDPlayer).
Fixed hidding weapons when doing actions.
Fixed being able to cancel attack a ranged shot/racking.
Fixed being stuck in aiming when shoving while shooting.
Fixed some drag & drop weirdness while having a bag equipped.
Fixed arms wobbling while holdings bags & running.
Fixed color not being saved when dropping a bags on the floor.
Fixed context key always dropping heavy items.
Fixed numerous holding bags mask blend/snapping.
Fixed snap and wobbling while running with a bag.
Fixed pressing shift while being idle moving the arm while holding bags.
Fixed pressing space while running not registering the shove immediatly but only when you stopped running.
Fixed icons of new item when using extra option being erased (bandana was never changing its icon for example).
Fixed some mirror not working for make up (they were attached sprite & not new object).
Fixed having injuries on left arm affecting combat speed.
Fixed book store cash register having books in it instead of money.
Fixed incorrect umbrella icons.
Fixed police & some other specific outfit not spawning with weapon attached to them (pistol on police for example).
Fixed seeing bags during sit on ground & opening windows.
Fixed an exception in OpenWindowState.exit() when the lock breaks.
Fixed GameServer.SpawnRegions not being initialized.
Fixed ISWeatherChannel bug on the server.
Fixed old map_p.bin savefile code being called on the client.
Fixed room lights being possibly twice as bright as before. Only exterior lights are possibly twice as bright now.
Fixed some blending issue with holding bags.
Fixed Uniform zombie distribution not putting zombies in places with zero intensity in the spawn image.
Fixed the UI font being scaled after viewing a map in some languages (i.e. Russian). Changing the Language in the Display options reloads the UI when not in a game.
Fixed holes in clothing disappearing after patching a hole twice.
Fixed Lua error reading a skill book twice. Skill books should probably use DisappearOnUse=FALSE instead of being replaced with an identical item via ReplaceOnUse.
Fixed metal grates over windows not blocking zombies when they come before the window in the list of objects on the square.
Fixed corpses being a lot darker than zombies. Model lighting was changed in commit 4216.
Fixed Lua files being reloaded when the Display language wasn't changed.
Fixed vehicle models being lit from the wrong direction by lampposts etc.
Fixed exceptions sometimes being thrown when the Model.Render.Lights debug option is used (accessing IsoGridSquare from the render thread).
Fixed overlapping text in the item-spawner debug ui.
Fixed music "drama" never going down.
Fixed player textures being recreated every frame, tanking the framerate.
Fixed the player taking damage and dropping equipped items when climbing over railings onto stairs.
Fixed issues with the player dropping hand-held items after tripping or dying.
Fixed dropping items outside the inventory and loot windows being blocked by hidden parts of collapsed windows.
Fixed some player skills increasing each time a Last Stand Accumulator player is loaded


[SECTION]ZAC STUFF

Added priority parameter to per-bone anim sorting. The mix is now sorted by: Layer, Priority, Weight
AnimationPlayer
[NODOT]<INDENT:40>- New field, int[] m_animBlendPriorities. Reusable array used to for sorting tracks by priority.
[NODOT]<INDENT:40>- Updated function updateMultiTrackBoneTransformsInternal to include Priority in the sorting algorithm.
[NODOT]<INDENT:40>- Minor refactor to improve readability.
LiveAnimNode
[NODOT]<INDENT:40>- New utility functions give access to source AnimNode values:
[NODOT]<INDENT:60> getPriority()
[NODOT]<INDENT:60> getDeferredBoneName()
[NODOT]<INDENT:60> getDeferredBoneAxis()
[NODOT]<INDENT:60> getSubStateBoneWeights()
[NODOT]<INDENT:60> findTransitionTo(...)
[NODOT]<INDENT:60> getSpeedScale(...)
AnimNode
[NODOT]<INDENT:40> - New variable, m_Priority
[NODOT]<INDENT:40> - New function, getPriority()
[NODOT]<INDENT:40> - Added extra api documentation to various fields.
AnimLayer
[NODOT]<INDENT:40> - updateNodeActiveFlags updated to pass through priority value.
[NODOT]<INDENT:40> - No longer repeatedly calling LiveAnimNode.getSourceNode. Using new encapsulated utility functions instead.
[NODOT]<INDENT:40> - StartAnimTrackParameters
[NODOT]<INDENT:40> - New variable, priority.
IsoPlayer
[NODOT]<INDENT:40> Removed workaround to "AttackVariableX". Values of 0.01 and 0.99 are now whole values of 0 and 1.
AdvancedAnimator
[NODOT]<INDENT:40> Removed unused function: ensureEnoughLayers.
    
Updated 1HDefault.Priority to 4 instead of default(5).
[NODOT]<INDENT:40>Fixes odd snapping when transitioning out from 1-handed aim-attacking while holding an umbrella.

Fixed incorrect bone re-bindings for character's clavicles.
[NODOT]<INDENT:40>- Using "Bip01_X_Clavicle" instead of "Bip_X_Clavicle"
Added warning to console if bone re-binds are not valid.
Added toString overrides to AnimBoneBinding, AnimBoneBindingPair, and SkinningBone.
StringUtils
[NODOT]<INDENT:40>Added function: indent
[NODOT]<INDENT:60> - Indents all lines in the supplied text.
[NODOT]<INDENT:60> Allows us to specify what to indent the first line with,
[NODOT]<INDENT:60> what to indent all non-first lines with,
[NODOT]<INDENT:60> what to use as the newLine string (eg. "\n", "\r\n", or anything else, like "newLine: ")
[NODOT]<INDENT:40> Default overload uses System.lineSeparator,
[NODOT]<INDENT:60> does not indent the first line,
[NODOT]<INDENT:60> and indents all non-first lines with a tab character.

Added AnimStateNameTable
[NODOT]<INDENT:40>- New classes: GenericNameTable, NameTableEntry, and AnimStateNameTable.
[NODOT]<INDENT:40>- The generic table provides all the functionality of an index-name, name-index table.
[NODOT]<INDENT:40>- Thread-safe, using locks for adds/removes/modifies.
[NODOT]<INDENT:40>- NameTableEntries have a name, and can have an index. Defaults to -1 until specified otherwise.
[NODOT]<INDENT:40>- NameTableEntries notify their parent table when their name/index change, keeping the table consistent.
[NODOT]<INDENT:40>- Initial implementation not wired up to Networking nor AnimStates, yet.

AnimLayers now sync to their parent
[NODOT]<INDENT:40>- Each layer keeps the sync node and track cached.
[NODOT]<INDENT:40>- Each sub-layer checks their parent for the cached sync node+track.
[NODOT]<INDENT:40>- If none is found, then it uses its own.
[NODOT]<INDENT:40>- ie. Bob_Anim_Bags now syncs to the root Bob_Anim
  
  
[VERSION] 41.36

[SECTION]BALANCE
- Increased dirt on character.

[SECTION]FIXES
Fixed some recipes not being able to use the new garden saw.
Fixed exceptions due to missing eye-shadow textures.
Fixed the makeup ui not working with different-sized fonts.
Fixed the makeup ui not working with a controller.
Fixed the Lua debugger Errors ui not showing exceptions in one case.
Fixed occasional Lua error when right-clicking on windows.
Fixed odd position of bags on the ground when dropped from hands.
Fixed Blooo (again again again) by making the default DisplayName for items is now the Module.Type of that item, making it easier to debug.
Fixed the "leg kick" when performing some timed actions (eating, smoking, etc).


[VERSION] 41.37
[SECTION]NEW
Prevention for prone zombie heads clipping through walls and obstacles: Falling and prone zombies will now slide away from walls.
Added guitar case/flight case 
Added a "Delete All" button next to "Loot all" button for trash can/bins, click this will permanently delete items from the container (there's a confirmation dialog before deleting them).
Made many previously unmovable objects movable: benches, bunk beds, carpets, canopies, spiffo's tables, bar stools, counters etc.
Added "Resume normal speed when timed actions complete" Accessibility option. (Once a timed action is done (reading book, cooking, crafting..) it'll auto-cancel fast-forward. Canceling a timed action via ESC will cancel fast forward.)
Added CounterOverlays.lua which add Mash's random open cupboard doors and file-cabinet drawers.
An attack that makes a helmet fall will now prevent an attack


[SECTION]BALANCE
Ripping clothing now have a chance to gives thread (depend on tailoring skill & size of the item).
Can now consolidate thread (if you have multiple used thread, right click the stack to merge them together)
Lowered chance of having the toilet paper house. (https://www.youtube.com/watch?v=1nPT64U6X40)
Reduced damage done to the car's engine when ramming zombies without hood.
Added Machete to some missing recipes (slice food, create spear...).
Increased fishing line spawn rate.

[SECTION][CONTROLLER IMPROVEMENTS]

Added loot-window context-menu commands when using a controller:
[NODOT]<INDENT:40> 1) Turn microwave and stove on/off.
[NODOT]<INDENT:40> 2) Show settings ui for microwave and stove.
[NODOT]<INDENT:40> 3) Turn clothing dryer and clothing washer on/off.
[NODOT]<INDENT:40> 4) Deleting items from trash cans.
 
Changed the controller shoulder buttons to both affect the currently-highlighted inventory or loot window.
[NODOT]<INDENT:40>Previously, the left shoulder button would select the next container in the inventory window, while the right shoulder button would select the next container in the loot window.
[NODOT]<INDENT:40> Now the left shoulder button selects the previous container in the currently-highlighted window.
 
[SECTION][BAG IMPROVEMENTS (mostly under the hood)]
Experiment with not creating a new inventory item when a bag is equipped to or unequipped from the hands.
Split "masking" animation state into "maskingleft" and "maskingright" to fix a bug with holding a bag and a flashlight.
Bags can now be chosen to be held in left or right hands 
No longer does the jaw-stab RaiseHand animation when a bag is held in the left hand.
Fixed weapon on the back being placed as if a backpack was worn, when the backpack is carried in the hand.
Removed transitions from maskingleft and maskingright animation groups.


[SECTION]FIXES
Fixed lack of lighting on water.
Fixed vision cone angle not updating for zombified players.
Fixed lua error updating the hotbar after a player dies.
Fixed untranslated strings in the tailoring ui and generator info ui. Added translations for makeup categories and types to MakeUp_EN.txt.
Fixed not being able to open double doors.
Fixed applying make up increasing your weight.
Fixed bandit road story appearing before 30 days in the apocalypse.
Fixed lunch box being set as "Medical" (only for loot chance).
Fixed double "red lipstick" option.
Fixed "Unpack" appearing for items outside of bags.
Fixed being able to swing while in fast forward.
Fixed alice bags in primary hand being wrong.
Fixed player standing up when getting hit by a zombie while sitting.
Fixed zombie pushing player when biting him.
Fixed some missing translation (thanks Narnika!).
Fixed typo in survival guide.
Fixed the player's view cone being much brighter with the Short Sighted trait.
Fixed reload animations not playing when sitting.
Fixed ISCharacterInfoWindow sometimes updating after the window was closed.
Fixed makeup being applied when closing the makeup ui without clicking Apply.
Fixed zombies thumping short metal fences.
Fixed an exception when a zombie destroys an object on a chunk that was unloaded.
Fixed the foraging ui not handling Organized and Disorganized traits properly.
Fixed the Take Screenshot key not working when certain windows were displayed
Fixed lua error when a splitscreen player presses the X button driving a vehicle.
Fixed context-menu tooltips for some actions being displayed (or not) in splitscreen.
Fixed Unusable Wood appearing twice in the barbeque Add Fuel menu.
Fixed the player not turning to face a barbeque when displaying the info ui.


[VERSION] 41.38
[SECTION][NEW TUTORIAL]
Updated and improved Cabin in the Woods map by Xeonyx (worth exploring if you survive at end)
New steps and expanded outside sequence
Mainly covers movement and combat - will be expanded at a later date, and made compatibile with gamepads

Added a radial menu for reloading firearms and spare magazines.
[NODOT]<INDENT:40> The menu is displayed after holding down the Reload key (or controller button) for half a second.
[NODOT]<INDENT:40> The "Display reloading radial menu immediately" Accessibility option changes this behavior so the menu is displayed immediately.

Added a command to the item context menu and reload radial menu to unload all rounds from non-magazine type guns, like revolvers.
Changed "Rack" to "Unload Round" for non-magazine type guns.
Added StaticModel to RadioMag, MechanicMag, and BookMechanic items.
Rebuilt Tiles pack - this should include thinner log walls to help with cutaways, and also remove the random red dots on some tiles hopefully
Bar Taps now movable.
Taking dirt, gravel or sand from a square it was previously placed on now both removes it and restores the previous floor sprites.
Added Flip flops and Fannypacks. The latter can be worn on front or back.
Equipped bags with tint now have a tinted icon in the right panel (where backpacks are).
Tooltips of equipped bag on the right panel now show the name of the bag.
Added briefcase.
Added Mash's new overlay sprites (fridges, stoves, seats, etc).
Added a different icon to the vehicle radial menu for refueling from a pump at a gas station.
Play an animation when grabbing a corpse from the ground.

 
[SECTION][NEW VEHICLE STUFF]

Memory Optimization: Vehicles use the same damage and rust textures, with a second UV channel.
Blood is drawn separately on the front, back and sides of vehicles to handle hitting zombies on different locations.
Blood intensity varies from 0.0 to 1.0 instead of using 2 different blood textures.
Draw blood on vehicle windows before the damage texture, to avoid blood covering holes in windows
Blood is added to the front and back of vehicles when hitting zombies.
Blood is added to vehicle windows zombies are attacking.
Updated vehicle-blood textures.
Added "Wash Vehicle" context-menu command to remove blood from vehicles.  Requires water.
Play the blowtorch sound and use the blowtorch animation when dismantling vehicles.


[SECTION][COMPOSTING]

Added "Set Compost" command to the "[DEBUG] Objects" context menu to set the amount of compost in a composter.
Added a context-menu command for adding compost from a Compost Bag to a composter.
Partial amounts of compost may be taken into empty Sacks and partly-empty Compost Bags. Previously the player could only take a full 10 units of compost at a time.
 

[SECTION][MODDING]

Enabled previously added worldflares system
 

[SECTION][TWEAKED FEMALE MODELS]

Adjusted female mesh around the arms
Re-exported female clothes
Re-assigned Vest_BulletCivilian.xml to point to correct famale mesh
 

[SECTION][UI IMPROVEMENTS]

Renamed "Quit" "Quit To Menu".
Moved "Quit To Desktop" below "Quit To Menu" to match the order of buttons in the main menu.
Moved "New Character" above "Quit To Menu".
Replaced Yes/No comboboxes in the Display options with checkboxes.
Moved the Delete button to the left of the New and Play buttons in the Last Stand player-select ui, to match other uis.
Sort beard and hair styles by name in the character-creation ui.
Changed the Yes/No "Chest Hair" combobox to a checkbox in the character-creation ui.


[SECTION][CONTROLLER IMPROVEMENTS]
Added an Accessibility option for choosing how the shoulder buttons switch containers in the inventory and loot windows.


[SECTION][COMMUNITY TRANSLATION IMPROVEMENTS]
Translations for map titles can be specified by adding a file named title.txt in the same folder as description.txt.
For example, media\lua\shared\Translate\FR\Muldraugh, KY\title.txt. The file should contain a single line with the translated map name.
Fixed missing Last Stand translations.
Improved and standardised English language presentation.
Added translation for "Type 1" etc clothing texture choices in the character-creation ui.
Added IGUI_ClothingName_XXX translations separate from Tooltip_clothing_XXX (Dirty, Wet, etc).


[SECTION]BALANCE

Made skill magazines take 10 minutes to read, equivalent to reading 5 pages of a skill book.
Made short fence doors hoppable and never locked.  They can be hopped over using the context menu, holding the E key or pressing the B controller button.
RMC Mildew/Insecticide Spray (full) shows option to Make Flies Cure if there is an empty spray can available
Partially-loaded gun magazines are reloaded when the reload key is pressed, if there are no other non-empty magazines in inventory.
A full magazine is ejected without reloading it.
"Fill All" Option for multiple bottles etc
Bleach turns into "Empty Bleach Bottle" when consumed (previously it disappeared).
Added "Bleach Bottle With Water" that holds twice as much water as a pop bottle (and weighs twice as much).
Food items that turn into empty items when fully consumed (such as Orange Soda and Bleach) become lighter depending on the amount remaining.
Lowered lights on character.


[SECTION]FIXES
Fixed mod .pack files being loaded too late, resulting in missing item textures.
Fixed ModelManager.RenderSkyBox() binding the wrong FBO.
Fixed perk name translations not changing when the display language is changed.
Fixed window frames becoming non-interactive after installing a window. For example, it wasn't possible to plaster a crafted window frame after putting a window in, until the game was reloaded.
Fixed parse errors not being displayed in the Lua debugger Errors window.
Fixed 1x1 NormalGlasses.png textures looking transparent if clothing textures were updated when the game wasn't zoomed all the way in.
Fixed Texture.getUVScale() allocating a new Vector2 each call.
Fixed Dye Hair doing nothing when the item isn't in the player's inventory already.
Fixed translations not being reloaded after quitting to the main menu.
Fixed lua error climbing over a tall fence with a bag in hand selected in the inventory window.
Fixed short metal pole fence being thumpable.
Fixed Bag_NormalHikingBag model not appearing in the player's hands.
Fixed not blacking out part of the screen when a splitscreen is loading.
Fixed invisible player 1 when loading a splitscreen game with a controller.
Fixed makeup and foraging uis not being removed when a player dies.
Fixed context-menu tooltips displaying "Hold E" when "Tap E" will suffice for climbing through.
Fixed the wrong "get up" animation playing sometimes when the player trips while sprinting through trees.
Fixed the wrong node name being displayed in the Anim Monitor debug ui sometimes.
Fixed using a door or window behind the player when there is a useable vehicle door in front of the player.
Fixed a new "empty trash" dialog box appearing each time the "Delete All" button is clicked.
Fixed lua error when inspecting clothing when the tailoring ui is already visible.
Fixed being able to rotate multi-tile furniture so that parts clip through walls and closed doors.
Fixed 'Police Sign' at proper height when trying to place.
Fixed Radio messages not showing last part of line when weather interference applied.
Fixed propane-bbq-with-tank sprite being a movable now so it can show the info panel.
Fixed warning about missing IGUI_SkinTemperature translation.
Fixed holding E doesn't climb over short IsoThumpable fence doors (it only worked for IsoDoor).
Fixed the player tripping and getting back up instead of falling when attacked by a zombie while climbing through a window, when there is no floor on the other side of the window.
Fixed the player playing a hit-reaction animation after tripping and getting back up when attacked by a zombie while climbing through a window.
Fixed zombies eating corpses from far away sometimes.
Fixed tile properties on several mirror sprites (they were missing attachedN/S/W/E properties).
Fixed table lamps sometimes hanging off the edge of furniture. This is done by restricting table lamps to face the same direction as required by the furniture-moving tool.
Fixed NullPointerException in IsoPlayer.updateDirt().  This occurred when loading a sleeping splitscreen player.
Fixed the player getting stuck after walking into an upside-down vehicle.
Fixed Salad and Vitamins not displaying a model when consumed.
Fixed both halves of a two-tile oven being activatable separately.
Fixed the vehicle radial menu "Open Hood" command not displaying the mechanics ui afterwards.
Fixed the vehicle hood not being closed automatically after opening the mechanics ui through the radial menu.
Fixed sprinter zombies sometimes skipping the getting-up animation after tripping.
Fixed sprinter zombies not being considered "on the ground" after tripping.
Fixed not being able to fix the new firearms.
Fixed firearms without chambers (such as revolvers) spawning with +1 round in the non-existent chamber.
Fixed OutOfMemoryError errors due to unreleased texture memory.
Fixed rain turning horizontal when windSpeed 0 and zooming
Fixed vehicle windows sometimes being left with 0 condition without being destroyed (InventoryItem wasn't set to null).
Fixed vehicle windows taking twice as much damage from zombie attacks.
Fixed zombies only damaging the vehicle window the player was sitting next to.
Fixed the player model becoming a blob when switching between male and female in the character-creation ui.
Fixed the character-creation ui male/female combobox being permanently highlighted when not using a controller.
Fixed a few typos in DynamicRadio_EN.txt
Fixed reversed bumper mask colours for the vans and pickups
Fixed animation events being skipped sometimes when an animation loops.
Fixed the Reloading skill not affecting the speed of putting bullets in or removing bullets from a magazine.
Fixed (maybe) insert-bullet and remove-bullet sounds not syncing well with the magazine reload/unload animations.
Fixed evolved recipes not being displayed in the crafting ui when the Filter All checkbox is ticked.
Fixed a lua error in the crafting ui when an evolved recipe has non-food item ingredients. (Prepare Beverage uses Sugar, for example).
Fixed an infinite loop when saving multiple items of the same type in a container. (This happened when saving two corpses in a container.)
Fixed reloading an empty magazine and putting it back into the gun after using the Eject Magazine context-menu command. Refactored parts of ISLoadBulletsInMagazine.lua into ISUnloadBulletsFromMagazine.lua.
Fixed using the wrong facing direction when calculating player aim. (The effect of this bug was that zombies that should have been in the aim cone based on the direction the player was aiming with the cursor-thingy were missed sometimes.)
Fixed being able to shove zombies behind the player while still turning. It was using getForwardDirection().
Fixed StashDescriptions using non-existent containerItem Base.Duffelbag item.
Fixed zombies eating corpses through doors, walls and windows.
Fixed the player's inventory not being redisplayed when attaching or detaching items from the hotbar.
Fixed wrong "job type" being displayed in the vehicle-mechanics ui sometimes.
Fixed some elements of fence hiding logic
Fixed certain items losing their "favorite" status
Fixed breaking Metal Barricades having a woody sound
Fixed Antique stove not having fuel timer
Fixed non-clothing items being stored on clothing racks
Fixed Boots not protecting against bites/scratches
Fixed not being able to "Rip" a "Long Dress"
Fixed V-Neck Sweater Vest protecting forearms.
Fixed state change not respecting partial consumption of foods
Fixed Fish Fillets (cooked) found in-game having no calories to them
Fixed caught animals weight should not having any variation
Fixed the player not facing objects while painting them.
Fixed not being able to paint non-carpentry objects using a controller.
Fixed highlighting of stacked crates when choosing one to paint using a controller.
Fixed where the player stands when painting a crate.
Fixed invalid "require" statement in ISCampingInfoAction.
Fixed Boredom, stress and unhappiness increasing while reading literature which reduces those stats. This was changed for people playing with longer day lengths in sandbox games.
Fixed the version of Java used in popman/src/doJNI.bat.
Fixed untranslatable new hairstyles.
Fixed issues with saved outfits in the character-creation ui.
[NODOT]<INDENT:40> - Translated names of clothing items were saved, which breaks when the display language changes.
[NODOT]<INDENT:40> - The selected texture (color of Baseball Cap for example) wasn't loaded properly.
[NODOT]<INDENT:40> - The wrong skin color was saved after clicking the Randomize button but not selecting a skin color from the combobox.
Fixed using an EmptySandbag with items in it when taking dirt/gravel/sand or compost. Compost Bag now uses the EmptySandbag model when equipped.
Fixed not being able to steer or brake a vehicle when the engine shuts off while driving.
Fixed equipping a Trowel in both hands when taking dirt/gravel/sand.
Fixed the iso-cursor flashing after playing the tutorial.
Fixed untranslated string in the inventory window when unloading bullets from a firearm.
Fixed wet towels not drying any faster in a Clothing Dryer.
Fixed lua error pressing the reload key the first time while equipping a firearm.
Fixed a few IsoObject fields not being reset to default values after releasing an object.
Fixed missing 3D model for the HotDrink item.
Fixed titles issue by adding UIFont.Title which is used for titles in the main menu.  This is used instead of UIFont.Cred2 because some languages can't display all characters with UIFont.Cred2.  For these languages, UIFont.Title is the same as UIFont.Large.
Fixed not skipping the UTF-8 Byte Order Mark when reading description.txt and title.txt map translation files.
Fixed some confusion about which equipped item to use for flashlight cone width, etc. If there is an active light in both hands, the right-hand item has priority. This can be fixed later to allow multiple active lights, not just in the hands, for headlamps, etc.
Fixed the appearance of the ui with offscreen rendering enabled not matching the appearance when offscreen rendering is disabled. A long-standing issue has been the alpha values not being the same between the two methods.
Fixed incorrect use of SandboxVars.NatureAbundance is ISFishingAction.lua.
Fixed rounding of floating-point display values in some places.
[NODOT]<INDENT:40> 1) Bite and scratch chance in the clothing protection ui.
[NODOT]<INDENT:40> 2) When gaining XP from TV broadcasts.
[NODOT]<INDENT:40> 3) Tire pressure is rounded to one decimal place instead of three in the mechanics ui.
Fixed not drawing the same background texture behind "halo" notes as is drawn for speech text above the player's head.
Fixed crawling zombies turning too quickly sometimes. This was due to WalkTowardState calling setForwardDirection() when there was still turning to do. (Turning is still herky-jerky due to not having deferred rotation in the turning animations. Crawling zombies still turn "instantly" in PathFindState, but not in WalkTowardState.)
Fixed lua error saving character clothing in the character-creation ui with non-English languages.
Fixed furniture moving and disassembling actions not finding tools in bags.
Fixed furniture disassembling equipping a Welding Mask in the hand instead of wearing it.
Fixed playing the hammering sound when disassembling furniture with a blowtorch.
Fixed dismantling vehicles equipping a Welding Mask in the hand instead of wearing it.
Fixed hotbar items stacking with non-hotbar items in the inventory window.
Fixed the divider line between equipped and unequipped items sometimes being drawn in the wrong place.
Fixed seeds not being taken from bags when planting crops.
Fixed an equipped empty water-container item remaining in the hands after taking water from a sink/etc.
Fixed vehicle containers not being displayed in the loot window sometimes.
Fixed farming lua error by moving all seeds of the same type from a bag when planting crops.
Fixed double-clicking an individual weapon in an expanded stack not equipping or unequipping it.
Fixed double-clicking a stack of weapons equipping each of them in turn.
Fixed double-clicking an equipped weapon unequipping it instantly and not redisplaying the inventory.


[SECTION][ANIMATION SYSTEM FIXES]

Reverted changes to getSkinTransformData() and resetSkinTransforms().
[NODOT]<INDENT:40>Each AnimationPlayer can have multiple active SkinTransformData objects (one per clothing model, for example).

ModelInstance.reset() shouldn't call "Pool.tryRelease(AnimPlayer)" because AnimationPlayer is owned by IsoGameCharacter.
[NODOT]<INDENT:40>Multiple ModelInstances (clothing models for example) all point to the same AnimationPlayer.

Fixed exception in PZArrayUtil.newInstance() when the new array is smaller than the one being copied.


[VERSION] 41.39
[SECTION]NEW
translationProblems.txt lists missing ItemName_xxx instead of the old DisplayName_xxx.
Removed the true|false debug console spam.
Added buttons to access the Attachment Editor, Chunk Debugger, and Vehicle Editor to the debug menu.
Added DebugType.Mod for controlling the display of mod-related debug messages to the console.
Updated latest Community Translations

[SECTION]FIXES
Used Docker to create libjassimp64.so and libLighting64.so with a version of GCC that will not cause issues with some Linux setups
Fixed the vehicle editor not selecting the correct vehicle in the scripts combobox.
Fixed the tutorial breaking at the zoom in/out stage when not using double-sized textures.
Fixed rendering error when the Bucket Hat is on the ground.
Fixed a vehicle shader not compiling on some systems.
Fixed GameTime.getMinutesStamp() having a resolution of 2 minutes instead of 1.
Fixed weapon models not being updated after removing weapon parts (scopes, etc) when the weapon is attached to the player.
Fixed the HuntingRifle (MSR788 Rifle) scope not being displayed.
Fixed not detecting when multiple active mods use the same tile definition file numbers. These file numbers are specified by "tiledef=" in mod.info files.
Fixed being able to pick up a propane barbeque without removing the propane tank.
Fixed the animation editor not setting the Reverse checkbox when selecting animations.
Fixed the animation for removing a magazine from a firearm.
Fixed lua error when fishing and the last lure breaks.
Fixed incorrect instruction in tutorial re: tall fence
Fixed (hopefully) the last of the 'red dot on tiles' issues


[VERSION] 41.40
[SECTION]NEW

Added jewelry that can be worn on player: necklaces, earrings and rings on fingers.
Added ability to refill water dispensers
Drainable items now change their weight depending on how full they are
Updated credits
Added bracelets, watches, dogtags etc to zombies. NOTE: OLD WATCHES ARE DEPRECATED. YOU WILL HAVE TO FIND NEW WATCHES.
Added SetMeleeDelay animation event that can be used to set the delay between attacks. This is basically the same as RecoilDelay which is used to set the delay between firearm shots.
[NODOT]<BR>
New thing for recipes.txt: 
[NODOT]<INDENT:40> Normally a recipe source contains a list of hard-coded item types. 
[NODOT]<INDENT:40> This doesn't work well with all the new clothing items. 
[NODOT]<INDENT:40> Now a recipe source of the form "[function]" specifies the name of a Lua function that will be called to get a list of items that can be used as a source item. 
[NODOT]<INDENT:40> See DismantleDigitalWatch_GetItemTypes() in recipecode.lua for an example.
[NODOT]<BR>
Added context-menu tooltips showing the percent full of water-containing items when taking or transferring water.
[NODOT]<BR>
Added IsoRoofFixer.java to prevent falling through roofs not placed by the mapping tools
[NODOT]<INDENT:40> - can attempt to fix roofs for falling player per tile or on a per room space below basis, defaults to latter
[NODOT]<INDENT:40> - locations are stored in meta data save so it doesnt attempt to fix it twice when player removes these floors (per room mode only).
[NODOT]<INDENT:40> - optionally can place floors that match the roof style, or invisible floors
[NODOT]<BR>
Added some more system specs printing in console logs
[NODOT]<INDENT:40> Display item icons in the "Items List" debug ui.
  


[SECTION]CONTEXT MENUS AND HOT BAR TIDY UP
Added an optional way of interacting with context menus. 
[NODOT]<INDENT:40> Instead of displaying child menus to the left or right of the parent menu, the parent menu is hidden and the child menu is displayed in place of the parent menu. 
[NODOT]<INDENT:40> An extra menu option is added at the top of a child menu to go back to the parent menu. 
[NODOT]<INDENT:40> This behavior can be enable or disabled for each splitscreen player in the  Accessibility options. 
[NODOT]<INDENT:40> This works well with a controller. Mouse users may or may not prefer this method.

Attached items (i.e. hotbar items) may emit light, not just items held in the player's hands. Currently the game does not have any light-emitting items that can go in the hotbar, but this could be used to equip a chest-mounted or head-mounted light.
The "Equip/Turn On/Off Light Source" key will toggle a light-emitting item in the hotbar if present, instead of equipping the item in the player's hand.
Pressing a keyboard shortcut for a hotbar slot will activate or deactivate an item instead of equipping it, if possible.
A hotbar slot is highlighted red if a dragged item cannot be equipped in that slot.
Non-weapon items may be dragged to the hotbar.  Non-weapon items could already be added to the hotbar using context menus and radial menus.
The left d-pad radial menu (which previously only showed equippable weapons) now also displays the best light-emitting item in the player's inventory.  This can be used to equip and toggle a flashlight when using a controller.
Added an animation to context menus when displaying them with the "Single Context Menu" option when using a mouse.  There was already an animation when using a controller.
Prefer to display tooltips to the right or left of context menus instead of on top of them.
When using the "Single Context Menu" option with the mouse, short submenus are positioned under the mouse instead of at the parent's position.
Allow items to be dragged to the primary and secondary slot icons to equip them. Dragging two-handed items between the two icons equips the item in both hands.
Display all known seed types in the farming context menu, so mods don't need to override ISFarmingMenu.lua.
Display the type of container selected in the loot window. This was already done for bags, but will now also show icons for clothing driers, washers etc.
Added a radial-menu option to smash a vehicle window when outside the vehicle. This option was already available in the right-click context menu.
Added "Toggle Models Enabled" keybind, F3 by default, so people can change the key that hides/shows models in debug mode.
Added "Toggle Animation Text" keybind, F6 by default, so people can change the key that hides/shows animation-related text in debug mode.
New "Wear" submenu for garments that can be worn in different ways: Baseball cap, Poncho, Fanny Pack, Hoodie etc.
Changed the On/Off button in the Set Alarm dialog to a checkbox.
Added an option to toggle aim on and off by tapping the Aim key. Holding the Aim key for more than 1/2 a second aims without forcing aim on, so aiming stops when the Aim key is released. Running will turn off forced aim.
The "Attach" menu for attaching items to the hotbar adds "(Replace XYZ)" if the item will replace an existing item, when clicking on an item in the inventory window.
The vehicle radial-menu option to lock and unlock doors also locks and unlocks the trunk when using a controller.
Players using the mouse can already do this by clicking the trunk icon in the vehicle dashboard.
The Attach menu options show the item to be replaced in a tooltip instead of the option name, to match the Wear menu
Added tooltips to the Eat submenu to show how much hunger/thirst/unhappiness will be changed, as well as displaying a warning about uncooked food and food that is better hot or cold.
Added "Cooked in microwave" warning to Eat submenu tooltips.
Don't wrap long lines in wear-item tooltips (the ones that display the bite/scratch bonuses)

 

[SECTION][TUTORIAL]
Added code for Turbo's new objective markers
Added homing marker objective marker
Added improved item highlights
Improved Spiffo tutorial window placement
Added (incomplete) work on controllers with tutorial 
Added zombie alert when player opens curtain to see feeding brothers
 

[SECTION][CORPSES AND GENERATORS TIDY-UP]

Filling a grave is now a separate action from burying the 5th corpse. It still happens automatically after burying the 5th corpse.
Burying a corpse no longer plays a shoveling animation. This was broken since the shovel couldn't be equipped while the corpse was still in the player's hands, so the shovel might appear in the player's hands and on their back.
When equipping an item in the hands, corpses and generators are dropped first in a separate action. Dropping a corpse or generator used to happen instantly as soon as the item was equipped.
Items in the hands are unequipped in a separate action before picking up a corpse or generator. This looks better when the equipped items are in the hotbar.
Right-clicking on an equipped corpse or generator says "Drop" instead of "Unequip".
Fixed "Grab One / Grab Half / Grab All" being displayed for stacks of corpses in a container.
 

[SECTION][CAMPFIRE AND FIREPLACE TIDY UP]

Charcoal may be used as fuel in campfires and fireplaces.
Each use of charcoal adds 30 minutes of fuel to a bbq/campfire/fireplace, instead of using the entire bag.
Charcoal barbeques can use the same fuel and starting methods as campfires and fireplaces.
Only clothing with FabricType defined (stuff that can be torn) can be used as fuel in a bbq/campfire/fireplace.
New "Add Fuel" and "Light Fire" tooltips show the amount of burn time for each item.
Stopped rain reducing campfire fuel twice as fast, as it looked like a bug.

 


[SECTION][MODDING AND COMMUNITY TRANSLATION]

Added a fix/function for radio modding, to allow for timing sensitive stuff like voice-over mods.
Lines in WordZed can now be prefixed with "${t:xx.xxx}" where x is the amount of seconds. This will override the standard line triggering limitations in the radio system and use the supplied amount seconds before moving to the next line.
 

Removed the hard-coded list of languages so mods can add new languages.
[NODOT]<INDENT:40> Languages are loaded by looking in the media/lua/shared/Translate folder for the game and any active mods.
[NODOT]<INDENT:40> In each language folder, a new file called language.txt specifies the name and character encoding.
[NODOT]<INDENT:40> The old "Language" enum is now a class.  This shouldn't break mods (unless they were calling an unimplemented method).
 
media/lua/shared/Translate/XX/language.txt files may have a line "base = YY," where YY is the name of another language to use for missing translations, before using the default language EN.
[NODOT]<INDENT:40> For example, a mod that wants to override some French translations could use this language.txt file:
[NODOT]<INDENT:40> VERSION = 1,
[NODOT]<INDENT:40> text = French Mod,
[NODOT]<INDENT:40> charset = Cp1252,
[NODOT]<INDENT:40> base = FR,
    
Added map description.txt and title.txt translation files to the media/lua/shared/Translate/EN/<MAP>/ folders. These are now read for the English language so they can be overridden by mods.
Fixed untranslatable text "Delete 'preset'?" in the sandbox options ui.


[SECTION]BALANCE

Tooltips for freezing or thawing food displays freezing time.
Cooking time is no longer displayed for frozen food (because it can't be cooked).
Added a recipe for emptying a Griddle Pan.
Changed Empty Paint Bucket to store water.
Only digital watches show the date in the time display.


[SECTION]ANIMS

Enabled EarlyTransitionOut for 1HDefault and SpearDefault.

Adjusted the female bash mesh to look a bit more natural
Tweaked hand positions of 2h strafe left and right
Added style option to Rachel hairstyle and tweaked some other style options.
Added masks to eating actions to improve blend between upper and lower body
Adjusted Bob/Bob_StrafeAimSpear_Right.X and Bob/Bob_WalkBwdAim2H_Heavy.X as weapon was not anchored in hand
Adjusted 2H_heavy attacks to end in correct pose
Fixed a bone-reparenting issue that caused weapons to slide around in the hands, most noticeably when fast-forwarding.
Declared IsoLivingCharacter.bareHands 'final', and fixed duplicate allocation.
Reduced MinRange for various stabbing weapons to 0.61, which is the same as other stabbing weapons. Now that attacks take the zombie's head position into account, and the head is usually closer to the player han the body, MinRange doesn't need to be so large. The ranges can be viewed by enabling the Character.Debug.Render.AimCone debug option.
Fixed stabbing weapons without CloseKillMove defined getting jaw-stab attacks.
Fixed the shove animation restarting when the player starts or stops moving.
Fixed the player hitting vehicles they aren't facing.
Fixed the player's bit-while-sitting animation looping forever.
Removed duplicate transition in zombie/walktoward/transitions.xml

Updated transitions and anim variable sets and conditions to work with EarlyTransitionOut
[NODOT]<INDENT:40> All transitions are now listening to ActiveAnimFinishing instead of ActiveAnimLooped.
[NODOT]<INDENT:60> Using <m_time>Start<m_time> instead of <m_timePc>0</m_timePc>
[NODOT]<INDENT:60> Using <m_time>End<m_time> instead of <m_timePc>1</m_timePc>
[NODOT]<INDENT:40> This allows us to fire the event at the point of EarlyOut instead of at the very end.
[NODOT]<INDENT:40> Prevents infinite loops caused by waiting for an event at 100% that never comes.
[NODOT]<INDENT:60> This should work just fine with all existing anim states, while fixing all infinite loops.
[NODOT]<INDENT:40> To enable an EarlyTransitionOut for a node, simply add <m_EarlyTransitionOut>true</m_EarlyTransitionOut>

 
[SECTION][MAP UPDATES]

Fixed lack of generators in Kingsmouth and added new 'Hangar' room def
Fixed non-cutaway wall on Studio
General improvements to both challenge maps

 
[SECTION]FIXES

The player will ignore zombies standing on the other side of a fence if there is a prone zombie on the near side of the fence.
The player may target the head, waist or feet of prone zombies, instead of only the head. Targeting the head still does the most damage.

Fixed weapons having an extra 0.5 range. 
[NODOT]<INDENT:40> - This extra range was only supposed to be used before an attack starts, to see if a prone zombie or lunging zombie should be hit.
[NODOT]<INDENT:40> - This shouldn't affect weapon ranges though, because now the position of the  head of standing zombies is checked, and it tends to be 0.5 units ahead of the body when a zombie is lunging.
[NODOT]<INDENT:40> - In theory, this will increase the range from 0.5 to 1.0 when choosing to attack a standing zombie instead of a nearer prone one, +0.5 for the head relative to the body, and +0.5 for the "extra lunge range".

Fixed being unable to equip a corpse or generator from a container if the player was carrying too much. This prevented the player grabbing a generator from a vehicle, for example.  It had to be dropped onto the ground first. The player was always able to equip a corpse or generator from the ground regardless of weight.
Fixed a lua error using the farming context menu to plant seeds without waiting for the previous action to complete.
Fixed chance of success and chance of damage sometimes being less than 0 or greater than 100 when installing or uninstalling vehicle parts.
Fixed cutaway fences looking jagged at the bottom
Fixed all of fences not cutting away
Fixed Bite/Scratch protection from Tailoring and TV shows XP gain producing floating values
Fixed situations in which Rip Sheets should be called Rip Clothing
Fixed interrupted 'Pour tainted water' into an empty container action resulting in drinkable water
Fixed Butchered caught animals not showing some weight and calories variation
Fixed many clothing items that couldn't be ripped
Fixed freezing and thawing times of food increasing as day length increases. I set the times to approximately match the existing durations at the default 30-minute day:
[NODOT]<INDENT:40> Freezing:- 4 hours. Thawing: 15 minutes in an oven, 1.5 hours at room temperature, 3.0 hours in a fridge.
Fixed the radial menu used to switch the furniture-moving mode not working.
Fixed unnecessary counting of options in ISContextMenu.lua.
Fixed lua error in ISMoveableInfoWindow caused by empty overlay sprites on furniture. Could add a "none" sprite to the overlay editor.
Fixed the player's model lighting changing sometimes after equipping or unequipping items
Fixed the UI flickering sometimes when offscreen rendering is enabled.
Fixed languages not loading on Linux and MacOS.
Fixed the appearance of the mods ui when there are no mods.
Fixed carpentry materials not being removed from the player's hands after crafting.
Fixed the OnTickEvenPaused event not being triggered when the game was paused. It was checking GameLoadingState.bDone=true, but that is set to false when loading finishes.
Fixed the container buttons in the loot window not being updated after picking up or placing furniture.
Fixed floating run animation after the player gets up after running into a zombie.
Fixed corpses and zombies on the ground not having shadows.
Fixed actions using the amount of puddle water on river/pool squares.
Fixed the clock not being displayed with the new worn watches.
Fixed the list of lights touching a square not getting cleared when moving to an area without lights.
Fixed CurrentCell.roomLights.contains(i) instead of contains(roomLight).
Fixed shadows going haywire on fast-forward.
Fixed being able to take dirt from a square with a farm plant on it.
Fixed being able to dig a furrow on an existing one.  There is already a "Remove" option.
Fixed being able to place dirt/gravel/sand on a farm plant.
Fixed leg-twitch while attacking with 2H weapons. The turning state did not have a way of exiting while an attack was happening.
Fixed zombies failing to climb over fences or through windows sometimes.
Fixed Disassemble context-menu action equipping a welding mask in the hand instead of wearing it.
Fixed zombies sometimes walking slowly into walls when they are approaching the player.
Fixed zombie-crawler/hitreaction/Default.xml animation being looped.
Fixed missing "Campfire Info" option when clicking a campfire behind a carpentry wall.
Fixed not being able to start bandaging wounds while moving, even though moving is allowed after starting.
Fixed the inventory-window and loot-window selections changing as timed actions removed items.
Possibly fixed multiple zombies getting jaw-stabbed by a single attack.
Fixed the Wear submenu not showing bite and scratch defense bonuses. The Wear tooltip shows which items will be replaced, instead of the context-menu text being "Replace X with Y". This was done because sometimes several items are replaced, such as when putting on a Spiffo Suit.
Fixed duplicating fanny packs and other items.
Possibly fixed the player attacking after finishing the stagger-back animation. Needs feedback.
Fixed bite and scratch defense always being green in the Wear tooltip.
The Wear tooltip shows the item-to-be-worn's bite and scratch defense as well as the +/Change, the same way item tooltips do.  "Bite Defense: 0 (-10)" for example.
Fixed the "Render Rain When Indoors" option not being changeable.
Fixed "Dismantle Digital Watch" recipe not working with new watches.
Added back "Craft Sheet Rope", "Rip Clothing", and "Rip Sheets" recipes.
Fixed available recipes not being sorted to the top of the recipe list when the "Filter All" checkbox is checked.
Changed some usages of Stack to ArrayList. Stack is synchronized which is a bit slower.
Declared some fields and classes 'final'.
Removed HandWeapon.directional
Fixed some lambda-related gc
Fixed the broken appearance of wrist-watch models caused by masks.
Fixed text overlap in the Disassemble context-menu tooltips when using larger tooltip fonts.
Fixed tutorial lua error when not using a controller.
Stop creating a new inventory-window tooltip every time a tooltip is displayed, just reuse the existing one.
Fixed the display of rotten-food hunger values in evolved recipe tooltips (too many numbers after the decimal point).
Fixed inventory-window tooltips not being hidden when context menus are visible, when using the "Single Context Menu" option.
Fixed lua error with context menus when not using the "Single Context Menu" option
Fixed zombies crawling over furniture jumping upright when hit by the player.
Fixed lua error right-clicking on items in the hotbar while the game is paused. Hotbar context menus are no longer displayed when the game is paused.
Reuse ISContextMenu objects instead of creating new ones each time
Fixed "... and 0 more" text in recipe tooltips when exactly 10 source items are possible
Hide "Condition" in jewelry tooltips (any item with Cosmetic=TRUE).
Fixed bug in RichText Panel and Layout where drawTextLeft was called.
Fixed "Rip Clothing" recipe not producing dirty strips from dirty clothes.
Fixed not reusomh context-menu tooltips instead of creating new ones each time. The carpentry and metalwork menus together created 60+ tooltips.
- Possibly fixed the "Game Paused" message not being rendered after quitting to the main menu.

Fixed some issues with the zombie climb-over-fence crawling attack.
[NODOT]<INDENT:40> - The zombie's movement was restricted.
[NODOT]<INDENT:40> - The angle to crawl wasn't always calculated correctly.
[NODOT]<INDENT:40> - The test for the attack hitting wasn't quite right.
[NODOT]<INDENT:40> - The player's immunity to these attacks didn't handle different framerates (IsoGameCharacter.lungeFallTimer).

Fixed item.RequireInHandOrInventory being treated as DisplayName in ISInventoryPaneContextMenu.doEatOption() instead of an item type.
Fixed DisplayName for Necklace_Choker_Amber and Necklace_Choker_Diamond.
Fixed "Medium Silver Looped Earrings" being named "Gold".
Rebuilt UI2.pack to add a few missing item icons, and the blood/hole/patch textures shown in the inspect-clothing ui.
Fixed the Metalwork menu tooltips using the old DisplayName translations.

Fixed Lua errors when adding fuel to a barbeque/campfire/fireplace from a stack of items before the previous action completes.
[NODOT]<INDENT:40> This is an old issue where the same item is used by multiple actions in the action queue. After the first action completes, the item is no longer available for use by subsequent actions. This type of issue can be avoided by using the new ISContextMenu.addActionsOption() which adds a placeholder action to the timed-action queue. When the placeholder action starts, it calls a function to add the actual actions to the queue.
[NODOT]<INDENT:40> The new actions are inserted into the queue immediately after the placeholder action.  The function that is called can find available items of the proper type, so the items to use are determined when the action starts, instead of when the context menu is first displayed.

Stop invisible-player attacks creating noise which attracts zombies.
Fixed grass/vegetation showing over interior walls when wind makes them sway

Fixed traps exploit by placing window frames near them making them indestructable.
[NODOT]<INDENT:40> - traps can no longer be placed near windowframes/hoppables
[NODOT]<INDENT:40> - if a windowframe is constructed near the trap after placing the trap first, the trap will consume bait but never catch anything

Fixed fossoil sign infinite pick up / acting as lightswitch. This will be fixed for new worlds, however existing worlds will have the problem remaining due to saved data
Fixed unnecessarily creating copies of clothing model textures that don't have blood, dirt or holes. This mostly includes bags, hats, jewelry and watches
Fixed the "zombie surprised player" sound not playing. This broke when we started spawning zombies in houses before the player entered the house. They used to spawn as soon as the player opened the door to a room.
Fixed text width of "Hair" and "Beard" translations in the character-info ui not being taken into account when aligning text.
Fixed not being able to knock down zombies by shoving with a knife-like weapon equipped.


[VERSION] 41.41

[SECTION]NEW

Enabled the "New Character" button after the player dies in singleplayer, so it's more clear that players can continue the save with a new character. This button was already available in splitscreen and multiplayer.
Added "Corpse Shadows" display option. Corpse shadows are drawn as a separate pass (along with player, vehicle, and zombie shadows) so could affect performance with lots of corpses.
Added a sandbox option to disable zombie lunge after climbing over fence (in the zombie lore).
Allow sleeping anywhere when the character reaches a fatigue level of 4. The sleep is short and has more negative side effects than a "bad bed".
Allow the player to go to sleep outdoors when it is raining. 
Added "Simple Clothing Textures" option to disable blood/dirt/holes/patches on clothing textures. The blood/dirt/holes/patches are still on the clothes but aren't drawn. Turning this on can save texture memory and possibly improve performance on lower-spec hardware.
Added "Simple Weapon Textures" which disables drawing blood on weapons. Turning this on can save texture memory and possibly improve performance on lower-spec hardware (but not as much as Simple Clothing Textures).
Allow multiple map windows to be opened at the same time.
Added UIElement:onKeyPress(), onKeyRepeat() and onKeyRelease() methods so top-level UIElements can intercept keypresses without having to use events such as Events.OnKeyPressed or Events.OnCustomUIKey.

 
[SECTION]BALANCE

Slightly lowered spawnrate of watches on zombies
Slightly lowered the chance for pre-set alarms on watches
Rebalanced M14 Single Shot Assault Rifle. 
[NODOT]<INDENT:40> Changed model
[NODOT]<INDENT:60> - Now uses proper ammo (.308) instead of 5.56. 
[NODOT]<INDENT:60> - Magazine size set to 20
[NODOT]<INDENT:60> - Damage has been balanced to bring it in line with other rifles
Reduced damage for Wood Axe to 1.3 Min and 3 Max, down from 3.6 Min and 4.6 Max. Previous damage values were workaround for a past bug that ended up way overpowered when said bug was fixed.
Added hoodies to some zombie outfits.
Big metal shelves now require metalwork to disassemble, also gives metal bars & plates (previously was only screws).
Increased spawn rate of fanny pack.
Increased weight of rifles.
Lowered min angle of shove to stop shove working on distant zombies
Lowered max range of shove as the range "extends" when player shoves (as body leans forward, so does the range)
Traps can get destroyed when the player is out of range
[NODOT]<INDENT:40>- when destroyed, a destroyItem takes the traps place, by default this is 'unusable wood' but can be set in the trap definition
"Put in Container" inventory context-menu option now shows the name of the container (if any). Hopefully, this will make it clearer that the item isn't going into an equipped bag.
Increased the range the player prefers to target lunging zombies instead of prone zombies from 0.5 to 1.0


[SECTION]ANIMS
Adjusted the 2-handed miss animation to leave the weapon in left hand during the miss anim
Disallow fishing when sitting on ground, as said action has no playable animation at this time. If the UI is opened first and player then sits before starting fishing action a forceGetUp is performed.
Removed excess frames from "zombie get up from back" anim
Tweaked blend settings for "zombie getting up"


[SECTION]FIXES
Fixed jaw-stabbing zombies through unbroken or barricaded windows.
Fixed jaw stab animation playing but character missing
Fixed splatting blood and playing weapon-impact sounds when hitting a window between the player and a zombie.
Fixed cancelling attaching an item to the hotbar leaving the model visible on the player but not in the hotbar.
Fixed UI updates slowing down when the GameTime.Speed.XXX debug options are enabled.
Fixed IsoZombie AnimationPlayer being freed, then recreated after death.
Fixed model-rendering debug code accessing AnimationPlayer from the rendering thread. This was the code that rendered the character's skeleton and other things.
Fixed a bug in the JOML Matrix4f class.
Deleted some old unused classes.
Fixed unnoticeable splitscreen rendering issue when the game is paused.
Fixed lua error with the Horde Manager ui when the spawn location goes out of bounds.
Fixed zombie models unfolding when they first become visible.
Fixed NullPointerException climbing through a windowframe without a window.
Fixed the close-window animation not playing when using a controller.
Fixed being able to sleep in a moving car.
Fixed Movable-cursor not being able to pick up office cubicle walls from west/north side, also made them hoppable.
Added functionallity for any object existing as Iso and Inventory (such as radios) to be dismantable/scapable in their IsoObject form by looking up the inventory item dismantle recipe. For this to work the spriteproperties must be set to 'CanScrap' AND have at least one dummy material defined for the scrapcode to recognize it as valid scrapable, the actual materials returned will be from the recipe
Fixed walls on the same tile overlapping door when the latter was opened.
Added a check that makes sure the door index is always after the last wall and wall index is always before the door.
Added a tileproperty TreatAsWallOrder for objects that aren't walls but should be treated as such in the indexing (such as the shower glass panes)
FPS multiplier now capped to a maximum of 5 (6fps->30fps). This possibly fixes death by stairs, along with other possible sudden deaths due to lag related pauses, as time will not pass significantly during such a pause. 
Fixed some lambda garbage collection
Fixed duplicate Keyframe.BoneName strings (Bip01, etc)
Fixed death music not stopping after creating a new player using the New Character button.
Possibly fixed bug that treated walking zombies as if they're still knocked down, causing wrong target priorities when attacking affected zombies.
Fixed player movement stopping when playing the one-handed crit attack animation.
Fixed wrist-worn items clipping through long-sleeved clothes by hiding the wrist-worn items.
Fixed character-creation Beard Type "None" not being selected when loading a preset without a beard.
Fixed blur at certain zoom levels
Fixed blood not being drawn temporarily on hotbar weapon models when equipping or unequipping them.
Fixed various debug panels affecting a dead player after creating a new player with the New Character button.
Fixed recipes not preserving the "favorite" status of items when the result item has the same type as a source item.
Fixed zombies ending up on their back when they are hit while flipping from their back to their front.
Fixed the "close window" animation playing when the E key is pressed on a closed barricaded window.
Fixed empty assault rifles in Burst or Single firing modes killing zombies.
Fixed clothing items that can't get blood and dirt on them from getting wet. This includes belts, jewelry, and watches.
Fixed SleepingEvent not working correctly in splitscreen.
Fixed corpses being drawn underneath stairs.  They still get clipped if they overlap a lower stair tile.
Fixed knocked-off hats being drawn underneath stairs
Fixed some cases where empty containers looked like they had items in them.
Fixed some invalid item types in the loot-spawning tables.
Print a warning to the console when invalid item types are in the loot-spawning tables.
Fixed some gc with item spawning.
ProceduralDistributions Lua table is parsed one time during startup instead of each time items are spawned
Fixed the hotbar shortcut keys not working after the player gets bumped just before an attack starts


[VERSION] 41.42

[SECTION]NEW
Added emote wheel, you currently press Q to open it.
[NODOT]<INDENT:40> - Emotes wheels binded to Q by default.
[NODOT]<INDENT:40> - Emotes wheel is now a long press to bring up.
[NODOT]<INDENT:40> - Emotes wheel includes different looking emotes if you are in stealth 
[NODOT]<INDENT:40> - Pressing Q (shout) while crouched will now have different text and smaller sound radius.
[NODOT]<INDENT:40> - Swinging your weapon in the air (not hitting anything) won't attract zombies anymore.

Added new sets of anim for fishing with spears.
[NODOT]<INDENT:40> - Can now fish with a fishing rod while sitting on ground.
Updated the MacOS application icons.
Allow medical items to be dragged onto the list of injured body parts in the Health ui. Previously items could only be dragged onto the image of the body.
Made right-clicking items on the ground more reliable by checking if the item icon is within a certain distance of the mouse pointer.  Previously, only items on the square that was clicked were detected.  If the item was near the corner of a square, the user had to hunt around to find the right place to click.
Updated map to include recent fixes and Ben's Cabin


[SECTION][DEBUG]

Added a Reload button to the lua debugger file list.  It appears next to the file name of the item the mouse is hovering over.
Added an in-game animation-clip viewer accessed by CTRL+F7 in debug mode.


[SECTION][TUTORIAL]

Quality of life changes and fixes
Updated with new controller icons from Binky


[SECTION][MODDING]

Moved the code for clicking on curtains, doors and light switches from Java to ISObjectClickHandler.lua so modders can change this behavior.
Added back code to IsoPlayer.removeSaveFile() to delete map_pN.bin savefiles to help Nolan on SuperSurvivors and other minor changes to make his life easier
Added a new item property called Tags. Tags is a list of strings that can be used to specify what the item is used for.
[NODOT]<INDENT:40> Instead of checking lists of item types such as Hammer/HammerStone or Saw/GardenSaw, the game can check for items that have certain tags. These tags are: ChopTree, ClearAshes, CutPlant, DigGrave, DigPlow, Hammer, Saw, TakeDirt. Also, digital watches have the tag Digital which affects how the clock is displayed.
Moved recipecode.lua functions into a global table called Recipe.
[NODOT]<INDENT:40>The functions are organized into sub-tables Recipe.OnCreate, Recipe.OnGiveXP, and Recipe.OnTest.
[NODOT]<INDENT:40>This is similar to how vehicle-script lua functions work.
[NODOT]<INDENT:40>For example, CutFish_TestIsValid is now Recipe.OnTest.CutFish.
[NODOT]<INDENT:40>The old function names are still available to avoid breaking mods.
Error messages are printed to the console when loading a game if any recipe's OnCreate, OnGiveXP, or OnTest methods are undefined.


[SECTION]BALANCE

Reduced crit chance of knives.
Ignore the slowdown from injures, negative moodles, etc when closing or opening vehicle doors.
Reduced the distance at which light switches can be clicked on.
Ball-Peen Hammer can now be used for carpentry etc.
Spears used for fishing lose condition when damaged, and don't disappear from the player's inventory.
If you were about to do a close knife kill (jaw stab) forbidden when zombies are attacking - but your alternate normal attack will deal more damage. This avoids risk of unwanted jaw stabs when you have high small blade skills.
Increased reloading/aiming XP gain when level is under 5.
Increased minimum damage of M14 from 1 to 1.2.


[SECTION]ANIMS

Hide left-hand items when reloading firearms.
Hide any left-hand item when chopping down trees.
Tweaked normal glasses UV's so the arms show, male and female versions.
Tweaked drinking anims to be a bit more natural.
Tweaked gun recoils, loading and racking blends to eliminate some popping.
Adjusted recoil of handgun and rifle a bit.
Tweaked Trousers.xml, Trousers_Black.xml and Trousers_NavyBlue.xml masking to avoid clipping.
Tweaked Shorts_ShortFormal.xml to avoid clipping.


[SECTION]FIXES

Fixed non-empty containers sometimes looking like they had no items in them (in random toilet-paper-filled buildings).
Fixed lua error with the "Rest" context-menu option when extremely tired and no bed/chair was clicked.
Fixed being able to fish from infinite distance, you'll now need to be at max 6 tiles from body of water with a rod and 2 tiles with spears.
Fixed various issues with moveables - primarily metal ones.
Fixed vehicles not colliding with zombies after the engine shuts off while the vehicle is still moving.
Fixed zombies sometimes attacking instead of playing their hit-reaction animation. 
Fixed animation event garbage collection.
Fixed ActiveAnimXXX events occurring every frame after a new node is started in the same AnimSet.
Fixed two DebugLog.txt files being created during startup. One of these files was being closed via garbage collection, which has caused problems on Linux in the past.
Fixed not being able to jaw-stab a zombie from behind when the zombie was playing the Zombie_DoorClaw animation.
Fixed action animations (like reading) not playing when sitting on the ground after trying to attack while sitting.
Fixed timed actions continuing while getting up from sitting after pressing a movement key.
Fixed parts of clothing not being visible through a hole in a layer above sometimes.
Fixed zombies playing their aggression sound after killing the player. It kept playing during the eating-body sound.
Fixed multiple death screams playing sometimes when the player is killed by zombies.
Fixed zombies sometimes playing their bite animation again after dragging the player to the ground.
Fixed the player-info avatar animating more slowly at higher framerates.
Fixed the animation-clip viewer animation running more slowly at higher framerates.
Fixed not being able to interact with tents placed by the map-maker.
Fixed rooms sometimes appearing unlit when the light switch was on. This happened when loading a part of the map with room light switches but no lamps or porch lights.
Fixed wearing each item of clothing in a stack, when those items have the same name but different underlying types (like Jacket).
Fixed favorited items being used for campfire fuel.
Fixed a bug with reusing zombies which could result in a zombie trying to walk toward a sound it heard before it was removed from the world.
Fixed the player info avatar not updating when hats and glasses are knocked off the player.
Fixed the loot window not updating to show hats and glasses knocked off the player.
Fixed the player-info avatar animating while the game is paused..
Fixed the carpentry menu Door submenu appearing disabled when a doorframe can be built..
Fixed food in a bag in a Fridge/Freezer not cooling or freezing.
Fixed Big Garage Doors / Windows showing as doubled normal sized doors / windows in cutaways.
Fixed logging out and back in with the "Winter is coming" challenge (and others) resetting the timer.
Fixed some item weight discrepancies.
Fixed not being able to start a BBQ with any other materials apart from paper.
Fixed unlimited sugar being allowed to be added to a beverage.
Fixed lockers not cutting away correctly.
Fixed lunch box always spawning with fresh food even a long time into the apocalypse.
Fixed pouring water from bottle to bottle not reserving empty bottle's favourite status.
Fixed Filling up broken Saucepan repairs it.
Fixed sandbox option "Infection Mortality" set to "Never" not working.
Fixed placing and removing bait from a trap duplicating it.
Fixed the crafting ui "Name Filter" entry and "Filter All" checkbox displaying different values in each tab.
Fixed the fishing ui not being tall enough to display the caught items sometimes.


[VERSION] 41.43

[SECTION]NEW
Updated with new controller icons on gameplay screen when playing with pad
The inventory and loot windows are collapsed right away when the player begins aiming, unless they are pinned.
 
Interrupt zombies climbing through windows if the player is closing the window.
[NODOT]<INDENT:40> This applies if a zombie is starting to climb through a window, and isn't over the window sill.
Block the player closing a window if a zombie is climbing through it. The player plays the 'struggle' animation if a zombie is over the window sill.

Added "Automatically Drink Water When Thirsty" accessibility option.  It is on by default. Right-clicking on a water bottle when thirsty displays a new option "Quench Thirst". This option isn't displayed for food (such as pop cans), only water containers. Each unit of water removes 10% of thirst, as always.  So some thirst below 10% may remain after drinking.
 
Added "Leave Key In Ignition" accessibility option. When enabled, the key remains in a vehicle's ignition when the engine is shut off.
 

[SECTION][PERFORMANCE]
 
Improved pooled objects, which should in turn improve performance in areas of high zombie density.
[NODOT]<INDENT:40> (On Six Months Later settings, for example, game was taking above 6ms to release an AnimationPlayer when removing one zombie from the world. This time has now been lowered to about 0.01ms - 0.03ms).


[SECTION]BALANCE
 
Removed attack that was standing in for a cancelled jaw stab
Added more floorboard stashes, including some exotic ones.
Increased chance of finding an annotated map
Increased the chance of finding a Survivor Zed
Refined the outline colour when aiming at zeds with a firearm - green now appears when the chance of getting a good shot is a lot more likely
Increased chance of clip found in guns or next to it.
Changed sleepyhead and wakeful sleep times
Added traps being destroyed in streamed world returning same items as when destroyed in 'offscreen simulation'


[SECTION][MODELS/ANIMS CHANGES]
 
Adjusted multiple bags and apron mesh so they don't clip each other
Made welding mask replace hats and vice versa (can't wear at same time)
Made it so earrings don't clip through hoods
 

[SECTION]FIXES
 
Fixed crawling zombies hitting the player in a vehicle when doing the fence/window crawl attack.
Fixed the controller focus being on the load-game screen after loading a game with the controller active.
Fixed the inventory and loot window selections being cleared sometimes while dragging items. This resulted in dragged items not being rendered.
Fixed the vehicle dashboard remaining hidden after hiding the ui while inside a vehicle.
Fixed the crafting, map, and mechanics UIs blocking all keypress events.
Fixed multiples of "Time Before Corpse Removal" passing before corpses are removed.
Fixed corpses moving and changing from male to female when rotting.
Fixed Lua error while loading a challenge if all Lua files were reloaded due to mods.
Fixed multiple player-death sounds playing.
Fixed the inspect-clothing ui displaying the wrong bite/scratch defense values for items with neckProtectionModifier < 1.
Fixed bite/scratch defense bonus on the neck being reduced on clothing with neckProtectionModifier < 1.
Fixed setting the sandbox start time to 5AM starting at 9AM.
Fixed "Pouring in" being displayed in the inventory window when combining Thread.
Fixed stashed planks not working (the container "hidden" in the floor).
Fixed hotbar appearing for controller users
Fixed CTRL+A in the inventory and loot windows causing the player to turn.
Fixed missing function name in "xxx not defined for operands in null" exception messages.
Fixed not taking bullets from bags to reload a magazine when using the radial menu. Bullets in bags were taken when using the context menu.
Fixed being able to pour dirt onto water tiles
Fixed rugs/carpets being removed with certain actions calling addfloor (pour/take dirt, build floor)
Fixed some benches requiring different tools for different facing directions
Fixed objects not being able to click or added to context menu when 'under/behind' a collapsed wall
Fixed pouring the same thing out the same type multiple times on a tile (sand/gravel/dirt)
Fixed park ranger not having his/her walk through trees work correctly


[VERSION] 41.44

[SECTION]NEW
Re-use container buttons in the inventory and loot windows instead of creating new ones each time the windows are updated.
Use radio buttons instead of checkboxes for available bags in the forage ui.
Bloodied and dirtied backpacks can now be washed.
Removed the "Age" stat from the character info panel
Add Yes/No prompt after pressing quit to desktop
Arrange option-screen controls better when the resolution changes.
Re-enabled the FPS counter - displayed with K by default. Should work okay now.
DPad-down displays the emote radial menu. When a sub-menu is displayed, highlight an emote and press DPad-down again to select it.
Allow collapsed inventory and loot windows to expand when the mouse moves over them when the player is aiming if the game is paused.
Added new hairstyles - center parting, side partings etc
Added jar 3D models - mayo etc. (Either eat them with a spoon or directly drink them! wow.)
Added petrol can 3D models (also petrol can can now be held in hands)
Forbid switching between front and back seats in the police car, since there's a divider between them.
Visually indicate seats that can't be reached from the current seat in the switch-seat ui.
Added animations for equipping and un-equipping items and clothing.
Added new sitting animation used when performing timed actions.
Allow fishing rods, spears and lures to be taken from bags when used.
Allow stopping ringing clocks and watches in inventory while moving.
Updated translations.
 

[SECTION][COMBAT FIXES]

To address issues of the player attacking a downed zombie rather than an incoming threat, there is now a fixed value of 1.5 for ignoring prone zombies.  When there is a zombie standing within 1.5 squares in front of the player, ground attacks won't happen.  This value is the same regardless of which weapon (including bare hands) is used.
Zombies standing behind the player will not prevent ground attacks.
As always, prone zombies will be ignored if there is a standing zombie within weapon range, which might be greater than 1.5.
 
Given a choice between two zombies on the ground:
[NODOT]<INDENT:40> 1) Give higher priority to a zombie that is getting up.
[NODOT]<INDENT:40> 2) Give higher priority to a crawling zombie (but lower priority than one that is getting up).
 
Fixed a bug where a prone zombie might be chosen over one getting up. This was due to zombies switching from prone to standing half-way through the getting-up animation.
Fixed infinite ammo exploit with RackAfterShoot firearms.
Improved the appearance of the aim outlines around zombies and improved colors.
Changed the "Aim Outline" option to have three choices: "None", "Ranged Weapons" and "Any Weapon".
[NODOT]<INDENT:40> "Any Weapon" should reduce frustration for some people with not knowing which zombie might be hit.

 

[SECTION][FITNESS]
[NODOT](Will require balance still, and will be put into the health panel next to temperature etc. in next patch)
Right click anywhere to bring up the fitness UI.
Select an exercise (some require items, like dumbbell), select how much time and click ok.
Exercise Fatigue will be induced approx 12h after the end of exercise.
Tooltips explain what stiffness does what (doing push ups will bring pain in your arms/chest, making combat slower, etc..)
The more you exercise, the more you'll gain "regularity", meaning the less stiffness you'll get from this exercise (each exercise has its own regularity).
System takes into account the impact of tiredness on the result of the exercise, nutrition, etc.
Includes "struggling" version of exercises for lower fitness level characters.
Some professions have existing regularity in certain exercises (fitness instructor, fireman..)


[SECTION][WATER TIDY-UP]
Changed "Quench Thirst" back to "Drink" for water-containing items.
Changed "Remaining: Percent" to "Water: Current / Max" in tooltips for these object context-menu options: Rainbarrel info, Water Dispenser info
Changed "Percent full" to "Water: Current / Max" in tooltips for these item context-menu options: Add Water From Item, Drink (from an item), Fill (taking water from an object into an item), Pour Into
Added a tooltip displaying "Water: Current / Max" when drinking from a sink or other object, as well as whether the water is tainted.
Drinking from sinks before the water shuts off, or rivers, displays "Water: Unlimited".
Always display the Drink context-menu option for drinking water from objects.
Drinking water from items and objects will reduce thirst to zero instead of possibly leaving some fraction < 0.1.

 

[SECTION]BALANCE

Bullets are taken from bags when pressing the reload key without using the radial menu.
Fixed a couple places where weapon weight wasn't adjusted when bullets were added or removed.
Equipped weight on flashlights now shown.
Rename Roasted Vegetables to a Roast
Scrap metal now produced when dismantling car wrecks
Renamed ".44 Magnum Magazine" to ".44 Magazine". The Magnum is a revolver so doesn't take a magazine. The .44 Magazine goes into the D-E Pistol.
Hitting a zombies while going backward in a car can now damage gas tanks.
Destroyed traps can return multiple items, those using twine return the full twine cost
Storms now less dark during daytime
Antique stove can now spawn in a crate in any warehouse (very rare)
Fixed wrong items appearing in roomtype 'camping'
Fixed wrong items appearing in roomtype 'bakery'
Added roomtype 'campingstorage' to lists: Same lootlist as camping, better rolls, crates (cardboard boxes?) only.
EggCarton spawn chance increased. Small chance of finding two egg cartons in fridges.
Increased numbers of floorboard stashes in houses and numbers of items in them.
Increased odds of stuff spawning in bags on zeds


[SECTION][FOX'S CUTAWAY POLISH]

Player-built walls that enclose a space no longer collapse if there's no window
Fixed cutaway starting as soon as character sets foot on stairs
Fixed cutaways loading issues
Fixed cutaway of fences and walls starting a bit too late.
Fixed Dumpsters in warehouses never stop being cutaway or having jagged edges
Fixed cars being seen through closed garages
Fixed cutaways with missing tile properties

 

[SECTION][MODDING AND TRANSLATION]

Added EvolvedRecipeName_EN.txt translation file.  This is used for the EvolvedRecipeName property of items.
[NODOT]<INDENT:40> Previously, it was using the old DisplayName_XXX translation.
Added ContextMenu_CarBatteryCharger_RemoveBattery translation.
Added %-substitutions to translations:
[NODOT]<INDENT:40> ContextMenu_Add_Ingredient
[NODOT]<INDENT:40> ContextMenu_Create_From_Ingredient
[NODOT]<INDENT:40> ContextMenu_From_Ingredient.
Added "Unload 1 Round From %1" translation for removing a single round from a revolver (instead of Rack).
Added "Tags = Screwdriver" to the Screwdriver.
Changed recipes that use a Screwdriver to use any item with Tags=Screwdriver.
Changed recipes that use a Screwdriver to use any item with Tags=Screwdriver.
Added Tags=CanOpener to TinOpener.
Adjusted recipes that used TinOpener to use any item with Tags=CanOpener
Added Tags=FishingRod and Tags=FishingSpear to rods and spears.

 

[SECTION][ANIMATION CHANGES]

cropped Bob_RunStumble.X
tweaked xmls to get smoother get up from scramble
capped Bob_JacketLong.X, Kate_Jacket.X and Kate_JacketLong.X
unified Bob_WeddingJacket.X normals
created ShortSleeveShirt Body Location
changed some shirt clothing items Body Location to ShortSleeveShirt so that they don't hide watches
hiding fanny packs with certain clothing items
removed ApronTEXTURE from outfit Waiter_Diner
capped some male and female clothes
tweaked transition and blends between run and sprint. sneak versions also done.

 

[SECTION][UI TIDY-UP]

Hide the post-death text when the quit-to-desktop dialog is visible.
Draw a rectangle under the post-death text so it is easier to see on light backgrounds.
Fixed layout of some things at different font sizes.



[SECTION][OPTIMIZATION]

Optimized PropertyContainer's handling of IsoFlagType. This is an optimization to a foundational element of PZ's code, which should give a small boost to many, many elements of the game since  property containers / isoflagtype stuff is used throughout - especially map rendering, game logic etc. We have already seen gains in built-up areas like West Point.
Declared a lot of classes and fields 'final'.

 
[SECTION]FIXES
Fixed DebugScenarios.lua calling Events.LoadGridsquare.Add() even in non-debug mode.
Fixed ambulance door mask to correct left and right
Fixed some see-through clothing on corpses
Fixed the player being immune to attacks from the front while holding bags in both hands.
Fixed Sugar not having nutritional value
Fixed Stone Axe weighing more than elements needed to assemble it
Fixed Cooked Rice and Pasta never rot
Fixed when building a fence up to a wall, the part where it connects to the wall isn't cut
Fixed ability to expand the inventory and loot windows if the player is aiming or panning the camera via the keyboard.
Fixed awarding Foraging experience points when failing to find things that are impossible to find, due to time of year and/or skill level.  The player could easily level up Foraging skill without ever decreasing the zone's abundance.
Fixed exception in IsoCell.CullFullyOccludedSquares().
Fixed animation clock running at a lower speed than expected, and adjusted global anim speeds to fit
Fixed small bug caused dont allow pouring multiple types (sand/gravel/dirt) not working
Fixed lua error when build cursor is on empty squares (above ground level) 
Fixed build cursor not turning red when hovering invalid tiles for example when above ground level
Fixed being able to dig graves in interior
Fixed being able to dig graves on tiles with a poured dirtpatch but no natural floor underneath
Fixed trap spawning items when regularly removing it (non breaking)
Fixed radiointeractions missing out lines due to cooldown on fast speed (the fast-forward misses out on XP bug)
Fixed not racking some weapons after each shot.
Fixed issues with firearm and magazine weights.
Fixed muzzleflash textures not being visible on the first shot.
Fixed nearby vehicles not being rendered when the vehicle is inside the same room as the player.
Fixed the debug FPSGraph not being rendered unless the clock is visible.
Fixed corpses being drawn beneath railroad tracks and graves.
Fixed Lua error with "Insert Magazine" when right-clicking on a firearm.
Fixed trait tooltips not being displayed in the character-info ui when the character has a trait without a texture.
Fixed SmallCar extents not matching physicsChassisShape.
Fixed non-transfer of Lighter or Matches from bags when smoking. This also works when eating any item with RequireInHandOrInventory.
Fixed animation lockup with emotes.
Fixed the ZombieSurprisedPlayer sound playing too often. The timer is reset whenever the player sees a zombie.
Fixed deafening multiple thunder noises on speeds > 1
Fixed exception when scavenging if more than one type of item is found.
Fixed items required for repairing items not being taken from bags.
Fixed "Dig Furrow With Hands" not being displayed when using a controller.
Fixed the hotbar being displayed for splitscreen players using a controller.
Fixed zombies flipping from back to front to become crawlers when being stepped on or when under a vehicle.
Fixed lua error repairing vehicle parts.
Fixed the player tripping in trees when in ghost mode.
Fixed getting free ammo when spamming the unload-magazine command.
Fixed zombies sometimes falling backward when shoved from behind. This happened when hitForce was <= 0.1.
Fixed drainable items losing their Favorite status when emptied after being used in recipes.
Fixed not using translations for moveable object names with the "Plumb XYZ" context-menu option.
Fixed the quit-to-desktop dialog overlapping buttons at the bottom of the screen after death.
Fixed clothing sometimes not getting a hole when it should.
Fixed sprinters pursuit collision
Fixed a lots of missing cutaway properties.
Fixed tied hair that's grown out still having 'untie' options
Fixed fishing from a long distance away
Fixed position of the 'muzzle' attachment on handguns and revolvers (used to display the muzzle-flash sprite).
Fixed missing overlays in pie shop
Fixed saplings grown by erosion system slowing and scratching player
Fixed various mapping bugs
Fixed items not being transferred from lightest to heaviest when dropping items onto container buttons.
Fixed the "Put In Container" context-menu option not working when right-clicking on the equipped primary or secondary icons unless the player's inventory (not a bag) was displayed.
Fixed NullPointerException adding gas to a generator when the gas can wasn't equipped.


[VERSION] 41.45
[SECTION]NEW
Allow crowbars to be used to remove wood barricades, and use animations for it
Added context-menu commands for adding all fuel items, and all fuel items of a certain type, to barbecues, campfires and fireplaces.
The warm-hands-by-a-fire now works with fireplaces.
Added 'world' attachments to shotgun models.
Added a shit ton of new male names, female names and surnames taken from 1994 US census so every other character isn't called Marina Hodgetts. (Thanks to Jam for putting these together.)
The inspect-clothing command will transfer items to the player's inventory if needed.
Inflating vehicle tires will stop at the maximum pressure instead of always adding 5. It was annoying having to cancel the action at the right time.
Play the "craft" animation when adding patches to and removing patches from clothing.
Updated translations.
Display "Sleep on Ground" instead of "Sleep" in the context menu when no bed is selected.
The "Sleep" tooltip displays the quality of the bed which can be Bad, Average or Good.
Added cooler (can be worn in hands).
Added satchel (3 variations, can be worn on back or in hands).
Added briefcase spawns
Added pistol case.
Updated some textures for bags.

Allow the player to shove (and stomp) sooner after attacking with a weapon.
The crafting ui displays the the player's skill level for recipes with required skills (such as Make Trap Box).
Required skills are displayed in red text if the player's level is below the required level.
Added methods Recipe.getRequiredSkillCount() and Recipe.getRequiredSkill().
Recipe.getRequiredSkill(int index) returns a RequiredSkill object with methods getPerk() and getLevel().

 

[SECTION][IMPROVED FOG SYSTEM]
Brand new awesome fog now added
Added display option for new fog, can toggle between high quality, medium quality and legacy (build 40)
Changed fog generation, now variable duration based on day mean temperature.
Added chance of grey tinted fog effect to storms.
Added guaranteed strong tinted fog effect to tropical storm, now very distinctive.
Modified blizzard effects to work well with new fog.
Added new fog control panel to debug menu.


[SECTION][FITNESS]

Xp gain from exercises can now be different.
Regularity will not drop until 24h after doing an exercise.
Fixed some fitness animation weirdness.
Remove the fitness UI when entering a car.
Fixed NullPointerException in Fitness.decreaseRegularity().
Fixed exception in Fitness.load().
Moved fitness to health panel (new button) instead of right click menu.
 

[SECTION]BALANCE

Allow washing dirty bandages from clean-water sources such as sinks.
Dismantle Flashlight recipe is allowed if there is a battery in the flashlight.
Renamed two Jackets to Leather Jacket. They were already leather.
Increased antique stove weight from 20.0 to 40.0.
Decreased gardening spray capacity
Reduced size of zombies target outline by 20%.
Reloading a gun will look for magazine in bags and not just main inventory.
Toilet paper can now be used the same way as tissue (equip in main or secondary hands to reduce cough noise).
Toilet paper can now be used to start and fuel a fire/BBQ.
Slight bump in sneak skill (when in plain sight, will reduce the zed vision/footstep volume)
MSR700/MSR788 now doesn't require magazines.
 

[SECTION][OPTIMIZATION]
Optimized ScriptModule.getRecipe().
Declared SpriteRenderer.instance and SpriteRenderer.ringBuffer 'final'.
Avoid some string-related gc with cutaways (parsing sprite names).
Big optimization to cutaway rendering - moved testing of TallHoppableW, WallWTrans, TallHoppableN and WallNTrans to IsoFlagTypes since they were doing lots of string comparisons and slowing rendering down


[SECTION][MODEL AND ANIM CHANGES]
Adjusted geometry so the gas mask works better with hats.
Added another body location to BodyLocations.lua (MaskFull)
Made welding mask part of the MaskFull body location
Changed the cough/sneeze/fidget animations (the 'ext' state) to play as a sub-state of the 'idle' state.
Re-exported TShirt_white to not have buttoned front
 

[SECTION]FIXES
Fixed the wrong animation playing when putting on baseball caps.
Fixed NullPointerException in IsoGridSquare.getPuddlesDir(). This happened with a fireplace.
Fixed some missing translation files
Fixed not being able to equip and unequip items while aiming.
Fixed zombie fence-flop crawling attacks hitting the player through closed doors.
Fixed recipes without required skills not working.
Fixed items not being taken from bags when equipping a light source.
Fixed equipping an item in one hand when it looked like it should be equipped two-handed when dragging an item onto the primary/secondary icons.
Fixed being able to climb through closed windows sometimes.
Fixed not being able to reload an empty magazine while aiming.
Fixed gunshot sounds and muzzleflash effects while sitting on the ground.
Fixed exception when lighting a barbecue or fireplace with gas.
Fixed timed actions not working while the warm-hands-by-a-fire animation is playing.
Fixed warm-hands-by-a-fire animation possibly continuing long after the fire goes out.
Fixed being able to fish at long distance with spears. (also one of the problem was if you only had a spear and open the UI, it was considered as a fishing rod!)
Fixed transition animation from standing to sitting on ground not playing.
Fixed available hotbar slots not updating when using a controller.
Fixed timed actions not starting while aiming in a vehicle.
Fixed the player getting stuck exiting a vehicle if it was done while aiming.
Fixed toggle aim on/off not working in vehicles.
Fixed the aim-assist cursor not disappearig after the player dies.
Fixed long lines of text extending outside the crafting and switch-vehicle-seat windows.
Fixed the automatic moving of items on vehicle seats not moving an item if it used all the remaining space on a seat.
Fixed regularity map being re-initlized if fitness instructor/fireman.
Fixed regularity progress bar showing incorrect values (it could never be at 100%!)
Fixed the info popup in the profession/traits ui not being hidden when going to the previous or next screen.
Fixed containers with capacity 3 or less not getting extra capacity from the Organized trait. This affected Fanny Packs.
Fixed corpse inventory capacity being affected by the Organized and Disorganized traits. Player inventory capacity has never been affected by these traits (only bags).
Fixed issues with the "Campfire Info" command after right-clicking on a campfire that is behind a wall.
Fixed being able to drive a vehicle forward in reverse gear.
Fixed being unable to look around by holding the right mouse button while in a vehicle with the window closed. This worked when holding the Aim key, but not when holding the right mouse button. 
Fixed "All All" not adding all charcoal to barbecues, campfires and fireplaces. It will add one unit of charcoal (30 minutes) at a time until all is used.
Fixed zombies moving through walls after climbing over a fence sometimes. This was easy to reproduce north of the West Point police station when fast-forwarding.
Fixed cough/sneeze/fidget animations playing more frequently at higher framerates.
Fixed context-menu cooking translations for latest version of Translatoid
Fixed clothing mod data being lost when reversing caps, putting hoods up/down, etc.
Fixed not facing doors when locking and unlocking them via the context menu.
Fixed not gaining only strength and not fitness exp when doing some fitness exercices.
Fixed being able to open multiple fitness UI.
Fixed double door and stick traps returning more than they took to craft.
Fixed sleep traits not affecting how much a char sleeps
Fixed not being able to disassemble large metal shelves
Fixed not being able to remove tiredness with restless sleeper
Fixed front strength not showing properly in debug climate plotter


[VERSION] 41.46
[SECTION][PERSISTENT ZED OUTFITS]

Zombie appearance is now mostly preserved when reloading.
Added Zombie.Outfit.Random debug option to disable persistent outfits and choose random ones when zombies are loaded.
Added AttachedWeaponDefinitions class to avoid parsing the Lua table every time a zombie spawns.
Rewrote ZombiesZoneDefinition to avoid parsing the Lua table each time a zombie spawns.
Fixed the police barricade vehicle stories not checking for a wide-enough zone properly, preventing them from spawning.
DebugChunkState displays all the zones at a location.
Moved client/Definitions to shared/Definitions. server/recipecode.lua uses ClothingRecipesDefinitions.


[SECTION][ADDED TRAILERS]
1) If in debug use addVehicle("Base.Trailer") to spawn a trailer.
2) Park a vehicle with it's rear end near the front of the trailer.
3) Looking at either the vehicle or the trailer, use the vehicle radial menu and choose "Attach Trailer" (the plus-sign icon).
[NODOT]<BR>
Vehicles should have an attachment named "trailer" that is aligned with the same attachment on the trailer itself.
Vehicles without this attachment will connect somewhere on the rear of the vehicle.
Editing attachments on vehicles is a new thing in the vehicle editor.
[NODOT]<BR>
Added support for multiple collision shapes on vehicles. This is to support the trailer hitch extending forwards of the trailer's body. Shapes must be added in the vehicle's script.  They can be edited in the vehicle editor under the new "Physics" section.
A maximum of 10 shapes is supported, minus one for physicsChassisShape.
Updated the vehicle blood and damage textures. Damage and rust textures are applied to the trailer. The blood texture doesn't currently appear, however.
Simulate a rope when towing cars: breaking too much at full speed and your towing car will bump into you.
Added uncovered trailer Base.Trailer.  Base.TrailerCover is the covered version.
The uncovered trailer FBX is missing the second UV channel.
Trailer brake lights will come on when the vehicle towing it's brake lights are on.
Added 4-wheeled advertisement trailer.

Added 'world' attachments to some weapon models so they are positioned better when on the ground.
Added new advertising trailers. The "Set Script" vehicle debug-menu command picks a random skin.
Added trailer car crash story.

[SECTION][NEW ZED STORIES]

Sometimes in forests, at the beach or next to lakes, you'll find people who were zombified doing different activities.
Beach party, fisherman trips, forest campement...
BBQ party
Sexy time (!)
Hunter camp
Trapper camp
More!


[SECTION]GENERAL
Added beer can & beer bottle item.
Recipe tooltips now display available items in white text above unavailable items in grey text.
Stop emote animations when the "Cancel Action" key or the controller B button is pressed.
Added more gun attachments models, fixed missing ones.
Added ammo straps as clothing item. Can be worn, exist with shells or bullets, can increase reload speed (shells for shotgun/bullets for the rest).
Added possible bullet vest on police outfit.
Added several new hair cuts
Added new beard styles.
Added a HairOutfitDefinitions.lua definition file:
Allow to spawn some haircut only on specific outfit.
Force some haircut on some outfit (ZombiesZoneDefinition.lua take precedence over it)
Added some outfits for Zed Stories.
Implemented new hats/eye patch (icons, functionality etc).
Added the JOIN_IDENTICAL_VERTICES option when loading models.  This can greatly reduce the number of vertices in a model.
Updated translations.


[SECTION]BALANCE

Damage to car parts from melee weapons now made more accurate to type of weapon
Changed damage from hitting zombies with car: speed exponentially increases damage. Also made attempts to stop sprinters hammering on the rear of car and destroying it too fast.
Whiskey bottle with water weight now more in keeping with whiskey bottle weight
Decreased the gain in drunkeness from drinking beer bottles/cans vs. spirits
Made alcohol->drunkeness slightly more potent when character has an empty stomach
Disassembling Lamps now gives a Lightbulb
Log Stacks recipes to always use 2 Ropes, instead of 1 Rope per Log
Beverage can now be prepared with only sugar
Sugar and coffee now drainable items (due to be reverted in next patch due to internal rethink)
Hood/bonnet now repairable with metal sheets + screws or torch
Uncooked pasta or rice in a pot/pan of water will now eventually rot 
Balanced trunk and glove box capacity on vehicles and trailers
Increased watch spawn rate on zombies.


[SECTION]ANIMS

Added Zombie_WindowLungeHitReact.X.
Adjusted bob_sitground anim to finish on correct pose
Tweaked sitting anims to blend a little better


[SECTION][MODDING / DEV]

Added support for custom decals, clothing and outfits in mods.
[NODOT]<INDENT:40> Each mod may have it's own copy of these files:
[NODOT]<INDENT:60> media/fileGuidTable.xml
[NODOT]<INDENT:60> media/clothing/clothing.xml
[NODOT]<INDENT:60> media/clothing/clothingDecals.xml
[NODOT]<INDENT:40> The above mod files no longer override the game's files with the same name.
[NODOT]<INDENT:40> Mod decal groups and outfits with the same name as one the game defines will override the game's.
[NODOT]<BR>
Added support for custom beard styles and hair styles in mods.
[NODOT]<BR>
Added a new script item property named AcceptItemFunction which specifies the name of a Lua function to test whether an item is allowed in a container. 
[NODOT]<INDENT:40> This is in addition to the existing OnlyAcceptCategory property which tests InventoryItem:getCategory().
[NODOT]<INDENT:60> For example, to allow only medical items in a First Aid Kit, add a line to clothing_bags.txt:
[NODOT]<INDENT:60> item FirstAidKit
[NODOT]<INDENT:60> {
[NODOT]<INDENT:60> ...
[NODOT]<INDENT:60> AcceptItemFunction = AcceptItemFunction.FirstAidKit,
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> And add this function in a Lua file:
[NODOT]<INDENT:60> function AcceptItemFunction.FirstAidKit(container, item)
[NODOT]<INDENT:60> return item:getStringItemType() == "Medical"
[NODOT]<INDENT:60> end
[NODOT]<BR>
Changed Color.HSBtoRGB() to return a Color instead of Integer[3]. If you want the integer values, use Color.getRedByte(), Color.getGreenByte() and Color.getBlueByte().
Challenges may define a function named getSpawnRegion() to allow multiple spawn points and spawn regions. Previously only a single fixed spawn point was supported.
[NODOT]<INDENT:40>See the commented-out Kingsmouth.getSpawnRegion() function for an example.
A challenge's AddPlayer() function is now called when creating new players in existing games.
[NODOT]<INDENT:40>This is used by the CDDA challenge to start new players naked and injured, for example.
The "OnEat" item-script Lua function is now called with a third parameter named 'percent' to indicate what percentage of the remaining amount of the item was consumed. Also, the function is called before the food is consumed.
[NODOT]<INDENT:40>See OnEat_Cigarettes() for an example of how it is used.
Fixed unrecoverable TextureCombiner errors when a texture couldn't be loaded.
[NODOT]<INDENT:40> Missing textures are displayed as a red and white checkerboard texture.
Display the filename of an asset that fails to load in the exception message.
Fixed multithreading issue with OutfitRNG. ImageData constructors throw exceptions instead of catching them now. 
[NODOT]<BR>
Fixed not properly reloading modified textures that previously failed to load.
[NODOT]<INDENT:40>This doesn't handle texture files that were previously missing, only ones that failed to load.
Added a two-second delay before DebugFileWatcher handles changes to modified files.
[NODOT]<INDENT:40>This is to address two things:
[NODOT]<INDENT:40>1) The file may still be being written by another application that is saving it.
[NODOT]<INDENT:40>2) Sometimes there are multiple events for the same file, such as a "create" event followed by one or more "modified" events.
[NODOT]<BR>
ISSliderPanel now checks for shift-clicking instead of whatever key "Run" is bound to.
Changed puddles rendering to use vertex buffer objects, reducing the number of calls needed to render them.


[SECTION][CUTAWAY FIXES]
Fixed stretched window cutaways 
Fixed vents not cutting away / turning transparent like other objects
Fixed Short walls in Prison not cutting away in a nice way
Fixed Double door cutaways - were previously offset on a building
Fixed stairs not cutting away properly


[SECTION]FIXES
Fixed not being able to choose a texture in the character-creation ui for clothing items that don't have models. For example, Denim Shirt and Leather Gloves.
Fixed "Override:true" not working in mod recipes, resulting in duplicate recipes.
Fixed the skybox texture not updating after fast-forwarding (F5 or F6 or sleeping).
Fixed SkyBox.update() allocating Color and Vector3f each time.
Fixed the Skybox.Show debug texture size changing when zooming.
Fixed less than one unit of Twine being returned when destroying a Stick Trap.
Fixed server-side STrapGlobalObject calling client-side CTrapSystem:sendCommand().
Fixed items that weigh less than 0.005 being displayed as 0.0 weight. Now items weighing less than 0.01 are displayed as 0.01. For example, Screws.
Fixed double metalwork doors giving planks and nails when destroyed.
Fixed loading the SQL library from the user's Temp directory on 64-bit Windows.
Fixed missing animation for unloading bullets from rifles without magazines.
Fixed being unable to remove the key from the ignition when clicking on the key icon in the dashboard when the "Leave Key In Ignition" option is on.
Fixed controller not being able to open Fitness UI (The controller Y button opens it from the health UI)
Fixed sunstar motel arch cutaway.
Fixed the police barricade vehicle stories not checking for a wide-enough zone properly, preventing them from spawning.
Fixed closing the health panel closing after opening fitness panel.
Fixed a multi-monitor issue on Linux.  Sometimes resolutions for the non-primary monitor were detected.
Fixed errors cleaning bandages using a sink/etc.
Fixed not walking to the water-containing object when cleaning bandages from a sink/etc.
Fixed student zeds could spawn with 2 bags.
Fixed muzzle flashes emitting no light during the day, even in dark rooms.
Fixed the shovel not appearing in the player's hands when filling a grave, if the shovel wasn't already equipped.
Fixed animation when burning a corpse with gas.
Fixed exception in InventoryItem.synchWithVisual() when an item's IconsForTexture list is smaller than the number of clothing textures for that item.
Fixed formatting bug in clothing_pants.txt related to Shorts_ShortDenim.
Fixed the "Remove Broken Glass" context-menu option not being shown as disabled when the player is holding an item in the left hand.
Fixed the health panel being shown when displaying the fitness ui, when using a controller.
Fixed errors pressing keys during the "This is how you died" loading stage.
Fixed FileNotFoundException when loading mods without clothing.xml.
Fixed an exception turning an equipped radio on or off when a generator is nearby.
Fixed surprise zombies in spawn locations, even though this was frequently hilarious. Zombies are now removed from the inside and around the building the player spawns in, when creating a new player in an existing game.
This does not include reanimated player zombies. Also, house alarms are disabled.
Fixed player not spawning in the correct location when creating a new player in an existing challenge
Fixed getting max benefit (or harm) from smoking part of a cigarette.
Fixed not being able to interrupt closing windows or smashing windows.
Fixed the player turning when following a very short path.  Now the player will strafe to the new position without turning. For example, when smashing a vehicle window, the player would turn around, walk to the required position, then turn to face the vehicle again before smashing the window.
Fixed vehicles dropping to the ground when loading or spawning them.
Fixed PhysicsDebugRenderer not being thread-safe.
Fixed zeds taking too long to stomp to death in certain conditions
Fixed being able to build a floor on farming plots
Fixed return items when dismantling of double doors
Fixed doorframe going invisible when painted light blue
Fixed male tourist outfit spawning wearing dresses/skirts.
Fixed extreme length of required stomping on zombies in some situations.
Fixed various map bugs
Fixed untranslated names of burnt vehicles being displayed in the radial menu.
Fixed some bags not playing "zip" sfx when interacted with
Fixed painted boxes not showing color correctly
Fixed having hood up and equipping hat replacing whole hoodie with hat, instead of removing hood and putting hat on
Fixed not being able to "Put Out" BBQ
Fixed non-centered multiple lines of text horizontally in the radial menu.
Fixed split-screen rendering issue with puddles.
Fixed a rendering issue with water that resulted in visible lines along chunk boundaries.(Water flow and speed weren't updated when adjacent chunks were loaded.)
Fixed a bug where fixed capacity defined in vehicles wasn't used.
Fixed Default Sprint key on MacOS being LMETA instead of LMENU.
Fixed hedges not slowing players and zombies. (Players in ghost mode or noclip are not slowed by hedges or trees.)
Fixed clothing condition and wetness resetting when switching from hood-up to hood-down, etc.
Fixed the controller A button entering vans instead of opening the rear door to access the trunk.
Fixed the wrong strafe angle being used when walking short paths.
Fixed max capacity for vehicles not being saved.


[VERSION] 41.47

[SECTION]NEW

Added camo baseball cap.
Added urban camo shorts.
Tweaked attachedWeaponDefinitions so it can handle weapons for custom outfit (ensure police spawn with more guns/nightstick, bandits with weapons...)
HairOutfitDefinitions can also handle beard.
Added some new Zed Stories and improved some existing ones
Updated translations.


[SECTION][MAP]
Added driveways and parking lots to new buildings added to the current main map in 41.46 (these weren't mentioned in the changelog)
Fixed incorrect driveways in Riverside gated community and a few other areas

[SECTION]BALANCE
Metalworking requirement when repairing Trunk/Hood to lvl 1
Can no longer prepare beverage with only sugar
Sugar/coffee no longer a drainable item (reverted from previous patch)
Can now place antique oven even at 0 carpentry skill.


[SECTION][MODDING / DEV]
Don't clear the list of attachments in a "model" script definition when the same model was already defined.
[NODOT]<INDENT:40> Mods, such as G.E.A.R. etc,  were relying on this to add attachments to FemaleBody and MaleBody. These should work again now.
Avoid calling File.exists() on the main thread when loading textures from files that we know exist.
[NODOT]<INDENT:40> There are still a lot of File.exists() calls for texture files that don't exist, such as WItem textures.
Added ISPathFindAction.pathToNearest() which will find the shortest path to one of multiple possible target locations.
Added Tags=Write to items that can write in journals and notebooks
Added debug code to check for outfits having multiple conflicting bags.
Added BodyLocation.setMultiItem() and isMultiItem() methods to specify whether multiple items are allowed at the same location.
[NODOT]<INDENT:40> This is instead of hard-coding this behavior for Blood, Wound and ZedDmg locations.
Fixed not checking BodyLocation.isExclusive() when dressing zombies, which could result in conflicting clothing items being worn.


[SECTION]FIXES
Fixed splitscreen rendering issue with puddles and water for players 3 and 4.
Fixed un-stacking logs returning more ropes than was used in Stacking
Fixed the new fog lagging behind the camera movement and zoom level.
Fixed the wrong clothing-item XML file being used after enabling or disabling a mod, when the mod overrides a game's file.
Fixed HumanVisual exception with beards.
Fixed garage doors on the north edge of a square blocking vehicles.
Fixed an infinite loop after reloading a Lua file in the debugger.
Fixed some data not getting cleared after reloading Lua files (AttachedWeaponDefinitions and HairOutfitDefinitions).
Fixed some unnecessary allocations related to blood splatter.
Fixed splitscreen fog rendering.
Fixed the player not walking adjacent to burnt vehicles and trailers when displaying the mechanics ui.
Fixed fishing abundance being displayed as nan% sometimes.
Fixed the displayed Fishing Abundance not updating as the player moves around the map with the fishing ui open.
Fixed error in the above if the player moved far away from the original square that was clicked.
Fixed the 15-second pause before transferring 1000 cigarettes between containers. (Framerate still impacted however)
Fixed vehicle masks so that damage doesn't show as green (please report anything you see that still does!)
Fixed the radio van having random paint color showing where scratches are.
Fixed errors reading map_sand.bin preventing the game from loading.
Fixed missing options for Fanny Pack and other worn containers in the Move To submenu when using a controller.
Fixed not being able to write in journals and notebooks with blue and red pens.
Fixed missing glovebox on some vehicles when loading old saves.
Fixed GloveBox2.VehicleType being 1 instead of 2.
Fixed possible NullPointerException in AttachedWeaponDefinitions.
Fixed "Bandit" outfit possibly spawning with two bags.
Fixed being blocked at the climbing fence in the tutorial
Fixed fitness being enabled in tutorial
Fixed detroyed doors not checking tile properties and producing incorrect debris
Fixed zombie outfit system being able to spawn two items on the same body location
Fixed missing newline in Remove Patch tooltip.


[VERSION] 41.48
[SECTION][EXPERIMENTAL/NEW]
Added a new keybinding: Manual Floor Attack:
[NODOT]<INDENT:40> - Default to LEFT ALT.
[NODOT]<INDENT:40> - When you attack (hold RMB to aim, press LMB to attack) if you hold LEFT ALT too then you'll force a ground attack - even if there are standing/walking/attacking zombies close by. 
[NODOT]<INDENT:40> This also comes with an option called Manual Floor Attack - which entirely disables auto detection of prone attacks meaning that use of LEFT ALT is vital:
 
[NODOT]<INDENT:40> If set to false, your player will /!\ NEVER /!\ do a prone/ground attack on a zombie unprompted, you'll have to manually either press LEFT ALT & attack to them with your melee weapon on the ground, or SPACE to stomp while standing over him.
 

[SECTION]NEW
Added rain / snow visibility options: Always, Outdoors only, Never.
Added a new SECRET zed story
Added ZoneStoryChance sandbox option.
Added a new anim to drink from wine/whiskey.
Added new drink bleach anim.
Polished and improved Spear Charging at zeds
Added a way to choose player 1 if there are multiple players in a save file. This can be done in the Load Game screen by clicking on the "MORE..." button. A new player may also be created in an existing savefile this way.
Added NewMusic_KeepMoving to sounds_music.txt.


[SECTION]BALANCE

The "Wash Yourself" tooltip displays the amount of soap and water used.
Fixed "Wash Yourself" happening faster when insufficient soap was available.
Strawberries fertilizer resets to zero after harvest
Can no longer get benefits from smoking cigarette partially and cancelling
Spears now break after fewer kills (around 2-5 vs 15-20 before) at level 0.
Can now make tent kit using wooden stake.
Washing machines and Dryers now operate for a little while even when clothes are already dry or clean, as real world appliances would.
Removed the need to uninstall Trunk lid / Hood before they can be repaired
Now only spears can attack through wired fence/chain link etc.
Spears have bit more chance to break when impaling.


[SECTION]ANIM AND MODEL CHANGES

Adjusted wine bottle to not clip through player head during drinking anim.
Adjusted WhiskeyBottle.X to work with new drink anim so it doesn't clip face.
Rescaled molotov to fit new bottle size.
Re-exported WhiskeyBottle.png and Molotov.png to 64x64.
Re-adjusted glasses clothing item to be proper reflective glasses, icon currently placeholder.
Adjusted ski goggle clothing item to again be either reflective or dark version.
Made the spear attacks use an upperbody mask so to reduce pausing during attack.
Swapped out attacking on floor with spear for a new anim, Bob_AttackFloorSpear.X.


[SECTION][MODDING/DEV]
Added loading mod files from the media/AnimSets directory.
Added optional versionMin= and versionMax= lines to mod.info so mods can specify which versions of the game the mod is compatible with.
[NODOT]<INDENT:40> Build 40 will not be patched with this for now. 
[NODOT]<INDENT:40> If the mod only works with version 41 or newer, add this line to mod.info:
[NODOT]<INDENT:60> versionMin=41.0
[NODOT]<INDENT:40>If the mod only works up to a certain version of build 41, you would use:
[NODOT]<INDENT:60>versionMax=41.999
[NODOT]<INDENT:60>Obviously replacing the ".999" with the build number.


Added DefaultClothing.lua to specify default clothing items for outfits that have default pants or top.
[NODOT]<INDENT:60>Previously, these were hard-coded in Java.

Only save RADIO_SAVE.txt if the contents have changed.
[NODOT]<INDENT:40> This is saved every 10 game-world minutes.
[NODOT]<INDENT:40> This is done on the main thread; we should avoid doing disk I/O from here.

Added OnCanPeform:XXX property to recipes specifying the name of a Lua function that will be called to perform additional checks on being able to perform a recipe.
[NODOT]<INDENT:40> This is a more general solution than the NearItem property (that was used for blacksmith recipes).
[NODOT]<INDENT:40> The function takes two arguments and should return a true or false.
[NODOT]<INDENT:60> function CanPerformMyRecipe(recipe, playerObj)
[NODOT]<INDENT:80> return playerObj:isOutside() and RainManager:isRaining()
[NODOT]<INDENT:60> end

Added Tooltip:XXX property to recipes to display additional text in recipe tooltips and in the crafting ui.
[NODOT]<INDENT:40> This can be used to let the user know about additional requirements when there is an OnCanPeform function.
[NODOT]<INDENT:40> The value should be a translation name.  The translation text may have multiple lines separated by "<br>".
[NODOT]<INDENT:60> recipe MyRecipe
[NODOT]<INDENT:60> {
[NODOT]<INDENT:80> ...
[NODOT]<INDENT:80> OnCanPerform:CanPerformMyRecipe,
[NODOT]<INDENT:80> Tooltip:Tooltip_Recipe_MyRecipe,
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> Tooltip_Recipe_MyRecipe = "Must be outside.<br>Must be raining.",

[NODOT]<BR>
Added possible forced hair/beard color for outfit in HairOutfitDefinitions.lua (bandit/punk will have a chance to have more "crazy hair color").
[NODOT]<BR>
Added blood clothing type to every possible body location, so you can easily mod a new clothing to protect X or Y parts:
[NODOT]<INDENT:40>Example, i want to do metal socks that protect both feet and lower legs, i'll simply add a BloodLocation = Feet;LowerLegs, in the item script.
Full list of per-bodypart location: Bag (back), Hands, Head, Neck, UpperBody, LowerBody, LowerLegs, UpperLegs, LowerArms, UpperArms, Groin.
[NODOT]<INDENT:40> Each location will cover both left and right parts if needed.
[NODOT]<INDENT:40> Thanks modder Flash for the idea!


Catch the "Comparison method violates its general contract!" exception in IsoObjectPicker to avoid breaking the game.
[NODOT]<INDENT:40>This exception can happen when compare(a,b) is inconsistent with compare(b,a).
[NODOT]<INDENT:40>This doesn't fix the cause, it only stops endlessly throwing exceptions.


Made IsoObjectPicker.ContextPick() a bit more efficient by calculating the score of each ClickObject once before sorting, instead of when comparing each pair of items being sorted.


[SECTION]FIXES
Fixed police corpses sometimes having two holsters.
Fixed the "Press A to activate controller" prompt in the main menu. It was only displayed when an XBOX 360 controller was connected, was positioned oddly and wasn't translated.
Fixed duplicate items being created when climbing over tall fences.
Fixed RMC ripping a worn out item ripping up another item instead.
Fixed unrippable ankle socks
Fixed colored furniture / paint signs being luminescent in the dark
Fixed popsicle freezers outside buildings not consuming generator power.
Fixed MaskEyes and MaskFull LeftEye/RightEye exclusivity.
Fixed zombies not thumping barricade on the opposite side if the window was destroyed.
Fixed exploit of being able to carry unlimited amounts by simply equipping another bag.
Fixed the trailer crash stories only spawning advertisement trailers.
Fixed spear charge not connecting when it should.
Fixed spear charge not very often killing a zombie (wrong anim was played most of the time).
Fixed being able to instant sprint after doing an attack if you were already sprinting
Fixed various aspects of zombies losing interest in secondary/internal barricades etc (WIP!)
Fixed exception loading map_meta.bin on the client.  This will break server map_meta.bin files.
Fixed invalid spawn-regions Lua file being created on the server due to translations not being loaded yet.
Fixed an exception filling an empty sand bag that is equipped in the player's left hand.
Fixed dirt, gravel and sand bags not displaying a model when equipped.
Fixed clicking the left mouse button hiding the splitscreen player's radial menu.
Fixed hunger, thirst and sleep being enabled in the House In The Woods challenges.
Fixed digital-watch alarms appearing on zombie corpses in House In The Woods challenges.
Fixed temporary inventory items being created each time a zombie was hit.
Fixed pressing the shoulder buttons on a controller - when the inventory window is displayed - interfering with items being dragged with the mouse.
Fixed non-rendered floors not revealing levels below
Fixed lack of sound notification when achieving a skill level (fitness & strength)
Fixed being able to rip Favourite clothes
Fixed "Lit Candle" not changing its name or state after being put out
Fixed Metalworking menu not showing propane torch uses correctly
Fixed not being able to defend from (or see) closet zombies eclipsed by door
Fixed unavailable Double context menu option to put / take sheet rope on windowframes
Fixed not being able to wear a hoodie with hood up + earrings
Fixed connected vehicles and trailers moving around when parked. This was fixed by deactivating physics on the attached vehicles.
Fixed large forces being applied to vehicles near fences. This was due to the HitByCar tile property on breakable fences.
Fixed trailers attached to the player's vehicle not being saved every 10 seconds or when entering or exiting the vehicle. If the game crashed, the trailer could be left far away from the vehicle.
Fixed being able to hit a zombies through a barricaded window.
Fixed some spears having the bat sound when hitting with them.
Fixed delayed sound of death when impaling a zombie.
Fixed being able to cut grass/forage etc. while in a car.
Fixed infinite loop when resting + doing fitness.
Fixed enabling and disabling mods with texture packs not updating which textures the game uses.
Fixed mod lua files in the server directory not loading after editing one in debug mode.


[VERSION] 41.49
[SECTION]NEW
Added sawn-off double barrel shotgun.
Greatly reduce hit chance if shooting from a moving car (depend on car's speed).
Added clothing suit jacket tint, shirt formal short sleeves tint, waist coast tint.
Added a new optional field named ignoreZombieDensity to the Lua item-distribution tables.
When ignoreZombieDensity=true, the chance of an item spawning is not affected by the zombie density in that part of the map.
Added PiercingBullets=TRUE to the M16 to stop each shot potentially hitting 2 zombies that aren't lined up.
[NODOT]<BR>
Spear combat update: let us know what you think
[NODOT]<INDENT:40> Swing attack will not root you.
[NODOT]<INDENT:40> Stab attack will root the player.
[NODOT]<INDENT:40> Stab attack needs to be in certain range, but now it'll also check if another zombie is close by, so as not to root the player in unfair manner.
[NODOT]<INDENT:40> Stab attack now does more damage and has more chance to be a crit.
Fixed issues with spears and the new alt-press function.

Updated translations
 

[SECTION]BALANCE

Knives can allow attack through wired fences again, like spears.
Replaced the previous useless "lamp" items with working ones (from moveables)
Added more locational loot distribution (gigamart, houseware store..)
Added tailoring book spawning in houses.
Added dough to pizza kitchen.
Nerfed worms hunger value.
Nerfed a bit alice pack bag inventory space.
McCoys will now have zombies outside.
Changed RandomizedBuildingBase.addRandomRangedWeapon() to choose random weapon upgrades instead of always picking a number of them in the same order.
Increased a tad spear durability.
Lowered gardenfork chance to break.
Removed the delay after the player's falling animations (when falling from a height).


[SECTION]FIXES
Fixed early export of some map areas
Fixed zombies falling from high level not falling on ground and removed the "SUPER HERO LANDING!"
Fixed zombie landing from a fall being killed when they land and staying stuck.
Fixed Pizza whirled display case not spawning correct loot.
Fixed multiple display cases in stores not spawning correct loot.
Fixed bar kitchen not spawning correct loot.
Fixed some useless "radio" spawning.
Fixed diner kitchen not spawning correct loot.
Fixed overhead counter in kitchen not spawning correct loot.
Fixed ball peen hammer not spawning.
Fixed D=display case not being considered as a table (cash registers were falling through them)
Fixed some cash registers not being considered as cash registers.
Fixed many fences not being able to be destroyed by cars.
Fixed some seating (futons etc) allowing you to pass through them.
Fixed many couches not being dismantle-able.
Fixed some vending machines not being dismantle-able.
Fixed missing corpse icons.
Fixed medical items being taken from bags when one is available in main inventory.
Fixed obsolete Radio item in the Dismantle Radio recipe.
Fixed missing reload animations for magazine-less rifles and the sawn-off shotgun, when in a vehicle.
Fixed using item.getName() instead of item.getType() when choosing random weapon upgrades.
Fixed broken traps not dropping items sometimes.
Fixed not displaying the Blow Torch model when building metalwork objects.
Fixed playing the hammering or looting animation when building metalwork objects.
Fixed some fitness exercise infinite loop (when sleeping, etc.)
Fixed missing formal shirt tinted in zombie outfits.
Fixed satchel being considered as a bag for attaching weapon on the back.
Fixed some bugs with the new blood clothing for modders stuff.
Fixed long socks not covering lower legs.
Fixed weapons other than spears/knives not being able to attack through small fences.
Fixed infinite loop with fitness if sleeping at the same time.
Fixed a nullpointer in Zed Stories
Fixed RandomizedBuildingBase.addRandomRangedWeapon() bug with choosing random weapon parts.


[VERSION] 41.50
[SECTION]NEW
 

Added some contextual double click on items in inventory:
[NODOT]<INDENT:40> If not in inventory, it'll just transfer it (like before)
[NODOT]<INDENT:40> Double-click weapon to equip/unequip it
[NODOT]<INDENT:40> Double-click clothing/Bags to wear/unwear it
[NODOT]<INDENT:40> Double-click food to eat it

Excess zombies now drawn with a solid black silhouette. The silhouette is animated using five frames of two different animations: idle and walking.
Updated translation.
 

[SECTION]SPIFFO'S SECRET SPECIAL SAUCE II
Content Redacted (for now)
 

[SECTION]BALANCE

Added some missing items in distributions (suture needle holder, leash, water dish, yarn...)
Reduced fatigue due to foraging by a large amount.
Fixed some items couldn't be merged (can now combine used wire, twine, etc..)
Adjusted weight of several hats.
Addressed beer bottle issues.
Added smash bottle for the beer bottle.
Added bite/scratch protection for bullet vest.
Items in shops won't have their durability (for weapon) or used delta (for drainable, such as pills, twine etc.) changed, they'll always be 100%.
Boosted tailoring book spawn in residential houses
Boosted farming book spawn, also now appears in shops and farmhouses


[SECTION]ANIMS

Re-exported Bob_WalkHeavyLimpL_2H_Heavy.X so weapon held correctly


[SECTION]FIXES
Fixed not being able to add worms as bait in trap.
Fixed some combat near fences without a spear.
Fixed thin/thick skin issues around how prone you were to taking damage from zeds
Fixed wearing stack of clothing when selecting multiple and wearing them (ie. selecting multiple tshirt & right click/wear will only wear the first one, if you have shirt + pants selected it'll still equip them both though)
Fixed fake-dead and crawling zombies attacking invisible players
Fixed incorrectly counting the number of zombies surrounding the player when checking if the player gets dragged down.
Fixed earring not showing on ground
Fixed a multithreading bug that displayed corpses and mannequins using the wrong texture sometimes.
Fixed missing consolidate context menu option for thread & wire.
Fixed possible NullPointerException in RVSTrailerCrash if the trailer script isn't defined.
Fixed equipping broken weapons by double-clicking.
Fixed new splitscreen players with the same profession sharing the same XP multipliers.



[VERSION] 41.51
[SECTION] 
[NODOT] <CENTRE><SIZE:large> Project Zomboid IWBUMS beta update 41.51 contains significant optimizations to our save game system. As such any saved games played in 41.50 will NOT be operational.
 

[SECTION][NEW/QOL]
Now running on Java 15
Now running on latest LWJGL (3.2.3)
[NODOT]<BR>
Previously, to seed/water/harvest, you needed to right click on every plant and select an action. Now once you selected seeds, water or harvest, you'll have a cursor to water multiple plants easily.
Shift+double click can now be used on clothing items in the inventory to wear the item
Newest earned skill level is now highlighted when the skill panel is opened
Added filter icon to inventory panel to add additional filter/sorting options, currently has 'weight'
Water source now displayed in parentheses for the Drink/Wash option (partially to diagnose issues with puddles and rain)
Analog watches no longer have alarms
Digital watch display now has alarm button that can be pressed on the UI
'Saliva only' transmission option - player is immune to scratch infection
Added tooltip to show which gun magazine will be filled
Required items to cure plants and crops now shown.
Zombies faceplanting on broken glass now get lots of blood on head/neck, and some on upper torso.
Alarm clocks now display the same bell as digital watches when an alarm is set.
When trying to repair a door on a vehicle through the mechanics menu, a tooltip appears telling the player that they need to uninstall the door before they can repair it. They can also then repair the doors from their inventory.
When pressing Shift+E from any passenger door you will then move straight through to the driver's side if no one is already there.
Added more smashed car models.
Zombies can now pathfind through destroyable objects. They prefer to go around, but if there is no other path, they'll thump on walls and crates, etc.
Added brazilian portugese radio translations
Added hair gel. Mohawk will now be flatten if you wear a hat. Now need hair gel to fix it.
Added new options to add padding/patch holes on garments. This will patch any holes if there are some and then add padding to the other parts.
Added a remove all padding/patches option.
Added small XP gain when ripping clothing/sheets. Gaining small amounts of XP when you recieve some thread back from items so it can't be abused.
Added sandbox option for decay of items that are knocked off / fall off zombies
Added some variety to crashed cars
Use a cursor to choose which walls or objects to paint or plaster, when using the mouse and keyboard. This cursor was already used when playing with a controller.
Added a combobox to Items List Viewer to choose which splitscreen player to give items to.
Hats/Gloves added to the remove/decay list. Default also now set to 24 hours.
Updated Korean fonts and translations, and updated community translations.
Added "Please check PZ Steam betas for version 41.50." for WorldVersion 175 saves.
Require Windows 10 version 1803 (build 17134) or greater to enable the newer garbage collector, earlier versions will just run without it and not receive the optimization.
Added TrailerCover to VehicleDistributions.
Allow trailer bodywork to be repaired by welding.
Added a cursor for removing bushes, plants and wall-vines.
Replace north-west corner wallframes with two separate wallframe objects (the first time they are loaded). The player can't upgrade the north-west corner objects.
Car stories can now spawn decomposed zombies corpses.
 

[SECTION][MODELS AND ANIMS]
Added long hair style for when wearing hats
Adjusted some clothes to accommodate new long hat hairstyles
Adjusted a couple of female hats
Tweaked female long hat hair to stop pixel flickering
Added some new hairstyles
Added some Braided hairstyles
Adjusted some hairstyle definitions as they were pointing to a non-existent hairstyle and subsequently were invisible when wearing some hats.
Replaced the 'land gentle' anim with the heavier landing
Tweaks to turn 180 anims, first pass
Adjusted Zombie_Idle_FloorOnBack.X pose to match zombie death anim
 

[SECTION]BALANCE

Added butter knives stuck in zombies.
Reduced number of hunting knives stuck in zombies.
Lowered zombie survivor in horde spawning rate.
Lowered chance of alice pack on survivor zombies.
Increased beef jerky nutrition values.
Balanced weight of ammo/ammo box to be more consistent/logical (box weight is bit less than the full bullets stack)
Dead animals (except rat/mouse) give unhappiness when you eat them raw, just cook them to remove that (tooltip was added to explain).
White display counter (mainly in butcher shop) now also acts as fridge
Added more tailoring books to kitchen.
Added rifles in shed/garage.
Zombies now do more damage to fences when crowding against/over them
Now possible to recover and repair a weapon used in Spear creation
M36 Revolver now only has capacity for five rounds
Character can now auto-open nail boxes
Beer can now returns an empty can after it's drunk
Cockroaches and Grasshoppers can now be used to bait the StickTrap
Tuna Can no longer requires a Can opener to be opened
Increased health points of player built walls.
Reduced the engine force & total speed of going in reverse with a car.
Adding more items to partially consumed crafted foods will add new food values to original food, not partially consumed one
Berries salad now reduces thirst
Lowered amount of water in a bleach bottle.
Increased recoil of pistols/revolver.
Increased chance of creating crawler when hitting zombies with cars.
Park Ranger/Lumberjack profession now gives a bonus to walking through trees.
Leg fractures now reduce speed according to their severity.
Splints increase walk speed with a fracture, depending on the doctor's Medical level.
Can now add salt and pepper to sandwiches.
Zombies spawning on vehicles stories now have high chance of having a key to a related vehicle.
Increased the effect of injuries on sprint speed.
Increased "wash vehicle" time.
Crashing a car into objects can now damage the engine if hood condition is too low.
Bags in hands/equipped now reduce run speed and walk speed. The more full the bag is, the bigger the slow down. Equipped bags in 2nd hand can also reduce combat speed.
Fuel stations no longer have unlimited fuel.
Added sandbox option under World category "initial fuel station gas", ranging from "Empty" to "Full" with "Low/Very High" etc. in between
It takes a minimum of two zombies climbing over a fence at the same time to damage the fence. Metal fences take half the damage as wooden fences.
Made firefighter clothing slightly heavier and increased their Run and Combat Speed Modifier accordingly.
Lowered fanny pack capacity
Increased empty gas can weight from 0.3 to 1.5.
Added bullet defense in clothing tooltip.
Some knives (mainly Stone Knife) slightly reduced in damage.
Athletic trait now excluded when selecting Very Underweight.
Adjusted weight of ammo boxes.
Made tents thumpable so zombies can destroy them.
Wooden wall frames placed by the mapper become IsoThumpables that can be upgraded, like user-placed ones.
Did some balance on sneak/lightfoot exp gain: you now need to be rather close (15 tiles) from a zombie to gain exp, you also need to not be targetted by a zombie.
Decreased damage done to feet when walking barefoot.
Decreased damage done by trees when walking through them.
Increased chance of spawning feeding zeds.
Decreased chance of feeding zeds spotting you
Set all bandana weight to 0.1.


[SECTION][PRE NOISEWORKS SOUND CHANGES]
Preload sample data ahead of time so that sounds can play immediately when started.
Fixed some sounds randomly starting muted due to the Occlusion parameter not being re-initialized to the correct value.
Don't set Occlusion to 1.0 as that seems to completely mute some sounds.
Pause music when the game is paused.
Fixed the BreakObject sound not playing when destroying carpentry objects.
 

[SECTION][DEBUG]

Added context menu option "[DEBUG] UIs > Spawn Points" for teleporting the player to various spawn points to check their positions.
Added a context-menu to the "[DEBUG] UIs > Spawn Points" editor.  This can be used to reposition and remove existing points.
[NODOT]<INDENT:40> To save the changes, use the "Copy All To Clipboard" menu option and paste in the appropriate spawnpoints.lua file.
Added a separate menu "[DEBUG] Vehicle > Set Script (Smashed)" for smashed vehicles.
Allow deleting map_zone.bin from the "More..." load-game ui in debug mode.


[SECTION][LOOT DISTRIBUTION CHANGES]
Partially implemented new system As yet untouched loot tables remain the same as before.
[NODOT]<BR>
New more handcrafted loot placement / container system used for places like Giga-Mart and residential kitchens now applied to the rest of the map. Locations that previously spawned random grab-bags of loot (like Spiffo’s) should have their contents sorted into relevant lists: If you’re looking for a bladed weapon or some fresh-cut chops, try looking around the kitchen of any place that sells meat (i.e, not a bakery) for the meat-cutting station. If it’s baking supplies you need, look for where the sacks of flour are stored-- they’ll probably be next to a rolling pin.
[NODOT]<BR>
Convenience stores, corner stores, and gas stations have had their shelves’ contents sorted so loose cigarettes no longer mix with the lollipops. Players who visit the pharmacy already have an idea of how the shelves are laid out: Some have snacks, some have drinks. You’re less likely to find medicine in a gas station but it’s not unheard of-- ditto car supplies in a Zippee’s. If you want the most of a particular kind of item, it’s best to stick to the relevant business. Gas station tylenol is a ripoff anyway.
[NODOT]<BR>
Medical locations now sort their contents into tools, medicine, and doctor-related stuff like gloves, masks, and scrubs. Bars, beauty salons, butcher shops, cafes, and liquor stores all take the same approach. Giant ‘catch all’ loot lists should eventually be replaced with tailored selections of items that are relevant to the location they’re spawned in.


[SECTION][MOVABLES]

Fixed movable items, such as radios from cars, having correct condition when placed and picked up again.
Movables can now be dismantled from inventory, except for the multi tile object ones i.e: beds.
Added MovableRecipe which has no script definitions, instead gets created on the fly from movable definitions.
Refactored some stuff so the MovableRecipe has the same chances, xp, resultitems, equipitems etc as world object dismantling.
Single tile Movable items are now defined as 'Moveables.world_object_sprite_here" instead of all being 'Moveables.Moveable'. This also means these movables can be easily instanced directly now


[SECTION][CONTROLLERS UPDATE]
 
Removed the old JInput library which was used for controllers.  The GLFW library, part of LWJGL 3, is now used.
GLFW has a database of several hundred Xbox-like controllers, including PlayStation controllers, so these should have a good chance of working.  Recognized controllers are listed in media\gamecontrollerdb.txt.
The user can create their own gamecontrollerdb.txt file in their User\Zomboid\joypads directory.  This can be done to add new controllers or to override a controller in the game's media\gamecontrollerdb.txt.
The game should handle controllers disconnecting and reconnecting during play.  If player 1's controller is disconnected, they can choose to revert to keyboard and mouse input.
The controller X button now rotates objects in Place mode.


[SECTION]FIXES
Fixed "delete all" on bins not working.
Fixed tailoring book/farming mag not spawning in shelves.
Fixed water container in office weighing 3.
Fixed white display counter not cooling food.
Fixed zombies not being able to pathfind through obstacles surrounding vehicles.
Fixed some minor pathfind issues.
Fixed zombies thumping windows when they didn't hear a sound or see the player, when the "Environmental Attacks" sandbox option is disabled.
Fixed not being able to plaster doorframes built at Carpentry level 7
Fixed stretched sprites in cutaways, including roof wall tiles, garage doors and certain windows
Fixed heatable water containers not heating up if put into campfire/bbq before they are lit
Fixed deep wounds having a shorter half-life than scratches or lacerations before healing
Fixed GameWindow.StringUTF writing garbage characters at the end of strings. (Fixes saves)
Fixed lights losing their custom color. (For example, the blue Pharmahug sign was only blue the first time it was loaded. Moveable lights lost their custom color when moved.)
Fixed misplaced door models on the cars with door-models.
Fixed keypad key names being the same as keys on the main keyboard.
Fixed scissors not allowing jaw stab.
Fixed corpses clipping through furniture and walls with the RBShopLooted story.
Fixed FMOD .bank files not being found when the current working directory is not the same as Java's -Duser.dir option.
Fixed some flying cars
Fixed crawling zombies getting stuck while moving near walls.
Fixed crawling zombies not thumping fences like they do with doors.
Fixed crawling zombies trying to go through open windows.
Fixed crawling zombies trying to crawl through fences when there is a nearby way around.
Fixed zombies sometimes thumping on wall frames that they can climb through.
Fixed WorldDictionary ID's not being reset uppon new game.
Fixed the 'campfire bug'. in some cases sprite were not being set properly on IsoObject, this may have also affected erosion objects.
Fixed edit item coloring not working.
Fixed map issues.
Fixed the fishing UI appearance not changing when a controller is disconnected.
Fixed not being able to add any condiments to a Burger found in game
Fixed Empty Pop Can appearing after char drinks a beer
Fixed Sawed-off JS-2000 shotgun only being reparable with another Sawed-off.
Fixed Hoodie unequipping when hood up + baseball hat
Fixed cooking food increasing weight of the dish inconsistently
Fixed player being able to eat by double-clicking when full to bursting
Fixed Bourbon having two options to empty the bottle
Fixed M9 pistol and D-E Pistol having their icons mixed up
Fixed Wet Bath towel losing Favourite status after drying
Fixed new ammunition types not being dismantlable 
Fixed "Sleep on ground" option in the car when char is Ridiculously tired
Fixed some furniture not being thumpable by zombies.
Fixed unhidden "Hat" related hair type.
Fixed incorrect alpha fades on non-updating objects such as roof eaves and furniture.
Fixed being able to survive bleach death by eating lemongrass
Fixed not being able to repair double doors
Fixed Fish fillet / Chicken behaving strangely when used in salad
Fixed filling up an empty bottle / bucket from a river or a lake incorrectly showing "Puddle" as a source
Fixed not being able to hold RMB and use F to turn on flashlight
Fixed "Easy use" causing all car trunks to be opened, not only unlocked
Fixed Analog watches not having alarms if Spanish language is selected
Fixed Padlocks that spawn in stores oftentimes getting called "house key" + a string of numbers
Fixed not being able to freeze separate eggs
Fixed inconsistence in rmb -> grab and basic transfer inventory action.
Fixed some tile defs (bunker cutaway, railward vendor machine, changed shelves to clothing rack on certains container for clothing store).
Fixed laundry basket acting as a dryer.
Fixed zombies spawning outside very large buildings (eg. Mall) when unexplored rooms are seen for the first time.
Fixed drinking from soup/stew bowl with a spoon not using the spoon.
Fixed being able to bandage a fractured body part.
Fixed cure flies/mildew on plants causing a crash.
Fixed harvesting plant while plant info window was open causing a crash.
Fixed some foods (notably a lot in Zed stories) having zero nutritional values
Fixed not being able to wash blood stains off vehicle windows
Fixed furniture sometimes fading away while the player is still close enough to see inside.
Fixed not being able to freeze wild eggs
Fixed seat naming weirdness by removing  "BigCarSeat" and "SportCarSeat" items, and renamng "NormalCarSeat" items to just "Seat".
Fixed the random vehicle generator which was causing "Standard Seat" to be selected every time.
Fixed being able to do fitness exercises when you shouldn't.
Fixed a physics bug that caused the Sports Car to not accelerate to it's top speed of 120 km/h. This also caused vehicles to get pushed downwards at higher speeds.
Fixed office water dispenser weighing only 5.
Fixed blue hospital curtain requiring electrical skill to be picked up.
Fixed "Hat" variants of hairstyles showing in the "Change" menu in the character-info ui. Some hairstyles (for example TopCurls) have a "Hat" hairstyle in their "Trim Choices". 
Fixed dropping equipped container while being overencumbred duplicating the container on ground.
Fixed being able to grab items through fences.
Fixed being able to do fitness while climbing.
Fixed house alarm and helicopter sounds ignoring the master sound volume.
Fixed UI showing up on savefile thumbnail images.
Fixed the clock not being centered in splitscreen and overlapping the button prompts.
Fixed splitscreen savegames taking a screencap of the middle of the screen. Thumbnails will now be created from Player 1 screen.
Fixed OpenGL exceptions when creating a new game due to trying to create the thumbnail image in GameLoadingState's thread.
Fixed "can't create player at" error when going back from the character-profession screen and starting a challenge.
Fixed being able to rotate carpentry objects while they are being built. ISBuildMenu.cheat no longer controls whether build actions complete immediately. Instead, IsoGameCharacter:isTimedActionInstant() is called, as is already done by most other actions. This makes it easier to test build actions without having to have all the materials.
Fixed inventory tooltips flickering between visible and hidden when using a controller while in the main menu.
Fixed controller glitch when closing a map by clicking the close button in the titlebar instead of using the B button.
Fixed smart zombies triggering house alarms when opening windows when the "Zombie House Alarm Triggering" option is disabled.
Fixed bumping into (and possibly being tripped by) zombies on the other sides of doors/walls/windows.
Fixed being able to load bullets into or unload bullets from a magazine after it has been inserted into a firearm by a previous action.
Fixed broken behavior assigning keys in the options.
Fixed animation lockup pressing Alt + Space when Alt is assigned to both Sprint and "Manual Floor Attack".
Fixed uninstalling parts resetting the condition to 100 sometimes
Fixed items not saving condition if the condition was 10. Now condition only isn't saved when condition equals condMax (max condition).
Fixed being able to open multiple sleep dialogues.
Fixed sea horse bins not having "delete all" button.
Fixed new liquor store in Muldraugh distributions.
Fixed some wrong definition for bar.
Fixed display case in pie restaurant.
Fixed thin skinned giving more resistance to being damaged while walking in trees.
Fixed icon for shooting glasses.
Fixed Saucepan repairing itself after it was filled with water
Fixed items being rendered in the wrong position (offscreen) after drying out on the ground.
Fixed a Lighter being equipped when a Lit Candle is available when pressing the 'F' key.
Fixed not being able to reinstall radios in vehicles.
Fixed tainted water source being prefered over a non-tainted water source when drinking or filling bottles. Prefer a non-tainted water source over a tainted one when drinking or filling bottles.
Fixed having to move and place sinks after water shut off to be plumbable again.
Fixed not being able to use some shovels and handforks to pick up hedges, flower beds, etc. Any item with the DigPlow tag can now be used to pick up objects with the PickUpTool=Shovel sprite property.
Fixed random horizontal and vertical lines appearing along the edges of some textures.
Fixed the Crawl Under Vehicle sandbox option not being applied in some instances, so all zombies could crawl under vehicles.
Fixed formatting of WorldItemRemovalList in xxx_SandboxVars.lua files.
Fixed the player death-drag-down animation EndDeath being overridden by HitReactionFromBehind. They both had one condition that didn't exclude the other animation.
Fixed the player always getting up from sitting sometimes.
Fixed multiple different VehicleDistribution Specific categories of loot being applied to the same vehicle. Now a random Specific category is chosen for the vehicle as a whole, instead of for each container.
Fixed LuaManager.refreshAnimSets() not checking all players in splitscreen.
Fixed error clicking on a plant infested with flies without having Insecticide Spray in inventory.
Fixed Fitness.save() saving exeTimer.size() twice.
Fixed the inspect-garment ui not resizing to accommodate the Bullet column.
Fixed being able to do exercises while climbing ropes.
Fixed some cutaway problems.
Fixed evolved recipe (cooking stir fry...) not resetting their base nutrition values, giving big boosts to nutrition on those recipes.
Fixed invisible players triggering house alarms.
Fixed some issues with zombie visibility.
Fixed duplicate Scratch Defense stat in item tooltips where nothing or Bullet Defense should be.
Fixed missing BodyParts\overlays textures by rebuilding UI2.pack
Fixed layout issues in the inspect-garment ui.
Fixed debug context menu exception when there is no zone on the clicked square.
Fixed models with capital "I" in the name not loading on the Turkish locale.
Fixed analog watches sometimes having the alarm set, which can't be turned off.
Fixed a Lua error when running out of paint or plaster when using the paint/plaster cursor.
Fixed some spawn points that were inside furniture or outside buildings.
Fixed broken Perk translation in carpentry tooltips.
Fixed unknown RemoveUnhappinessWhenCooked item parameter. Now "Cook to remove happiness malus." appears in the tooltip for fish, may want to edit this.
Fixed thumbnail images for savefiles using mods not being updated after returning to the main menu.
Fixed some hair type list.
Fixed some parking spot in Muldraugh.
Fixed wooden pillar acting like a wall.
Fixed DataChunk exception with a user-created walkway on a guard tower.
Fixed Lua error building fences.
Fixed a garage in Riverside having an inside-out door and an old dirt floor tile (with a stray pixel in it).
Fixed broken carpentry-tooltip perk translations.
Fixed Shift-E allowing the player to switch from a rear seat to the driver's seat in the police car.
Fixed "laundry" being in the list of buildings that RBShopLooted can happen in.
Fixed WorldItemModelDrawer ignoring ModelMesh.m_transform. This fixes rotation of the forthcoming 3D item models so they match what is seen in assimp_viewer.
Fixed font loading.
Fixed InventoryItem.attachedSlotType being treated like an item module.type when it isn't. This fixes the "WARNING: Cannot get registry id" spam in console
Fixed "Open File Location" button in the load-game "More..." ui, since it doesn't work with -Djava.awt.headless=true.
Fixed the farming-cursor tooltip showing the exact water level for farming skill 4 instead of 5+.
Fixed hats not rotating as they fall to the ground.
Fixed the item type of Radios being changed to Radio.worldSprite which broke translations.
Fixed untranslated names of movables being displayed for the Disassemble recipe.
Fixed the Disassemble recipe for movables being displayed when the player couldn't actually perform the recipe (due to missing tools, for example) which is different than other recipes which aren't displayed.
Fixed some tiles properties problems.
Fixed duplicate VehicleDistributions.Hunter. One had TrailerTrunk, the one without it was removed.
Fixed randomized building code adding barricades to double doors or garage doors, which the player can't do.
Fixed campfire and tent options appearing in the context menu when in a vehicle.
Fixed foraging ui being visible still when the player gets in a vehicle.
Fixed duplicate radio items appearing in the "Install" men
Fixed two unused files from "maps/West Point, KY".
Fixed smashed StepVanMail using the StepVan template instead of StepVanMail (which didn't exist).
Fixed upgraded doorframes blocking movement.
Fixed weapon models without a "world" attachment not being oriented the way they used to be when on the ground. This is why things like the Club Hammer were standing on end.
Fixed missing "world" attachments on several weapon models.
Fixed some multi-hit sandbox problems in which some weapons would not multihit.
Fixed TrailerCover missing from container distributions.
Fixed Trailer-TrailerTrunk missing from container distributions.
 

[SECTION]MODDING
Allow modders to add new vehicle zones to the global VehicleZoneDefinition table.
[NODOT]<INDENT:40> Previously, only the game's zone names and types were allowed.
[NODOT]<INDENT:40> This should work for any vehicle zone not called TestVehicles or containing TrafficJam.
Added support for loading animations from a mod's media/anims_X directory (and subdirectories of that). It should handle activating and deactivating mods.
[NODOT]<BR>
Global ModData
[NODOT]<INDENT:40> Registers moddata tables with a given String key.
[NODOT]<INDENT:40> When Global Moddata is initialised during world loading it triggers the event "OnInitGlobalModData" with parameter: boolean isNewGame.
[NODOT]<INDENT:40> LuaTable ModData.create(String key) creates and returns the table with given key, returns null if the table already exists.
[NODOT]<INDENT:40> String ModData.create() creates a table with a random UUID key, note: returns the string key.
[NODOT]<INDENT:40> LuaTable ModData.getOrCreate(String key) gets or creates the table with given key.
[NODOT]<INDENT:40> LuaTable ModData.get(String key) returns the table with given key or null.
[NODOT]<INDENT:40> boolean ModData.exists(String key) return true if table with given key exists.
[NODOT]<INDENT:40> LuaTable ModData.remove(String key) removes the table with given key if exists and returns it or null.
[NODOT]<INDENT:40> void ModData.add(String key, LuaTable table) store the table with given key (overrides any existing table).
[NODOT]<INDENT:40> ArrayList getTableNames() returns a list of all registered tables.

Networking
[NODOT]<INDENT:40> Global ModData is not synced between server and client as depending on what the moddata is being used for this may not be required or even unwanted.
[NODOT]<INDENT:40> Syncing of data where needed is up to coder/author. There are however two methods for networking:
[NODOT]<INDENT:40> void ModData.transmit(String key)
[NODOT]<INDENT:60> this will attempt to transmit the table with given key, when called on server this is send to all clients, when called on client send to server. (see note on receiving moddata below)
[NODOT]<INDENT:40> void ModData.request(String key)
[NODOT]<INDENT:60> Client only, this sends a request to server to send back the table with given key to this client.
[NODOT]<INDENT:40> When the server or the client receives a moddata packet it is not automatically added to the local register.
[NODOT]<INDENT:40> Instead the packet is read and the event "OnReceiveGlobalModData" is triggered, the String key and LuaTable table are passed as arguments.
[NODOT]<INDENT:40> NOTE: the table argument can be 'false' when moddata packet replied to a ModData.request.
[NODOT]<INDENT:40> The coder/author can then decide to parse, register or keep it as temporary lua table only etc.
[NODOT]<BR>

Fixed issues with setting appropriate texture flags when loading mod texture packs.
[NODOT]<INDENT:40> World textures were missing the flag to create mipmaps, resulting in "sparkly" textures when zoomed out.
[NODOT]<INDENT:40> Floor textures were using compression, resulting in visual artifacts sometimes.
[NODOT]<INDENT:40>UI textures were using compression and "mag linear" filtering instead of "mag nearest" filtering.
[NODOT]<INDENT:40>When a mod texture-pack name ends with ".floor", compression is turned off.
[NODOT]<INDENT:40>For texture packs containing UI textures and/or item textures, the mod.info file should add "type=ui" to pack= lines, like this:
[NODOT]<INDENT:60>pack=MyPackFile 
[NODOT]<INDENT:60>type=ui


Allow vehicle scripts to override the "model" without a name.
[NODOT]<INDENT:40>Previously, "model XYZ" would override a previously-declared "model XYZ", but "model" alone wouldn't override "model".
 
Allow mods to define custom sandbox options.
[NODOT]<INDENT:40>ach file called media/sandbox-options.txt that exists is loaded before Lua files are loaded.
 
Allow mods to define custom perks (Skills ingame).
[NODOT]<INDENT:40> Each file called media/perks.txt that exists is loaded before scripts and Lua files are loaded.
[NODOT]<INDENT:40> New perks and perk categories can be defined.
[NODOT]<INDENT:40> This required removing the Perks enum.  Now Perks is a class containing static instances of Perk.
[NODOT]<INDENT:40> So Perks.Strength is now the Strength perk itself instead of an enum value.
[NODOT]<INDENT:40>The Lua Perks table contains the predefined perks and also any custom perks.
[NODOT]<INDENT:40>Fortunately, these changes didn't require any changes to Lua files. 


Added textureShadow property to vehicle scripts to allow overriding the shadow texture.
[NODOT]<INDENT:40>For example, write "textureShadow = schoolbag_spiffo," without quotes.


recipe.Prop1 and recipe.Prop2 can specify a source item to display in the player's hand.
[NODOT]<INDENT:40>For example, Prop1:Source=2 will use either the Saw or GardenSaw model:
 
[NODOT]<INDENT:40>recipe Saw Logs
[NODOT]<INDENT:60>{
[NODOT]<INDENT:60>Log,
[NODOT]<INDENT:60>keep Saw/GardenSaw,
[NODOT]<INDENT:60>Prop1:Source=2,
[NODOT]<INDENT:60>Prop2:Log,
[NODOT]<INDENT:40>}
[NODOT]<INDENT:40>The Log model could also be specified as Prop2:Source=1.


Vehicle windows will have color from the textureLights texture applied. This was added for the boat mod. Call BaseVehicle.setWindowLightsOn(true|false) to control this.  This setting isn't saved, or synced in multiplayer.

Vehicle-shadow size and position may be set using the shadowExtents and shadowOffset properties in vehicle scripts. These can be edited in the vehicle editor, under the Chassis section.


Fixed "Mod: XYZ" in item tooltips for mod items always displaying the name of the last mod loaded.
Added Tooltip.ModName debug option to control displaying "Mod: XYZ" in item tooltips for mod items.
[NODOT]<INDENT:40> This could be changed to a Display option if wanted (translations needed though).

Added GameTime helicopter-related methods for mods:
[NODOT]<INDENT:40> int getHelicopterDay()
[NODOT]<INDENT:40> setHelicopterDay(int day)
 
[NODOT]<INDENT:40> int getHelicopterStartHour()
[NODOT]<INDENT:40> setHelicopterStartHour(int hour) // 0-24
[NODOT]<INDENT:40> int getHelicopterEndHour()
[NODOT]<INDENT:40> setHelicopterEndHour(int hour) // 0-24

 
[SECTION][TECHNICAL]

Optimized game variable look-ups.
[NODOT]<INDENT:40>AnimCondition no longer repeatedly searches for the same variable by name.
[NODOT]<INDENT:40>Instead, it creates an AnimationVariableHandle and re-uses it.
GameProfiler.invokeAndMeasure now check whether or not the recorder is running, and avoid capturing a new Lambda

Performance improvement. Added an early-out to updateTwistBone
[NODOT]<INDENT:40>If the current twist is <1 degree, the function aborts.
[NODOT]<BR>
[NODOT]Savegame compression optimization from Turbo
Refactored and tidied up WorldDictionary.
Server now sends the WorldDictionary data to clients when connecting.
Client now only saves WorldDictionaryReadable.lua in game folder.
WorldDictionary now respects Core.noSave.
World loading should now abort correctly if any problems are found with the dictionary.
Added method getModID(), getModName() and isVanilla() to InventoryItem.
Added the mod name which added the item, and optionally any overrides, to item tooltip.
[NODOT]<BR>
Performance improvements to BoneTransform calculations for a 2x boost to animation system.
[NODOT]<BR>
Fog optimization
Memory optimization: placed IsoGridSquare.collideMatrix, IsoGridSquare.pathMatrix and IsoGridSquare.visionMatrix arrays to 32 bit integer and wrote bit access functions for those.
[NODOT]<BR>
Refactored IsoRegion system
[NODOT]<BR> including optimized region calculations and fixes for a bunch of things that could cause bugs.
Added new IsoRegion debugger based of ZombiePopulationWindow (can build via debugger now for quick testing).
[NODOT]<BR>
Added IsoRegionLogger, logs can be viewed via debugger.
WorldDictionary -> disabled logging of missing object ID.
Colors.java -> added GetColorFromIndex, GetColorsCount.
[NODOT]<BR>
Added Character.Debug.Render.Vision option to display the player's vision cone and see-nearby-characters radius.
[NODOT]<BR>
Use the proper distance instead of Manhattan distance in IsoPlayer.updateLOS().
Fixed IsoGameCharacter.updateSeenVisibility() not handling the see-nearby-characters radius, resulting in zombies behind the player (or nearby but outside the vision cone) not becoming visible when they should
[NODOT]<BR>
Don't use shared animations on the nearest 20 zombies, to avoid foot-sliding when they're lunging. IsoWorld.sceneCullZombies() already sorts zombies by visibility and distance, so it is used to set a flag on zombies that shouldn't use shared animations.
[NODOT]<BR>
Removed IsoPlayer.m_moveDelta because IsoGameCharacter.m_moveDelta already exists.  The value is always 1.0 in any case

[VERSION] 41.52

[SECTION]BALANCE

- Updated Loot Distribution 
- Replaced the duplicate MedicalClinicTools with previously-undefined MedicalClinicDrugs in ProceduralDistributions.lua.
Added "RippedSheets" material to curtains so they can be disassembled.
- Re-added missing containers in ProceduralDistributions


[SECTION][MODDING]

Added IsoGameCharacter.getOutfitName()


[SECTION]FIXES

Fixed zombies spotting the player from extreme distances.
Fixed object transparency issue in splitscreen.
Fixed the Lua debugger file browser layout with different font sizes.
Fixed taking water from a puddle instead of a sink that is plumbed to a Rain Collector Barrel containing tainted water.
Fixed "Remove Bush" with a Machete playing the shove animation.
Fixed typo in Distributions.lua.
Fixed vehicles jiggling when trying to start them without a key.
Fixed excessive Baseball Bat spawns in Riverside Sports Store
Fixed Linux ProjectZomboid64 failing to find the ProjectZomboid64.json file.


[VERSION] 41.53
[NEWS]
[BOLD]PLEASE NOTE:
[BOLD]This patch includes a fix to a longstanding bug.
[BOLD]We have always wanted to have the mouse cursor disappear when you prepare for a melee strike so that only the Iso-cursor is visible, as it will mean that new players find it easier to adjust to PZ's combat.
[BOLD]If you find this fix weird/annoying then we have also added a Display option to toggle it back to how it was before: "Show Mouse Cursor While Aiming".

[SECTION]NEW
"Remove Curtains" works the way it used to, giving the player a Sheet.
Added a tooltip to tell the player they'll get a sheet, and that they can pick up the curtains using the furniture tool.
(We may adjust sheet loot again in future by letting you take them off beds, or having more to loot in bedrooms etc)

Don't display the option to plumb a sink if there isn't a water source overhead.
Allow plumbing a sink if the water source is directly overhead (as opposed to requiring a square adjacent to the square overhead).

Reverted the change that checked for tainted water in rain collectors connected to plumbed sinks. We intend to improve on this system at a later date.

Added "Lock Cursor To Window" display option. This keeps the mouse pointer inside the window.  Alt-Tab must be used to switch applications.
[NODOT]<INDENT:40>When enabled, the game renders its own cursor and the system cursor is hidden.

- Combined "Fullscreen" and "Borderless Window" options into a combobox with these three options:
[NODOT]<INDENT:40>Fullscreen
[NODOT]<INDENT:40>Borderless Windowed
[NODOT]<INDENT:40>Windowed
 "Borderless Windowed" ignores the resolution set in the options. The window is resized to whatever the desktop resolution is set to.

Hide the mouse cursor when the "iso aiming cursor" is visible.
Added Display option "Show Mouse Cursor While Aiming".
Force the mouse cursor to be visible whenever it is over any UIElement.
Force the mouse cursor to be visible whenever the mouse-using player's context menu or radial menu is visible.


[SECTION]BALANCE

Increased the threshold at which you can't sprint because of clothing.
Reduced some RunSpeedModifier on some clothings.


[SECTION]FIXES

Fixed being unable to turn off the alarm in the alarm clock from the UI
Fixed VehicleEngineRPM.reset() NullPointerException.
Fixed incorrect choosing of random mannequin outfits.
Fixed (possibly) seams sometimes appearing between the masked parts of clothing textures.
Fixed silent knife attacks that are in jaw-stab range when no jaw-stab occurs.
Fixed being able to place furniture-curtains on top of sheet-curtains.
Fixed garbage creation with calling UIElement Lua functions from Java.
Fixed station wagon detail texture
Fixed zed story issue by checking that all chunks covered by a zone story are loaded instead of only checking the north-west and south-east squares.
Fixed null pointer with adding tent via stories.
Fixed minor issue in the Display class.  It has no effect unless the game window resolution is higher than desktop resolution.
Fixed sprint issue in tutorial


[SECTION]MOD SUPPORT

Added OnWorldSound(x,y,z,radius,volume,source) event
Added a check for an MP related change that broke the Supersurvivors mod.
Added media/WorkshopTags.txt which contains all the allowed Steam Workshop tags for mods.


[SECTION][TECHNICAL]
Made triggerEvent() calls exit sooner when no functions are bound to the event being triggered.
Fixed Linux ProjectZomboid64 failing to find the ProjectZomboid64.json file.
Rebuilt Linux ProjectZomboid64 using up-to-date Steamworks API.
Updated Windows Steamworks SDK to 1.51.
Rebuilt Linux ZNet and RakNet libraries using Steamworks 1.51.
Fixed translation IGUI_NeedToBeStandingInside appearing where IGUI_MustPlaceRoomRoof was needed.
Added Linux docker.sh scripts.
Fixed missing languages on MacOS.
Added ISComboBox.setEditable() to allow filtering the choices in a combobox by typing. This is used in the vehicle editor and attachment editor to make them a bit easier to use.
[NODOT]<INDENT:40> - ISTextEntryBox.onPressDown() .onPressUp() and .onOtherKey() are passed the ISTextEntryBox object as the first argument.  Previously, .onPressDown() and .onPressUp() weren't passed any arguments, and .onOtherKey() was passed only the key that was pressed. The change to .onOtherKey() is the only incompatible change.
Added ISTextEntryBox.selectAll().
Hopefully fixed fullscreen on MacOS

[VERSION] 41.54
[NEWS]
Added Noiseworks Sound Revamp - Stage #1

[NODOT]<INDENT:40> Stage #2 is going to introduce a wider range for zombie voice sets as well as further improvements to the music and ambiance systems. Melee weapon SFX - currently mostly based on material rather than the weapon in question - will also get more specific to the weapons themselves; same goes for firearms.<LINE>

Added VHS, CDs etc.
[NODOT]<INDENT:40> Added functionality and data for for Disks and Tapes. Data is stored in 'recorded_media.lua'.
[NODOT]<INDENT:40> Media line effects will apply only once per player upon first time listening.
[NODOT]<INDENT:40> Home VHS's spawn uniquely.
[NODOT]<INDENT:40> Retail CD and VHS can have 'common', 'rare', 'very rare' spawn chance.
[NODOT]<INDENT:40> Added learnRecipe method to gamecharacter. Adds the ability to learn recipes via the radio line codes.
[NODOT]<INDENT:40> Added new translation file 'recorded_media_EN.txt'. This translation set keeps a translation of the english versions which can be retrieved seperatly. (needed for LCD which only supports basic ASCII chars)
[NODOT]<INDENT:40> Added event 'OnInitRecordedMedia' to setup any recorded media data, see ISRecordedMedia.lua for modding.
[NODOT]<INDENT:40> Added new Media UI section to device control panel.
[NODOT]<INDENT:40> Added UI popup for disc's and tapes, some of them can show backcase info via the rightclick context menu.
[NODOT]<INDENT:40> [NODOT]<INDENT:40> Added ability to play media, RadioRed = CD, Black/Wide television = Tapes
[NODOT]<INDENT:40> Changed display of overhead notifications for skills etc
[NODOT]<INDENT:60> - Softer pastel colors and outlining, red for negative green for positive effect
[NODOT]<INDENT:60> - Replaced skill/stat effect numbers by arrow up or down
[NODOT]<INDENT:40> Small overhead text for skills and stats are no longer being displayed if there is no effect on their value.
[NODOT]<INDENT:40> Removed overhead text code from ISRadioInteractions
[NODOT]<INDENT:40> Added static class HaloTextHelper.java for more universal use of the overhead text.
[NODOT]<INDENT:40> Added a few functions to add text, options for color and usage of the indicator arrows.
[NODOT]<INDENT:60> - If a text is already being displayed the next text is briefly queued.
[NODOT]<INDENT:60> - If multiple text are being added on same tick or while queueing they are combined and seperated with a grey ','.
[NODOT]<INDENT:60> - If a text is added which is already being displayed, it's discarded.
[NODOT]<BR>
Added world lights for flashing vehicle lights.
Added animated flies texture displayed where corpse-flies are buzzing.
Added new mugs
Display read books in the character info panel ("Training Material"). This might move to the Crafting UI later on.
Added highlighting to dragged items that can't be moved to the destination container.
Added a loot-window container icon for mannequins as well as the container title "Mannequin".
Added a context-menu command to empty a rain collector barrel onto the ground so it can be moved.
Added a history of the last three catches to the Fishing menu. They will not fade out anymore. 
Added the option to select a dedicated container for catches in the Fishing Menu. All catches will go to this container until full.
Heart UI icon will shake when player character takes damage. It will stop shaking once the player is no longer losing health. 
Draw a faint border around the player's health bar so the amount of lost health is easier to see.
When crafting, items will be put back in their original container/bag. E.g. when adding Salt to a Salad, the salt will be grabbed from a counter, used, and put back.
Upgrading walls (multi-stage building) takes items from the ground similar to carpentry.
[NODOT]<INDENT:40> This includes opening boxes of nails automatically.
[NODOT]<INDENT:40> For metal walls, propane will be used from multiple propane torches as needed. Only one propane torch needs to be in inventory, and it may be empty, as others will be used from the ground.
  
Removed StopCar and HitByCar properties from one of the walls_exterior_house_01 south-east wall pillars.
[NODOT]<INDENT:40> The properties were only on one of the several south-east wall pillars.
[NODOT]<INDENT:40> This put "tree" physics on the center of the square.
[NODOT]<INDENT:40> These pillars should be removed when one of the two adjacent walls is removed.
 
  
Added 3D models for items placed in the world. <LINE> Right Clicking an item will show the "Place Item" option. This will display a rendered model of this item and highlight the square to know where it is being placed. On controllers, the item is currently always placed at the center of a square.
Items automatically go on a table/counter if the mouse is over one of them.
Press R to rotate clockwise, shift+R to rotate anti-clockwise.
If you select multiple items and one does not have a 3D model yet, you'll simply drop it at your feet.
Fixed rotation speed at different framerates.
Added snapping to the nearest 5 degrees.
Place items one at a time at the current rotation. 
Shift-click to place all items. With a controller, the X button toggles between placing one or placing all.
Improved lighting of 3d items in-world, to closer match the tiles lighting.
Added rotation to the lighting in 3d items in world, before their lighting would rotate along with the item when rotated.
Improved lighting on all 3d objects, characters, vehicles, items etc.
Added "itemHeight" so players can place things on a microwave that is on a table for example.
If you have a counter with a shelve on top of it, you can press tab to change the height of the item.
Default "Iso Cursor Visibility" changed to 50% due to the regular cursor being hidden by default.
3D items can be disabled in the options.
Table stories. Random chance to have some stuff on a basic home's table to tell a story.
Multi-stage building QoL: Now if you upgrade a wall frame, wall, etc, you'll have the item displayed until you press ESC (like normal building), allowing to build multiples without having to use the right click context menu every time.
Added a "Can't Sprint"-moodle which will appear when the character is unable to sprint. The moodle will shake for a bit when you can't sprint but try to.
The character-creation "Save" button dialog now fills in the name of the preset selected in the combobox, if one is selected.
Require the player to be near a vehicle before the context menu displays refueling options to fix gas E.S.P.
Changed the vehicle radial-menu icons for adding and removing gas (they were the same before).
Added BaseTimedAction:setCurrentTime(). This is used by ISReadABook to set the start time based on the number of pages already read.
Added blood and dirt stats to the Wash context-menu item tooltips.
Added "Stack Weight" to inventory-item tooltips to show the total weight of a stack.
Added a "Training Materials" button to the character Info panel. This displays a window with two tabs, one for skill books and another for magazines that teach recipes.
    For skill books, the item name is displayed in white once the player has read the book completely, or has gained the skill levels through other means.
    For magazines, the item name is displayed in white once the player knows all the recipes taught by the magazine.
Updated/added Radio translations for Japanese, Italian, Brazilian Portuguese
 
[SECTION]Last Stand Compatibility changes:
Player files are saved in Zomboid\Lua\LastStand instead of Zomboid\Lua\Players to avoid conflicts with Build 40.
Player files have VERSION=1 at the top for compatibility with future versions of the game.
Existing Build 41 player files will need to be moved into Zomboid\Lua\LastStand and add VERSION=1 at the top to work.
 
[SECTION]BALANCE
 
Allow plumbing a non-moved sink before the water shuts off if there is a rain barrel above. The water is still infinite for plumbed sinks before the water shuts off.
Allow plumbing a sink to an empty rain barrel.
Allow metal drums to be picked up with the furniture-moving tool.
Allow pouring water into metal drums.
Boosted loot spawns in stash.
Display what perk just levelup up on top of the char (like exp gain from TV).
Sheet ropes can now be attached to metal railings on balconies. (Currently doesn't work for fences on the south or east of a floor)
Car wrecks appear less often, but can now be dismantled.
Increased odds of curtains being already closed in houses.
Holes will be added to clothing after the check for protection, meaning 100% protection will always defend you from a bite and lowered protection from a hole will only affect future attacks. Thanks to PseudonymousEd for pointing this out. 
Shooting out of cars now has a more limited angle than the former 360°.
Player will now be unable to control the car while reloading. 
Reload time increased while driving.
Control of the car is also lost when shooting rifles, but not with pistols.
 
[SECTION]Distribution changes:
Updated distributions.
Added a weightChance property, so you can try to make X spawn more than Y. Defines all the weight chance in said list (total can be over or under 100, doesn't matter).
Added a forceForTiles property, this'll check that a specific tile exist on this container's square to spawn items from this distribution list (ex: force something in counter under a sink).
Added a forceForRooms property, we'll check that a room specified in this list exists in the building of the container.
[NODOT]<INDENT:40> Example: Police station has an "office" room with a desk, but we don't have ways to spawn more police themed items in their desk. 
[NODOT]<INDENT:40> Simply define a new distrib PoliceOfficeDesk, and add a forceForRooms="policestorage" so if we detect a policestorage room in this building, we'll use PoliceOfficeDesk instead of a regular desk)
 
[SECTION]Changes to knives:
If you're too close to a zombie but there's another zombie chasing you (thus not be able to do a jawstab) the character will shove instead of stabbing normally.
Slightly reduced movement speed while attacking with knives, similar to other weapons.
Reduced Hunting knife damage a tad.

[SECTION]
Balanced some clothings Speed Reduction and Protection to be more consistent.
Small chance of having some house windows being left open.
Curtains can now spawn closed.
 
[SECTION]MOD SUPPORT
Added outfit zombie distribution (see example in Distributions.lua). Allows modders to add items to specific zombie outfits (e.g. bigger chance of finding ammo on police zombies, etc)
[NODOT]<INDENT:40> Quick example, add Outfit_ in front of the outfit name, like Outfit_Generic01 and define your loot table.
Added getters and setters to Recipe, Recipe.Result and Recipe.Source for mods.
Added a system for respawning zombies on island maps (e.g., Kingsmouth).<LINE>Normally when respawning zombies, a random location on the edge of the map is chosen as a start location.<LINE>The game then attempts to find a path from that start location to the chunk that zombies are respawning in.<LINE>This doesn't work for maps that have water on all edges, since paths cannot be found through water.<LINE>Map creators may now specify valid start locations by adding objects to the map's objects.lua file.<LINE>The objects.lua file is normally created by WorldEd.<LINE>These objects are rectangular areas along edges of the island indicating respawn start locations.<LINE>These objects should be right on the edge of the land next to the water (but not in the water).<LINE>Alternatively, these objects may be put into a file called spawnOrigins.lua in the map's directory.<LINE>This file has the same format as objects.lua. See Kingsmouth/spawnOrigins.lua for an example.
Added ISLiteratureUI.SetItemHidden(fullType, hidden) function so mods can prevent items being displayed in the Training Materials ui.
 
 
[SECTION]FIXES
Fixed being able to fish from swimming pools.
Fixed the "randomAngle" field of a VehicleZoneDistribution always being false.
Fixed triggering OnObjectLeftMouseButtonDown and similar events on objects that have been removed from the world.
Fixed long braided hairstyles not pointing to correct hairstyle.
Fixed belt not working as 3D item.
Fixed buildings having more than one table story.
Fixed issues adding water to and taking water from rain-collecting items on the ground.
Fixed aiming cursor being less visible on light backgrounds.
Fixed changed shader files not automatically being reloaded.
Fixed an infinite loop occurring when require()'ing a Lua file recursively.
Fixed "invalid direction" exception when a fence is broken by zombies.
Fixed "VanAmbulance" instead of "Base.VanAmbulance" in RVSCarCrash.
Tutorial: Fixed the dad zombie's eating sound not stopping after he stands up.
Tutorial: Fixed the player getting stuck using the Open Curtain context menu option.
Fixed RVSCarCrash.
Fixed some container types.
Fixed issues with automatically opening boxes of nails when doing carpentry.
Fixed tainted-water status of metal drums with water in them.
Fixed some vehicles not playing Lock/Unlock/IsLocked sounds for trunks.
Fixed the game hitching every second while in a vehicle until zombies are near again.
Fixed no sound playing when hitting objects with bare hands.
Fixed a multithreading issue with keyboard input. This only affected entering text, not keyboard controls while playing.
Fixed vehicle radio text staying onscreen after turning off the radio when not in the driver's seat.
Fixed the player's animation locking up when charging with a spear after a zombie is hit. This happened when the "Manual Floor Attack" key was the same as the "Sprint" key.
Fixed impact and death sound not playing when spear-charging a zombie.
Fixed "Place Car Battery Charger" displaying for every item clicked on
Fixed the "Plant Information" window not handling different font sizes.
Fixed bomb explosion sounds not playing.
Fixed the weapon swing sound not playing when using the "Smash Window" context-menu option.
Fixed class-cast exception in Moodle caused by HumanCorpse updating Moodles.
Fixed HumanCorpse update() getting called when zombie spawning is disabled, which caused a NullPointerException with Moodles.
Fixed overlapping disease text in the Plant Information window.
Fixed farming with a controller.
Fixed some of the excessive head movement when swinging a spear.
Fixed Lamp On Pillar losing it's battery and on/off state upon reloading. This raises the WorldVersion to 183.
Fixed rendering the isocursor and aim-outline in splitscreen.
Fixed the position of the vehicle dashboard in splitscreen with more than two players.
Fixed conditions of cooking vessels resetting the condition when adding water and rice or pasta. 
Fixed Welding Masks getting soaked in the rain.
Fixed Thick Skinned and Thin Skinned incorrectly calculating the chance to do damage from zombies.
Fixed being unable to remove Thin Skinned using the Player Stats debug ui.
Fixed Lua error after removing a trait in the Player Stats debug ui.
Fixed showing zero-cost traits such as Axeman as "bad" when adding traits in the Player Stats debug ui.
Fixed setting the Occlusion FMOD parameter to simulate the Hard Of Hearing trait, since it is now done in FMOD Studio.
Fixed infinite carry capacity after making rotten-strawberry salad.
Fixed the layout of the microwave and oven UIs with different-sized fonts.
Fixed Lua error wobbling the non-existent heart icon of splitscreen players.
Fixed endurance being reduced while holding down the Run key when not moving.
Fixed misplaced halves of Large Modern Oven in one orientation.
Fixed not being able to barricade carpentry Wooden Door.
Fixed the layout of ISAlarmClockDialog with larger fonts.
Fixed ISTabPanel:getWidthOfAllTabs() when equal tabs widths are used.
Fixed native-code exception when opening the Option screen. This was a bug in GLFW.glfwGetKeyName().
Fixed animation and sound issues when attacking zombies that are eating corpses
Fixed VehicleAmbiance using the wrong event name.
Fixed the vehicle horn continuing to play after the switch-seat ui is displayed while honking.
Fixed Radio items without a WorldSprite being assigned an invalid module.type.
Fixed duplication bug when crafting from containers.
Fixed not being able to make coffee and tea with the Spiffo mug.
Fixed hot beverage not being hot right after it is crafted.
Fixed hot and cold drinks not giving a happiness bonus.
Fixed not being able to tie a rope to player-made windows (gracias dito!)
Fixed ranger car siren light colour.
Fixed annotated map loot not always spawning when it should.
Fixed crash when trying to go forwards & backwards at the same time in a car.
Fixed Firearm Radial Menu coming up when any ISBuildingObject cursor is already displayed.
Fixed trying to play multiple instances of WorldAmbiance since only one is allowed.
Fixed small clock
Fixed DrinkingFromBottle sound continuing forever after the action completes.
Fixed the Training Materials button overlapping other text with 3x font size and many traits.

 
[SECTION][TECHNICAL]
Added a bunch of performance probes to IsoCell.renderTiles to help track down the inner-most causes of the performance lagging issue.
New class: PerformanceProfileProbeList. Allows us to have arrays of performance probes, suitable for profiling arrays of code blocks, like with IsoCell.renderTile layers.
Added a few WorldDictionary.DebugPrintItem calls to some functions to help find some mod problems
Moved updating some global FMOD parameters out of IsoPlayer into AmbientStreamManager.


[VERSION] 41.55

[SECTION]NEW
Added new 3D items + fixed some.
Added a context menu for choosing which CD/VHS to insert into the device (when using a controller)
Display CDs and VHS tapes in the Training Materials UI
Updated main-menu credits.
Updated community translations.


[SECTION]ANIMS
Changed climb fence success anim to a quicker finish  
Tweaked climb fence fail  
Shaved off a few frames from Bob/Bob_StaggerBack_3m  
Adjusted Bob_AttackPistolWhip02.X to same length as shoves  
Tweaked head of Bob_WalkBwdAimHandgun.X to better blend with other anims  
Shaved off some frames from Bob_StaggerForward.X  


[SECTION][MODDING]
Added optional vehicle.passenger.showPassenger=true|false parameter for iBrRus. <LINE> When true, the player model isn't hidden when entering, exiting or sitting in that particular seat.


[SECTION]BALANCE
Player running through a horde will now have greater chance of falling
Full helmets less likely to fall from zombies attacks.
Gave vehicles more engine force in first gear.


[SECTION][TRANSLATIONS]
Added translations for Boredom/Stress/etc notification text above the player's head.
Small delay when switching cd/tape on/off
bzzt-fzzt and zap sound when switching on tape


[SECTION][SOUNDS]
Re-balanced the whole reverb/direct signal mix
Tweaked the music volumes of individual tracks a bit (though there might still be more minute things to tweak)
Adjusted player and zombie footstep loudness 
New scratch lacerate and bite assets with mix adjustments to make them stand out more
New window thump sounds with 70% chance of additional window "squeak" layer
First set of new door thumps, we're planning to add a condition parameter to change the sound based on door condition
Some mix adjustments to wind/rain 
Added some fake occlusion for the zombie voices based on their character inside / outside states relative to the players inside outside state until the occlusion system rework
Adjusted balance of finish sound to make them pop out more
"Fixed" the timing issue of the stomp -> head smash delay by delaying the stomp sounds 200ms in general
Turned down drink from sink sound, that was too loud
Fixed the glass breaking sound being too low
Adjusted ambient bed mix to reduce general air backdrop loudness
Made birds / wildlife a bit more sparse
Tweaked the standard car engine a bit
Reduced the volume of the car damage layer
Added multistagebuild.CompletionSound, the sound that plays when a wall is upgraded.
Minor tweaks and balance
Fixed some ambient sounds being controlled by the Sound Volume slider instead of the Ambient Volume slider.
Play the Painting sound when painting signs.
Added optional ISBuildingObject.completionSound which plays when finishing a carpentry or metalwork action.
Allow a food item's CustomEatSound script parameter to be an empty string to play no sound instead of the default eating sound. <LINE> This can be used when the animation will play a sound at the right time, instead of starting the sound at the beginning of the action.
Smoking cigarettes plays the Smoke sound once during each animation loop.
Updated scripts with BuildMetalStructureXXX and BuildWoodenStructureXXX sounds (they are not implemented yet).
Play a breaking-object sound when picking up furniture fails.


[SECTION]FIXES
Fixed hotdrink not working with some mug + double recipes. (Reminder: you need a mug with water to start a hot drink)
Fixed the selected container in the Loot window changing due to the player turning while transferring items.
Fixed untranslated Perk names in halo text when a new level is attained.
Fixed endurance not being drained due to running during "Walk To" movement (or any automatic movement).
Fixed Lua error trying to play a CD/VHS with the controller.
Fixed the hotbar remaining hidden after unplugging player #1's controller and reverting to keyboard and mouse.
Fixed (hopefully) random textures appearing when displaying corpses for the first time.
Fixed a Lua error with commit 7143 "Fixed the selected container in the Loot window changing"
Fixed auto-zoom while in a vehicle not respecting the enabled Display zoom options.
Fixed attaching trailers to vehicles that were removed from the world after being replaced by smashed versions.
Fixed missing comma in FertilizerEmpty item script.
Fixed collision properties of stair pillars not being set properly after constructing stairs.
Fixed "Index -1 out of bounds for length 8" exception in FliesSound due to negative z corpse coordinates.
Fixed the position of the rotate-item prompt in splitscreen.
Fixed IsoStove.doSound() exception that happens when a running stove is destroyed by fire.
Fixed rotate-item prompt appearing when using a controller.
Fixed the tooltip for the farming cursor and wall-upgrade cursor not being hidden after shoving.
Fixed missing Tooltip_item_StackWeight (got lost in community-translation update).
Fixed the Survival Guide being displayed when using a controller; it doesn't work with it currently.
Fixed the Training Materials button overlapping other text with 3x font size and many traits.
Fixed missing "/" characters in the Log Wall context-menu tooltip.
Fixed crafted double-door objects losing some properties when opened (in particular, the thumpSound).
Fixed missing Tutorial zombie noise, but temporarily using old TutorialZombie sound
Fixed replacing roofs_accents_xxx sprites with the wrong burned-roof sprites.
Fixed the Smash Window action being immediately cancelled due to the controller B button being pressed.
Fixed displaying a context menu of CD/VHS choices when dragging an item to the Device Options window. It is only needed when using a controller.
Fixed being unable to wash a single bandage in a bag (it wasn't transferred to main inventory first).
Fixed Joypad tutorial
Fixed various aspects of tutorial where people were going wrong
Fixed inventory pane no longer stuck open after nullify mouse drag in tutorial
Fixed right click menu working after nullify mouse drag in tutorial
Fixed duplicate issue in more places, when dropping on other locations (ISInventoryPane + ISInventoryPage) in tutorial
Fixed inventory pane no longer stuck open after nullify mouse drag in tutorial
Fixed right click menu working after nullify mouse drag in tutorial
Fixed bandanas providing far too much head protection
Fixed some containers being rendered high off the ground after being moved by the player.
Fixed zombies rotating to face the player during hit-reaction and stagger-back animations. This usually happened when hitting zombies from behind.
Fixed zombies climbing through windows that are behind them. This sometimes happened after the player shoved a zombie into a window.
Fixed a Lua error in the main menu after deleting the last savefile. The Continue and Load buttons were hidden but still accessible using a controller.
Fixed some wrong calcul when doing multistage building, ending doing a lvl1 wall, upgrade to lvl2 having more health than a "pure" wall lvl2.
Fixed placed 3D items being removed by the SandboxOptions WorldItemRemovalList 
Fixed furniture not appearing when in a stationary car. <LINE> This was caused by an optimization. Furniture will now only disappear if cars are moving at a middle-high speed.
Fixed the "infected" flag on body parts not being set to false after a wound heals.
Fixed an issue placing 3D items with the Double-sized Textures option turned off.
Fixed the hotbar remaining visible after hiding all UI elements.
Fixed item container being set to nil in some cases.
Fixed 1-frame delay before corpse textures appear.
Fixed the stove-running sound not stopping sometimes with two-part stoves.
Fixed ingredients not going back to their original container when using the Crafting window.
Fixed ingredients not going back to their original container sometimes when doing "Craft All".
Fixed duplicate context-menu "Rest" options for tents.
Fixed some instances of zombies turning while lying on the floor - needs further feedback.
Fixed (hopefully) an "invalid direction" exception in BrokenFences

[VERSION] 41.56

[SECTION]NEW
The containers in the "Move to" controller context sub-menu are disabled if the container can't hold the item to be moved.
During "Walk To" or other timed-action movement, allow the player to continue to move while aiming, instead of stopping.
Added a radial menu for light sources that is accessed by holding the F key for longer.
Added "Pan Camera While Driving" display option. Some had issues with this previously, so the option is off by default. 
Added recipe.StopOnWalk and recipe.StopOnRun script properties to the codebase to control whether the crafting action is interrupted by walking and running. <LINE> Currently this is only used to allow inserting/removing batteries in flashlights while walking. It would makes sense for other recipes (such as opening/closing an umbrella or ripping bandages).
 
 
[SECTION]ANIMS AND MODELS
Made male underpants smaller and to look like briefs.
Made female bra strapless.
Made the same changes to male and female zombie textures.
Adjusted Bikini and Swimsuit texture to fit new female underpants and bras.


[SECTION]NOISEWORKS
New weapon hit sounds for: Axe, Golf Club, Baseball Bat, Rackets and Planks. <LINE>
Adjusted the drinking sounds to fit the anims better.
Further tweaks to busy sound areas And especially with engine noise in and around zombie hordes.
Addressed issues of lost / strange sounds during busy periods - such as during rain etc.
Tweaked puddle footstep loudness (it was too loud still)
Removed seagull sounds from towns


[SECTION]FIXES
Fixed applying mildew cure to plants being broken.
Fixed the player phasing through obstacles after climbing over a tall fence.
Fixed Lua error SMetalDrumGlobalObject:update() when it rains.
Fixed shoving zombies from behind sometimes causing the zombie to move toward the player.
Fixed hitting a zombie that is getting up from lying face down flipping the zombie onto its back.
Fixed killing a zombie that is getting up from lying face down creating a corpse on its back.
Fixed the player's hit-reaction animation sometimes playing long after the attack happened.
Fixed zombies finishing their bumped animation too soon, allowing them to get another attack quickly.
Fixed playing two getting-up animations if the movement key is pressed after the animation has started.
Fixed vehicle engines not taking damage if the hood is uninstalled.
Fixed pan condition not resetting each time at FightStep:KillZombie in tutorial
Fixed new pan not spawning if the player somehow does manage to break the pan at FightStep:KillZombie
Fixed hiding the Set Alarm dialog due to the player position changing slightly after turning.
Fixed highlighting useable parts of vehicles when the player is inside a vehicle.
Fixed exception trying to place an item on the same square as a Car Battery Charger (or any object with no sprite).
Fixed the controller focus remaining on a context menu after selecting an option with the mouse.
Fixed a Lua error after pressing the 'V' key while a game is loading.41.56
Fixed not automatically reloading changed animation files.
Fixed IndexOutOfBoundsException in JAssImpImporter.GetKeyFrameScale() with a test animation.
Fixed "Could not find bone index for node name: "Translation_Data_$AssimpFbx$_Translation"" warning with a test animation.
Fixed ISRadialMenu:setSliceTexture() calling setSliceText().
Fixed the welding sound not stopping when building metal objects.
Fixed zombies opening locked carpentry doors.



[VERSION] 41.60

[SECTION]MULTIPLAYER
Multiplayer for Build 41 released. Capped to 16 player servers.
Local chat supports icons and colours. See here for more info: https://projectzomboid.com/chat_colours.txt

[SECTION]NEW
Added various new items, clothes, and recipes.
Add a progress bar to "Wash Vehicle" action.
Added displaying the item context menu when right-clicking on container buttons in the inventory window.
Added 2 missing zombie-crawler animations.
Equipped items are now unequipped or removed from the hotbar before dropping them. Items in the player's hands are dropped without unequipping them first.
Added a progress bar to "Wash Vehicle" action.
Improved Item Categories.
Added back option for clock display size 
Added Item.getEatType() method.
Implemented rotation of vehicle passengers. This is for mods where passengers aren't hidden, allowing passengers to face different directions. 
Allow character to take 1 item of the pile when selecting option "Place item" directly from container.
Updated Distributions
Tweaked water shader to get rid of some artifacts, water has a slightly more green tint, increased ripple effect, added extra iteration to medium to get rid of obvious tiling.
Added sandbox options to unlock all clothing slots and items in the character creation screen.
 

[SECTION]LOUISVILLE AND OVERALL GAMEWORLD
Louisville added
[NODOT]<INDENT:40> - Venture into the massive city by following the highway up north from West Point and through Valley Station (North East of the map).
[NODOT]<INDENT:40> Added Radio obfuscation inside of the Louisville zone for the following vanilla frequencies:
[NODOT]<INDENT:60> LBMW - 93.2, NNR - 98.0, KnoxTalk - 101.2, Triple N - cable 200, WBLN - cable 201, Turbo - cable 204
[NODOT]<INDENT:60> - Applies a 85% scramble on transmitted lines once player enters or starts in the zone, scrambling persists afterwards when leaving zone.
[NODOT]<INDENT:60> - Scramble line greyed out color has slight red tint to distinguish from storm interference.
[NODOT]<INDENT:60> - When a line gets scrambled radio codes (for skill gain etc) are removed.
[NODOT]<INDENT:60> - Added the above to regular weather interference as well.
[NODOT]<INDENT:40> Curved Roads placed on many crucial corners in the road network, for safer driving.
[NODOT]<INDENT:40> Plenty of minor map additions, landscaping, and polish added to all towns and outskirts.

 

 

[SECTION]FORAGING / SEARCH SYSTEM
- New Foraging / Search System
[NODOT]<INDENT:40> - Click the magnifying glass icon on the left side of the UI.
[NODOT]<INDENT:60> - The "Investigate Area" window will show you the type of zone you are in, which affects the loot you can find.
[NODOT]<INDENT:60> - If it has "?????" showing, there is nothing around to find. This is temporary until more foraging/search zones are added to the map.
[NODOT]<INDENT:40> - To start searching, click the "Enable Search Mode" Button in the "Investigate Area" window. The character will start looking for items while you walk around.
[NODOT]<INDENT:40> - An eye icon will appear overhead when your character spots something. Double click the item icon to pick it up.
[NODOT]<INDENT:60> - Keep looking around until the eye is completely visible and the icon for the item will appear.
[NODOT]<INDENT:40> - Running will make it harder to find items
[NODOT]<INDENT:40> - Looking around (by aiming) will increase the vision radius to help spot hard to locate items.
[NODOT]<INDENT:40> - Darkness, weather, and negative character moodles (stress, injuries, etc) will affect the chance to find something
    

 

[SECTION]IN-GAME MAP
- New In-game Map System
[NODOT]<INDENT:40> - Click the Map icon on the left side of the UI.
[NODOT]<INDENT:60> - The map will be filled out around your character as you explore the world.
[NODOT]<INDENT:60> - Writing utensils will let you make notes and draw on the map. 
[NODOT]<INDENT:60> - The Grid Icon in the bottom right switches between isometric and top-down view.
[NODOT]<INDENT:60> - The C Button centers the view back on your current location.
[NODOT]<INDENT:60> - The S Button toggles the Map Symbols UI element.
[NODOT]<INDENT:60> - The X Button closes the map.
[NODOT]<INDENT:60> - Added an option to the in-game map radial menu that sets the controller focus to the minimap to allow zooming in/out etc.
[NODOT]<INDENT:60> - On Controllers, pressing the Y button (xbox) accesses the four buttons on the bottom-right of the world map.
[NODOT]<INDENT:40> - There are Sandbox Option for solo players and server admins to toggle the World Map system, as well as a Mini-Map system.
[NODOT]<INDENT:40> - When enabled, the Mini-Map system will be shown in the bottom right. 
[NODOT]<INDENT:60> - With the mouse over the minimap, scrolling with the mousewheel will zoom in and out (Plus and Minus buttons below the map will also do this).
[NODOT]<INDENT:60> -Left Clicking on the Mini-Map or the "M" Button below the Mini-Map will open up the world map.
[NODOT]<INDENT:60> - When the Mini-Map was closed via the "X" Button below the map, it can be re-opened by hovering over the Map Icon on the left side of the UI and clicking the second Map icon that appears on mouseover.
[NODOT]<INDENT:40> - Finding Maps for towns as well as annotated maps will add the relevant area to your World Map, along with annotations.


[SECTION]BALANCE
Increased Log fuel time to six hours.
Allow curtains to be added to window frames without windows.
Allow two curtains to be added on different edges of the same square.
When trying to add an item that needs to be cooked in an evolved recipe, it'll now display "need to be cooked" instead of purely removing the item from possible items in the recipe.
Allow zombies to thump certain objects that have been moved by the player. This includes Barbecue, Clothing Dryer, Clothing Washer, Radio, Television, Jukebox, Microwave and Stove.
Reduced SoundRadius for firearms. This was in part for MP testing optimisation and is subject to change.
 
[SECTION]NOISEWORKS AND SOUNDS
Updated sounds for lots of melee weapons, like Guitars, Drumsticks, small stab weapons, hammers,  and more.
New spear sounds, although we need a way to differentiate between slashing/stabbing. So far only the slashing sounds play for both anims. 
Added additional rain layers for vehicles and trees. If a player is next to them, rain hitting vehicles and/or trees will be audible.
Added farming-related sounds for plowing, seeding, watering, and harvesting.
Added evolvedrecipe.AddIngredientSound script property so "Prepare Beverage" can play a different sound than the default chopping one. Currently it plays AddItemInBeverage, which is the same as the default chopping one.
Play ZombieThumpMetal for zombies thumping metal doors, instead of ZombieThumpGeneric. This includes single-tile metal doors, as well as garage doors and metal gates.
Occlusion/Volume fix for generators.
Reduced occurrences of big mammal sounds.
Tweaked the bird scatter sound after firing a weapon to occur less often.
 
[SECTION]FIXES
Fixed the player's movement keys sometimes being ignored after getting bumped by a zombie.
Fixed holding down the Shift key while standing still resulting in the player getting knocked forward by a zombie.
Fixed issues with hitting crawling zombies while they are still on their back, or in the first half of their flip-onto-front animation.
Fixed a magazine not being removed from the player's hands after it is loaded into a firearm.
Fixed a Lua error in ISFertilizeAction:perform() after a previous action used all of a fertilizer bag.
Fixed missing braces in RecipeManager affecting recipes with AllowDestroyedItem=true.
Fixed warning about undefined OnWorldSound Lua event.
Fixed ISPlace3DItemCursor error on the server caused by accessing TextManager fonts. The whole lua/server/BuildingObjects directory belongs on the client.
Fixed the player passing through walls when climbing over a wall during fast-forward.
Fixed Lua error in ISVehicleMechanics when a part has no install.items or uninstall.items.
Fixed Lua error after left-clicking on the Device Properties media icon, or after dropping an invalid item onto it.
Fixed media items not being removed from the player's hand after inserting an item into a CD player or TV.
Fixed the Device Properties "Play" button being enabled when there is no media inserted.
Fixed a Lua error when removing grass from a square with a fire on it.
Fixed double doors losing their assigned key ID when opened.  I'm not sure if these can be locked.
Fixed locked carpentry doors being opened by zombies with the Cognition sandbox option.
Fixed locked carpentry doors not shaking when attempting to open them.
Fixed being unable to open locked carpentry doors from inside a player-made room (without a key).
Fixed missing context-menu options to the "[Debug] Object" submenu to lock/unlock carpentry doors, and set the key ID of any door.
Fixed another crawler-flipping-on-front animation instance.
Fixed zombie voices often playing the sound for the opposite sex.
Fixed possible crash with mods in RVSChangingTire.
Fixed spiked / pick axe handle not being equippable as 2-handed weapon.
Fixed "build floor" anim playing when player builds shelves.
Fixed disassembling/Building furniture being possible while character is in another room/floor.
Fixed Sack icon disappearing from inventory's equipped containers bar after it is filled and clicked on.
Fixed being unable to drop equipped items via the context menu. (This was already possible by clicking the small "Drop" button in the inventory window, but only "Unequip" was displayed in the menu.)
Fixed Spiked / Pick axe handle not being equippable as 2-handed weapon.
Fixed playing wrong animation when building shelves.
Fixed disassembling/building furniture often being possible while character is in another room/floor.
Fixed Sack icon disappearing from inventory's equipped containers bar after it is filled and clicked on.
Fixed the Overweight trait not having a Fitness -1 penalty.
Fixed the read-a-book action cancelling any subsequent actions that are queued.
Fixed hotbar-related animations finishing before the timed actions, when the player has high unhappiness.
Fixed a Lua error when disassembling stairs.
Fixed being unable to climb up and over a fence at the top of a sheet rope.
Fixed electronic scrap not being consumed from backpacks (fixing generators)
Fixed vehicle parts being damaged even though the mechanical skill requirement is met.
Fixed Pipe Wrench not being usable for plumbing.
Fixed water dispenser providing an infinite amount of water when placed over a river/lake.
Fixed lit candle not being extinguished after it was unequipped.
Fixed “Take fuel” option becoming available everywhere in context menu after connecting a generator to a gas station.
Fixed a memory leak with font Texture objects.
Fixed a memory leak with ScriptModule objects after reloading Lua/etc.
Fixed garbage creation in IsoPuddlesCompute (38 Vector3f and 1 Vector2f per call).
Exit IsoPuddlesCompute.computePuddle() early when there are no puddles on the ground (IsoPuddles.getPuddlesSize() == 0).
Fixed a multithreading bug in IsoPuddlesCompute.computePuddle() accessing IsoPuddles.getShaderOffset().
Fixed old entries in zombieszonedefinition (fix for zombies spawning with random outfits sometimes).
Fixed zombies trying to walk through fences with sandbags placed in front of them.
Made the military sandbag blocks solid.
Fixed using wrong container icon for Military Crate.
Fixed not being able to open and close curtains on military tents.
Turned sync-tracking off for the shove and stomp animations. This should fix the animations not starting from the beginning sometimes.
Fixed incorrect "require" statements in Foraging Lua files.
Fixed unused Object/WoodGate/Break FMOD event.
Fixed duplicate CDplayer in models_items.txt.
Fixed the propane bbq turning into a microwave when rotated.
Fixed Bait disappearing from inventory when removing bait from trap.
Fixed: When creating another character in the same world after the first one died, renaming the character does not work. The character will carry the randomly generated name for the character instead.
Fixed Sack icon disappearing - Adds tooltips for "Can be used as a container if empty." to filled sandbag type items
Only show the Place Item submenu for items outside the player main inventory
Fixed not being able to translate coughs and sneezing.
Fixed Disassembling/Building furniture often being possible while character was in another room/floor
Fixed lights from fires sometimes remaining after a fire is removed.
Removed IsoFireManager.NumActiveFires, since it should always equal IsoFireManager.FireStack.size().
Fixed IsoFireManager.RemoveAllOn() decrementing IsoFireManager.NumActiveFires twice. This is called when the player extinguishes a fire.
Made recipe.AllowDestroyedItem and recipe.NoBrokenItems script properties both set the same Recipe member variable.
Moved some ingredient-valid checks from RecipeManager.HasAllRequiredItems() into RMRecipeItemList.getItemsFrom().
Fixed a bug with clothing where zombies could rip your clothes in one attack.
Fixed duplicating world item by grabbing it after another player picks it up
Fixed weapons floating after being dropped when the player dies.
Fixed clothes lines blocking movement.
Fixed not being able to click on the debug-options button in the world map.
Fixed auto-zoom staying zoomed in when sprinting (but not when running).
Fixed dragged inventory items sometimes not being rendered until the mouse re-enters the inventory or loot window the items were dragged from.
Fixed: Dragging square around inventory items shouldn't fail if mouse goes outside window before mouse up
Fixed: Clear dragging marquis state if mouse was released over an element which consumes the event (e.g. the moveables panel)
Stop rendering marquis immediately on clearing marquis state
Fixed other clients hearing VehicleHotwireStart sound looping for other players.
Fixed clients sending cooking sounds to other clients.
Fixed "Open Sack of Tomatoes" recipe using an undefined Lua function.

[VERSION]41.61
[SECTION]
[NODOT] <CENTRE><SIZE:large> With the release of 41.61 we've increased server player limit to 32. <LINE> WARNING: THIS IS FOR TEST PURPOSES. <LINE> We can't guarantee a smooth experience but would like to hear people's feedback on server performance. <LINE> VOIP is still recommended to be disabled for now. <BR> To be safe, it is recommended to back up your server saves. <LINE>

[NODOT] We will always try to retain save compatibility, but in these early stages we cannot rule out possible save breakage.
[NODOT] 41.60 will be available on the "legacy41_60" branch for those who need it
[NODOT]<BR><LEFT>
[SECTION]MULTIPLAYER
Increased server player limit to 32. WARNING: THIS IS FOR TEST PURPOSES. We can't guarantee a smooth experience but would like to hear people's feedback on server performance.
Optimized server packet handling. Should have significant impact on player, zombie and vehicle syncing, removing potentially 100ms of latency on top of player ping.
Fixed looping VehicleHotwireStart. Call stopOrTriggerSound() so the StopSound packet is sent to stop the sound on other clients.
Fixed clients sending cooking sounds to other clients.
Fixed server sometimes setting ownership for a zombie that was far away from the player
Add packet type parameter to server receive methods
Resend PlayerUpdateReliable packet to all clients
Added missing lwjgl-natives-windows-x86.jar to Build.bat for the 32-bit Windows server.
Added chopper command start/stop optional arguments
Fixed debug logging remaining enabled by default
Fixed clients seeing UI_ServerStatus_Initialising. UI_ServerStatus_xxx messages were sent before the server loaded translation files. These are now sent untranslated from the coop server so they can be translated on the client.
Added "PlayerBumpPlayer" server option. Default set to false. When set to true, players will be and bump other players when running into them.
Fixed MP debug stats showing in SP.
Set HitReactionNetwork sync angle for zombie in MP
Debug only option for zombie quick spawn
Fixed Linux start-server.sh.
Fixed the Linux 64-bit server using G1GC instead of ZGC garbage collector.
Use the ZGC garbage collector when starting 64-bit coop servers, otherwise use G1GC. Also pass -Djava.awt.headless=true and -XX:-OmitStackTraceInFastThrow.
Parse the client's JVM arguments to see if -XX:+UseG1GC or -XX:+UseZGC is used, and pass that to the coop server. This is to handle older 64-bit Windows not supporting ZGC.
Fixed vehicle stories not spawning in multiplayer.
Clarified the "map_t.bin does not exist, cannot determine the server's WorldVersion." console message as being ok the first time a server is started, when map_t.bin hasn't been created yet.
Fixed radio broadcasts being reset on the server each restart.
 
[SECTION]FORAGING / SEARCH SYSTEM
Added Foraging info panel.
Added checking obsolete status when importing and removed some obsolete items
Fixed spot item method - now only triggers once per spot event
Exit search mode after a few moments of running/sprinting
Exit search mode under basic combat conditions (3 or more zombies visible + chasing)
Fixed single context menu compatibility and added multi pickup option for player inventory
Discard action is now instant and doesn't require player to walk over to item
Added IsoMarker rendering for forage icons
Changed bonus abundance settings to percentages and tweaked loot abundance
Added two step icon loading for performance
Added a haloNote + xp reward for spotting forage icons
Added moving of icons close to the player if they've been searching the area too long without finding anything
Fixed mod data being initialised too early
Added re-init missing forageData + debug message for missing data
Restore updating of perkLevel for overlay radius in SearchManager
Increased delay for re-positioning items and ensure it does not reposition previously noticed items
Adjusted rare item and junk spawn rates
Adjusted delay for repositioning items for high level characters
Added slight eye flash when moving an icon close
Translated SearchMode debug menu
Moved forageSystem events to LuaEventManager
Added sprite affinities for forage icons (more likely to find sticks on sticks, etc.)
Improved ISSearchManager:checkIcons() handling of icon activation/deactivation
Increased deferred update and world scanner rates in ISSearchManager
Removed noise from SearchMode shader
Fixed some typos and tidied up forage definitions
Added some randomness to the force-a-find system
Added resetting of force find if the player begins to spot something
Added disabling Search Mode when time is fast forwarded
Added an Accessibility menu option to change the Search Mode overlay effect
Removed some unused properties in forageSystem
Added itemSizeModifier - adds bonus/malus weight for vision radius checks
Added bonus vision radius for berry bushes, fruit trees, plants
 
[SECTION]IN-GAME MAP
Added "All Known On Start" sandbox option for the in-game map. When enabled, the entire world is marked "known" but "unvisited".

[SECTION]FIXES
Fixed car crashes causing multiple hits in quick succession.
Fixed in-game map rendering bug at vertical resolution 1155 or higher.
Fixed wrong zombies outfit spawning.
Fixed the "Move To" inventory context-menu options always being disabled when using a controller.
Fixed equipped keyrings not being displayed as options in the "Move To" menu when using a controller.
Rebuilt Linux PZBullet libraries on Docker to use an older glibc.
Renamed CannedPineapplesOpen to CannedPineappleOpen to fix missing recipe result.
Fixed an error starting a server when attempting to host a game on MacOS.
Fixed JaysChickenHat not rendering properly
Fixed skin poking through Trousers_LeatherBlack
Fixed Trousers_Shellsuit_White not been tinted
Fixed Trousers_Police mask
Fixed Hockey Mask not rendering properly
Fixed Shellsuit Jackets not rendering properly with undergarments
Fixed Leather Jackets not rendering properly with undergarments
Fixed grapefruit being too heavy



[VERSION]41.62 - 41.64
[SECTION]MODS
Hopefully fixed issue with servers not updating mods correctly. Now a server update should update any mods that have changed since last time.

[SECTION]NEW
Added some lore cars, spawning mainly in their corresponding places (+ distrib), e.g. Knox Distillery, Transit, Mass GenFac, Lectro Max variations for the Franklin Valuline.
Added some specific character lore clothing outfits
Added onItemFall event, passes: item. triggered when you lose an equipped item when tripping/falling.
Added a bunch of movable sprite props. Gnomes can now find new homes.
The first time the in-game map is displayed in a game, the view is centered and zoomed in on the players location.
Decreased numbers of army zeds in LV.

[SECTION]MP
Send SendPlayerProfile packet before exit to main menu on exception while in in-game state
SendPlayerProfile and LoadlayerProfile are high priority ordered packets
Fix possible issue with buffers if IOException occurs while sending SendPlayerProfile packet
Graceful fitness finish on remote client
Pass packet type argument to client packet processing methods
Don't display Public=false or hosted servers in the public server browser.
Optimized rendering the public server browser.
Optimized sorting the list of public servers, which happens after all servers have been queried.
Fixed looping sounds in multiplayer after disassembling furniture.
Fix for Public=true servers hosted through the ingame option with lots of mods showing up in the server browser.
Fixed the Deaf trait causing looping audio in multiplayer.
Added a check to prevent a possible crash on the server when exiting.
Fixed remote player updates over long distances.
Added debug log for VOIP data received from large distances.
Added max/min VOIP range to MP population debug window.
Fixed PlayerBumpPlayer=false causing no bumps happening with zombies either
 
[SECTION]FORAGING
Removed toggling off search mode when fast forwarding
Fixed markers remaining on screen when discarding items
Reduced XP gains for foraging, tweaked global XP modifier and diminishing returns for high level foraging
Added slight diminishing XP returns for foraging
Added isoMarker/worldMarker management to SearchManager
Added check for all markers in SearchManager when toggling search mode
Added additional clean up step for markers on death
Added garbage bags/plastic bags to trash loots
Added more items to the trash and junk loots tables
Added search window tooltip to show categories available in current zone
Adjusted loot categories to have more variety per each zone type
Added debug info to search window tooltip
Added isItemOverrideSize to force use of itemSizeModifier only for vision radius
Override item size for some junk/trash categories to flatten out the vision range of these items
Added forageSystem.globalXPModifier property
Added setting the isNoticed flag on items forced near the player
Added extra cool down period for rerolling noticed items
Removed item requirement for finding worms while foraging
Fixed icons spawning on fully blocked squares
Added darkness effect reduction for a few traits/professions
Increased maximum possible vision radius to accommodate highly specialised characters
Removed bonus vision for light sources used during the day outside
Added vision penalty for cloudy days when character is outside
Reduced sneak vision bonus slightly
Added a short delay before sneak and aiming bonuses apply
Updated foraging guide info text
Reduced the exhaustion/panic darkness effect on search mode overlay
Added increased spotting radius for food when the player is hungry
Added translation for no zone type
Changed priority of modifiers in vision radius checks
Improved and refactored marker management
Improved and refactored integrityCheck function
Removed some duplicate and unused item definitions
Added zoneData icon count debug info to investigate area window
checkIcons and createIconsForWorldItems performance tweaked for dense zones
 
[SECTION]DEBUG
Add debug log for VOIP data received from big distance
Add max/min VOIP range to MP population debug window

[SECTION]FIXES
Fixed endless fitness action when character struggles
PlayerBumpPlayer=false server option no longer removes bumping into zombies.
Fixed a typo preventing the RotateObject sound from playing.
Fixed voiceVolumePlayerse= typo writing options.ini.
Fixed the Eat submenus showing +0 for 1/2 and 1/4 hunger amounts.
Fixed the player getting stuck in the exercise animation when the High Exertion moodle is visible.
Fixed the "Vehicle Engine" volume option not affecting vehicle-engine volume.
Added null checks around IsoStove.emitter.
Fixed rain-collecting items not collecting rain in multiplayer.
Fixed missing movie-rental shelves.
Added translations for Large Rental Shelves and Small Rental Shelves (moveables).
Fixed some curved-road zones.


[VERSION]41.65 Release to Stable Branch
[SECTION]
Fixed the PlayerBumpPlayer option.
Added splash-screen logos for General Arcade and Noiseworks.
Added some new melee sounds. New weapon breaks, gore assets, long blade, short blade, umbrella among others.
Fixed the game version string being different in some languages, breaking multiplayer.
Fixed corpse inventory being 50 instead of 8 in multiplayer.
Fixed sheet ropes destroyed by zombies not being synced in multiplayer.
Fixed barricaded doors not visibly shaking when attempting to open them.
Removed unused lines from the Linux dedicated server's start-server.sh.
Fixed microwaves continuing to run on the server when the timer expired.
Fixed the /additem server command not working with underscores in the item type.
Fixed "Server Statistic" debug ui errors when the server's -statistic period is zero.
Added exception handling around IsoChunk.AddVehicles() to fix the server dying when adding vehicles.
Rewrote IsoChunk.isGoodVehiclePos() to handle vehicles at arbitrary angles, and to check for collisions with vehicles on neighbouring chunks.
Fixed randomly-placed corpses being naked in multiplayer.
Potential fix for clients waiting endlessly for the server to send chunks (after already connected).
Changed the PauseEmpty server option default to "true".
MP statistics is refactored
New MP statistics UI is added to admin powers and is shown by default for admins
FakeClientManager line movement logic is updated
New FakeClientManager script for 32 players is added
Byte buffer for SpriteRenderer was increased for debug mode to show whole population map
ShowMpInfo admin power enables/disables statistics gathering
Server disables statistics gathering if no requests for 10 seconds
Fixed zombies not becoming corpses sometimes in splitscreen multiplayer.
Fixed a Lua error adding a saved splitscreen player in multiplayer.

[VERSION]41.65 What's New with Build 41?
[SECTION]
[NODOT] <CENTRE><SIZE:large> This marks the public release of Build 41. <LINE> Build 41 is the most fundamental and wide-ranging update that Project Zomboid has ever had. <BR><LINE> We intend it to be a stable foundation for us to build on for many years ahead. For this reason too, Build 41 has spend an unusually long amount of time on the Beta. <LINE> With a huge overhaul comes also a revampt of the Multiplayer. <LINE> For now, the Multiplayer portion of the game should still be considered BETA, and is limited to a maximum server size of 32 players. <LINE> Below is a selection of the biggest changes that come with Build 41. 
[NODOT]<BR>
[NODOT]<SIZE:medium>New animations and new movement systems. <LINE> Sneaking, sprinting, jogging, racking, reloading, climbing, fence-jumping, collapsing and much much more.
[NODOT]<BR>
[NODOT]<SIZE:medium>New combat, new weapons, new difficulty balance.
[NODOT]<BR>
[NODOT]<SIZE:medium>New tutorial teaching you the very basics of the new movement and combat.
[NODOT]<BR>
[NODOT]<SIZE:medium>New character creation – many, many different new clothing options both on spawn and discoverable in the world as loot or on zombies.
[NODOT]<BR>
[NODOT]<SIZE:medium>New city to explore - Louisville added to the game world. <LINE> The whole world has had small additions, landscaping, and polish done.
[NODOT]<BR>
[NODOT]<SIZE:medium> New zombie behaviour: feasting on recent corpses, lolling against walls, falling over fences etc.
[NODOT]<BR>
[NODOT]<SIZE:medium> Blood and dirt system that progressively bloodies bodies and clothing of survivors and zombies
[NODOT]<BR>
[NODOT]<SIZE:medium> New injury system – movement and combat visibly hampered when injured. Lacerations now possible, an injury state that lies between bites and scratches.
[NODOT]<BR>
[NODOT]<SIZE:medium> Improved gunplay: green/red target outline while aiming, increased gun loot spawn.
[NODOT]<BR>
[NODOT]<SIZE:medium> Randomized environmental storytelling elements. <LINE> Death Scenes, zombies discovered in the situations in which people died. Prayer meetings, sports-viewing parties, survivor zeds wearing backpacks etc.
[NODOT]<BR>
[NODOT]<SIZE:medium> Situational zombie type/clothing and inventories – cop zeds in police station, firemen zeds in burnt buildings, Chef zeds in restaurant kitchens, bride and groom zeds at a wedding ceremony in church etc.
[NODOT]<BR>
[NODOT]<SIZE:medium>Clothing protection: different clothing provides different levels of protection from zombie attacks.
[NODOT]<BR>
[NODOT]<SIZE:medium>Visibly ripped and damaged clothing.
[NODOT]<BR>
[NODOT]<SIZE:medium>Visible Backpacks and Bags.
[NODOT]<BR>
[NODOT]<SIZE:medium>New Sims-style cutaway vision system.
[NODOT]<BR>
[NODOT]<SIZE:medium>Vehicle handling improvements, resizing and appearance tweaks.
[NODOT]<BR>
[NODOT]<SIZE:medium>Updated, remastered and improved Kentucky-themed soundtrack. 
[NODOT]<BR>
[NODOT]<SIZE:medium>Complete soundscape overhaul <LINE> All new sounds, building a more immersive and compelling sonic landscape.
[NODOT]<BR>
[NODOT]<SIZE:medium>Entirely new foraging system. 
[NODOT]<SIZE:medium>Items now have placable 3D models in the world, for all your decorative needs. 
[NODOT]<BR>New Gameplay Styles <LINE> Apocalypse: Stealth focus. Short lifespan. Combat best avoided and picked selectively. <LINE> Survivor: Powerful combat. Longer Lifespan. A challenging playstyle based on PZ's previous Survival mode of Build 40. <LINE> Builder: Construction, Exploration, and Farming focus. A more relaxed experience.
[NODOT]<BR>New Challenges <LINE> Kingsmouth - A separate challenge map, Kingsmouth puts you on a paradise island vacation resort.  <LINE> Studio - Try to survive as the Knox Infection hits the dream factory. Some of these zombies are not like the others.
[NODOT]<BR>New ingame-map system. 
[NODOT]New inventory slots – belts and holsters now give quick equip slots. Weapons can be attached to the character's back.
[NODOT]New thermal / body temperature system. 
[NODOT]New Tailoring system for clothing repairs.
[NODOT]New Fitness / Exercise system.
[NODOT]New emote system – Hold Q to bring up the Radial Menu for Emotes.
[NODOT]New water visuals – including visible flow direction. 
[NODOT]New puddle system during heavy rain.
[NODOT]New fog visuals.
[NODOT]New levelling system.
[NODOT]New VHS, and CDs system. 
[NODOT]Broken glass and related injuries.
[NODOT]3D Store Mannequins – can be dressed however you like
[NODOT]Working washing machines and driers
[NODOT]Server-side saving: MP save system now in a server-side database. Offline SP-side, also means no more lost cars via irl power outages.
[NODOT]New radial menu for reloading firearms.
[NODOT]New game cursor
[NODOT]New loot balance and loot balance system: houses and stores now have loot in the containers you would expect from real life – and not in a jumble.
[NODOT]Faint isometric aiming cursor that shows where you’re aiming in iso space.
[NODOT]A gigantic list of fixes and QoL improvements.


[VERSION]41.66
[SECTION]MP CHANGES
Increased experimental maximum player limit to 100. Default remains at 32. Servers with more than 32 players will likely result in poor map streaming and desync, so proceed with caution.
[NODOT]<LINE>
Optional Login Queue system for MP servers added.
[NODOT]<INDENT:40> Players connecting to a full server will be placed in a login queue, connecting automatically once a slot freed up. The queue will advance after the client has finished loading the game.
[NODOT]<INDENT:40> LoginQueueConnectTimeout=60 server option determines for how long the server should wait for a connection of the client before they are timed out.
[NODOT]<LINE>
Added options for automatic server backups.
Several cheating security fixes to prevent unwanted admin access as well as unwanted actions performed by clients.
[NODOT]<LINE>
Several improvements and fixes for VOIP. Added Automatic Gain Control options.
Allow VOIP and text to travel to radios tuned into the same frequency.
Non-equipped stationary radios now two-way for text comms
[NODOT]<LINE>
Added admin panel tool for creating custom safehouses/safezones
Added new PvP icons
Servers now set a Steam server rule named "PVP" with a value of "1" or "0" depending on the value of the "PVP" server option. This can be used by server browsers to distinguish between pure PVE and PVP enabled servers.
Added a "SledgehammerOnlyInSafehouse" server option:
[NODOT]<INDENT:40> if AllowDestructionBySledgehammer is enabled, you can set SledgehammerOnlyInSafehouse to true to allow destroying stuff with sledge only in player's safehouse.
[NODOT]<LINE>
Added buildUtil.setHaveConstruction
[NODOT]<INDENT:40> This is a function to set the haveConstruction flag on a zone to prevent loot respawn if ConstructionPreventsLootRespawn is enabled in the server sandbox settings.
[NODOT]<INDENT:40> set haveConstruction on zone for building, movable, barricading events and when claiming a safehouse, so a home won't spawn loot after being claimed, even if a player hasn't built anything in them yet.
[NODOT]<LINE>
Updated /rainstart /rainstop and /thunder commands
Added /lightning /startstorm and /stopweather commands
Added providing optional reason in KickUserCommand
Added providing optional coordinates in AddVehicleCommand
Updated text for server commands
Updated ShowOptionsCommand to allow use by non admins
Disabled doubled-up commands AddAllToWhiteListCommand and AddUserToWhiteListCommand
Removed unnecessary server options.
[NODOT]<LINE>
Updated overhead username display
[NODOT]<INDENT:40> with only ShowFirstAndLastName enabled, show player name
[NODOT]<INDENT:40> with only DisplayUserName enabled, show username
[NODOT]<INDENT:40> with both options enabled, show player name with username in brackets
[NODOT]<LINE>
Server .ini file now has the tooltips for the various options and settings attached as comments
Added limit for server public names to 64 characters and public descriptions to 256 characters
Disabled NightLengthModifier since it is currently non-functional. Will be reintroduced soon.
Added check and teleport for safehouse trespassing.
[NODOT]<INDENT:40> Fixes issue with players becoming trapped when a safehouse owner goes offline with DisableSafehouseWhenPlayerConnected enabled
[NODOT]<INDENT:40> Fixes issue with players intruding in safezone areas via movement exploits
[NODOT]<LINE>
[NODOT]Safehouse fixes:
admins and moderators can quit safehouse (if not owner)
admins and moderators can invite themselves to a safehouse
admins and moderators can quit safehouse (if not owner)
admins and moderators can invite themselves to a safehouse
do not show the 'Quit Safehouse' button to admins who are not in this safehouse
[NODOT]<LINE>
Fixed non-relevant Lucky/Unlucky traits being usable in MP.
Fixed some duplication exploits.
Fixed being unable to access/change player inventory as admin.
Fixed Ping Limiter not working. 
Fixed showing the "ADMIN POWER:" debug text in multiplayer.
Fixed some cases where crashes at low speeds cause fatal injuries.
Fixes for some instances where black boxing could still occur when players were passengers in vehicles.
Fixed an exploit that allowed bypassing container item limits.
Fixed non-members being able to perform moveables actions inside safehouses.
Fixed admins in ghost/invisible mode still making sounds.
Fixed "Medical check" on another char in a car causing chars to be stuck in a car
Fixed crawlers sometimes teleporting when trying to path to a player. They will now turn to the target.
Fixed, via removal, defunct server option "LogLocalChat".
Fixed kicks in relation to Safehouse creations.
Fixed being able to exit a vehicle when inside a safehouse without having appropriate permissions.
Fixed a bug that rendered passengers unable to leave a car.
Fixed death by bleeding while driving causing a kick from the server.
Fixed not being able to die near other players until hp drops down, and not being able to move if char died while other players try to rescue.
Fixed looting animation stopping when another player attempts to grab the bag/container. 

[SECTION]NEW
Added back the "Toggle Music" key binding, bound to nothing by default. It appears under the new "Audio" category near the bottom of the key-binding UI.
Players can now dismantle several player-built structures (floors, etc).
Corner pillars will now be built automatically when placing walls/fences etc.
Updated Kingsmouth and Studio maps. Room definitions, bed and foundation fixes, added video cameras, military equipment, and more.
Added tooltip information on what mod an item is from. Can be turned off in main options.
Added "Inventory Container Button Size" Display option to change the size of the buttons on the right-hand side of the inventory and loot windows.
Updated Survival Guide. Merged into a single window and also made to work with a controller
Added trait reset button to character creation screen.
Implemented the blue combination washer/dryer appliance. Use the context menu to switch between washer and dryer mode.
Context Menu is now usable in the loot panel backpack list.
Added more CDs and VHS tapes, including Dog Goblin sequels.
Updated ISCraftingUI and CraftTooltip to display multiple choice item counts, as well as heat requirements for recipe ingredients.
Added AllowFrozenItem parameter to recipes and evolved recipes.
Added Perogies, Peppermint, Potato Pancakes.
Added OnCreate item script property.


[SECTION]BALANCE
Setting Cruise Control now starts at current speed when switched on.
Attempting to sprint when the character is too exhausted to sprint will now make the character run as fast as they can instead of walking and having to press the "Run" key separately.
Fixed M16 still having its initial experimental values. No longer a death laser. MinDamage reduced to 0.8, MaxDamage reduced to 1.4.
Greased back hair now requires hair gel.
Frog legs and whole fish are now dangerous uncooked.
Military lockers and crates now movable. They'll also contain loot.
Unified spawn items and starter kit functions in SpawnItems.lua.
Fixed drinking directly from river/puddles not making characters sick. 
Drinking tainted water now more merciful if character is already sick.
Added ability to use sheet ropes to create log stacks
Fixed players not becoming bored inside player-built rooms.
Agoraphobic and Claustrophobic traits fixed to work inside player-built rooms.
Added relevant tile properties (pick-up, rotate, water source etc) to: new farm dirt tile, washer-driers, dead farm plants, hay bales, red mobile tool cabinet, troughs, play castles, bird baths, sinks and more.
[NODOT]<LINE>
[NODOT]Spear charge fixes (MP and SP):
Charge only zombies in front of the player.
Reset sprinting time when spear charge occurs.

[SECTION]NOISEWORKS
Added a volume automation for the hard of hearing trait in addition to the muffling we already had, additional -6db (needs some testing if this is okay).
Added EmptyPan sound for "Empty Frying Pan" and 2 other recipes.  The sound is a placeholder for now. 
Added values MeleeHitSurface for per-weapon door-hitting sounds.
Added DoorSound=WoodShackDoor for new door sounds for wood-plank doors.
Added StoveTimer sound.
Added sounds played while constructing gravel-bag and sand-bag fences.
Added sounds for turning media devices on/off and muting/unmuting.
Added Dismantle sound for radios and televisions. 
Added generator repair, connect and refuel sounds. 
Added sounds for drinking and filling containers from water dispensers.
Added new climb sound for high finces.
Added bullet impact sounds.
Added the violin melee hit/whoosh sounds.
[NODOT]<LINE>
Minor volume tweak to zombie voices when they're very close, they were a bit too loud.
Added occlusion to vehicle engines, horn, sirens (needs some testing).
Slight adjustment to the bass of the footstomp.
Play PourLiquidOnGround when emptying paint buckets and similar items.
Fixed playing DrinkingFromTap or GetWaterFromTap when drinking from a river sometimes.
Play the FallLight sound when tripping over a hedge/tree.

[SECTION]IN-GAME MAP
Added a button to the in-game map to remove all annotations and forget map knowledge.
Hide the mini-map when the inventory and loot windows are visible when using a controller (so the mini-map doesn't overlap).
Display controller button prompts in the in-game map.
Play the MapOpen and MapClose sounds when viewing the in-game map.
[NODOT]<LINE>
Fixed the in-game map view not being centered on the player the first time it's displayed, when the mini-map is also used.
Fixed moving map symbols with the mouse.


[SECTION]KNOX EVENT MAP
Export of current dev map - including some new locations and improvement of general landscape.
Pylons and radio masts added to map.
Various map fixes.


[SECTION]FORAGING / SEARCH SYSTEM
Added foraging tips system to investigate area window.
Added some fixes to make the system work with controllers.
Overlay radius now used instead of item radius for placing investigate arrow markers.
Restructured trait/profession multipliers - now uses definitions.
Added profession and trait category specialisations.
[NODOT]<INDENT:40> - Big bonuses to spot categories for professions.
[NODOT]<INDENT:40> - Small/medium bonuses to spot categories for traits.
Added functions for modders to add trait/profession definitions.
Added ammunition category to urban loot.
Added medical category to urban loot.
Added clothing items to urban loot.
Added some more misc items/fruits/veggies.
Added pinecones (only available from September to December).
Added pinecones can be used as campfire fuel.
Show spotting arrows immediately when the player notices something.
Force-find now reveals an item nearby for the player instead of just moving it closer.
New identifying items system - items can be identified if close enough or from afar with high skill.
Zone display now reveals exact categories when reaching high enough level (identifyCategoryLevel).
Set a minimum dark overlay value so the search radius is always visible even in bright daylight.
Categories can be more or less common (or not available) during rain or snow.
Items can be more or less common (or not available) at night or during the day.
Items and categories can be more or less common (or not available) after it has rained.
Items are moved to player inventory if a backpack goes over capacity - otherwise dropped onto the floor.
Refactored, bugfixed and documented many functions.
Fixed resetting itemTotal when fillZone is called.
Fixed inverted light level values when indoors.
Added foraging weather effect reduction for equipped umbrellas.
Increased darkness/weather effect reduction cap.
Resolved an issue with calculating foraging darkness/weather effect reduction.
Fixed issue causing item markers to disappear when looking away.
Added a chance to generate extra items on affinity sprites - more firewood in forests - more stones on roads.
Tweaked and tidied bonus item generation and syncing.
Added a flag to bonus icons for future management.
Set affinity check to occur after all icons are loaded.
Activate nearby zones inside radius.
Allow multiple categories per affinity sprite.
Show item ghost before spotting if in visible radius.
Added bonus vision definitions for all professions.
Place item marker arrows when inside item spotting radius if item is visible.
Cloud darkness and fog level visibility increased on zone display.
Added some variation to the zone display fog.
Added zone display vision effectiveness tooltip.
Updated search info tip.
Skip checking icons outside loaded cell.
Changed default itemDef value canBeOnTreeSquare to true.
Added more search radius/trait/profession bonus info to Investigate Area tooltip.
Added showing the poison skull on forage pins for mushrooms/berries if player has herbalist skill.
More categories visible on Investigate Area window tooltip with high skill.
Tidied up and documented ISSearchManager/ISBaseIcon.
Tweaked forageSystem penalty calculations.
Fixed icon arrows remaining on screen when sprinting.
Added short sighted foraging debuff can be removed by wearing glasses/reading glasses.
Added testFuncs to skill definitions.
Fix rerolling zone icons while sprinting.
Fix spotting icons while fast forwarding.
Vision radius calculations refactored and tidied.
Icon performance improvements.
Fixed icons recreating with incorrect conditions.
Reduced and capped stuttering caused by cell checks.
Fixed overlay toggling in vehicles.
Improved search radius transitions when toggling mode.
Improved forage zone activation, icon moving, bonus icon generation.
Fixed wild crop seed spawns.
Fixed using the wrong broccoli type for foraging.
Fixed issues in force find tracker.
Skip sprite affinity checks on squares with trees or attached data.
Fixed missing spaces in search window tooltips.
Fixed missing item texture on pins for floor items.
Fixed moved objects spawning bonus items.
Removed performance impact for ISSearchManager, ISZoneDisplay, ISSearchWindow when UI not visible.
Removed seasonal variances from medicinal plants.
Added WildPlants category for seasonal wild foods.
Updated ISSearchManager table resets to use table.wipe.
Updated radius and modifiers in ISZoneDisplay vision tooltip.
Tidied up some debug stuff in ISZoneDisplay.
Added foraging profession and trait specialisations for WildPlants.
[NODOT]<LINE>
[NODOT]Balance:
Increased maximum possible spotting range further for specialised characters.
Reduced base XP rewards for foraging.
Tweaked icon density in zones.
Insects, mushrooms, herbs are now much more common at night.
Medicinal herbs are much easier to see.
Increased medicinal herb yields.
Herbs and mushrooms are more common in the rain and after it has rained.
Added disabling search mode if a zombie is very close (about 1 square away).
Reduced headwear vision penalties, added penalties for more types (not hats, never hats).
Increased chance of items to be on affinity sprites (stones on stones, etc).
Allow affinity icons to be moved again if they were not noticed before.
Malus for item size adjusted to a curve to be less punishing.
Rebalanced many item sizes with overrides for spotting (fruit trees, crops, etc).
Reduced berries poison level by a lot - not likely to be fatal.
Reduced mushroom toxicity range - still very risky to eat unidentified.
Added additional food sickness penalty for consuming poison berries and mushrooms.
Added a new increased minimum vision radius for well-lit squares.
Increased variance of medicinal herb yields.
Weather penalty calculation tweaked for snow cover.
Weather penalty maximum increased.
Overlay radius tweaked to use forageSystem min/max size values.
Stones more likely to be found in cracks in the road + rates increased on roads.
Removed skill requirements for some item categories.
Tweaked sprite affinity and bonus icon chances.
Tweaked sprite affinity/bonus icon chances.
Foraged drainable items roll for a remaining amount.
Increased zone icon density.
Additional variation for zone density.
Added more sprite affinities to trash, junk icons, and insects.
Reduced chance of finding rotten wild foods.
Increased chance of fresh wild foods with high skill.
Profession and trait vision modifiers also affect the overlay maximum vision radius.
Increased vision cap for extremely skilled and specialised characters.
Decreased vision cap for non specialised characters.
Ensure vision radius bonus always applies when aiming or sneaking.
Rebalanced profession and trait darkness effect modifiers.
Check darkness cap before placing item marker arrows.
Removed override item size for some small items.
Added more sprite affinities to categories.
Dead animals much more likely to be stale or rotten.
Aiming takes priority over crouching bonus in forageSystem.
Bonus vision effects apply to maximum radius.
Chance to find logs reduced.
Rebalanced vision radius/view distance for spotting.
Increased maximum hunger bonus for food items.
Tweaked vision penalties for clothing.
Increased base spotting speed and bonus spotting speed when aiming/sneaking.
Reduced snow cover and cloud penalty.
Umbrella rain penalty reduction increased and only applies to rain.
Minor zone item count balance tweak.
Added more sprite affinities for stones.
Adjusted profession vision bonuses.
Category chances tweaked to accommodate WildPlants.
[NODOT]<LINE>
[NODOT]Debug:
Added a new IsoMarker type for debugging icon vision radius.
Added icon vision radius + category info debug options.
Added debug option: "Show Icons Locations".
[NODOT]<LINE>
[NODOT]Splitscreen fixes:
Fixed split screen icon syncing.
Fixed picking up forage icons with controller in split screen.
Moved forage icon pickup option to the top of right click context menu.
Increased range of back button wheel pickup option.
Back button wheel forage options now use item textures.
Added discard item option to back button wheel.
Tidied up changes for split screen icon syncing.
Fixed syncing of arrows/markers when an item is moved or removed.
Fixed removal of icons noticed by co-op player.
Added zone display split screen support.
Sync forage item poison values in splitscreen co-op.
Fixed a bug when co-op player simultaneously picks up items in ISForageAction.


[SECTION]MODDING
Added ISCarMechanicsOverlay.PartList[].vehicles tables to any parts that don't have them.
VehiclePart.setInventoryItem() no longer calls setModelVisible(true|false) for all models, because this interferes with some mods that choose different models based on which item is installed for a part. Instead, a new method VehiclePart.setAllModelsVisible(true|false) was added that is called from these Lua functions:
[NODOT]<INDENT:80>Vehicles.Init.XXX
[NODOT]<INDENT:80>Vehicles.InstallComplete.XXX
[NODOT]<INDENT:80>Vehicles.UninstallComplete.XXX
[NODOT]<INDENT:40>Mods that define "init", "install.complete" and/or "uninstall.complete" Lua functions can now choose to hide or show whichever models they want.
[NODOT]<INDENT:40>Additionally, VehiclePart.repair() now calls the part's "init" Lua function (if it is defined) when creating a missing item.
[NODOT]<INDENT:40>This allows the "init" function to hide or show models.
[NODOT]<LINE>
Added vehicle.part.setAllModelsVisible=true|false script parameter.  The default value is true.
[NODOT]<INDENT:40>When true, VehiclePart.setInventoryItem() will call VehiclePart.setAllModelsVisible(item != null).
[NODOT]<INDENT:40>When false, model visibility is not affected when VehiclePart.setInventoryItem() is called.
[NODOT]<LINE>The game will look for mod texture-pack files named Pack2x.floor.pack (correct) and then Pack.floor2x.pack (incorrect) if the first file doesn't exist.
Added IsoGameCharacter.XP.setPerkBoost(Perk perk, int level). This is for mods that want to change an existing player's XP multiplier for a skill.
Added IsHidden parameter for recipes and evolved recipes
[NODOT]<INDENT:40>- If true, this hides the recipe on the crafting menu.
[NODOT]<INDENT:40>- Hidden recipes are still able to be crafted via the right click menu.
[NODOT]<INDENT:40>- Evolved recipes are hidden unless a result item exists.
[NODOT]<INDENT:80>- This allows adding additional ingredients via the crafting menu.


[SECTION]CONTROLLER
Pressing and holding the left analogue stick displays a radial menu that allows toggling crouching, sitting on the ground, and auto-walking. A quick press of the left joystick button toggles crouch, the same as before.
Pressing the controller A button when a text entry has the focus displays the on-screen keyboard.
[NODOT]<INDENT:40>- Left shoulder button changes focus between the text entry and keyboard.
[NODOT]<INDENT:40>- D-pad navigates in the text entry.
Foraging / Search mode improved to work with controllers.


[SECTION]FIXES
Fixed a Lua error when trying to spawn a new character in game when the AllClothesUnlocked sandbox option or Character.CreateAllOutfits debug option is enabled.
Fixed the "Aim Outline" option default being "None" instead of "Ranged Weapons".
Fixed the volume controls not working in multiplayer.
Fixed Home VHS tapes switching from blank to not-blank after reloading sometimes.
Fixed some unique Home VHS tapes never being spawned. Now CDs and VHS tapes are randomized in ItemPickerJava.
Fixed translation files from required mods having priority over the mod that required it. If mod B requires mod A, then mod B's translation files will be loaded first so they override the same translation in mod A, if present.
Fixed sitting zombies facing random angles in multiplayer.
Fixed an IllegalArgumentException in IsoChunk.SafeRead() when reading an empty map_X_Y.bin file.
Fixed the mini-map displaying the game's map data in cells that have been overridden by mods.
Fixed some curved-road zones.
Fixed traffic jams on curved roads by implementing "traffjam / ParkingStall" and "rtrafficjam / ParkingStall" for polyline zones
Fixed exercises not starting when a two-handed weapon attached to the back is equipped in both hands.
Fixed a thread-synchronization bug with ZomboidFileSystem.getString() accessing RelativeMap. This led to walls not being cutaway due to failing to load the CircleStencil Shader.
Fixed Character.Debug.PlaySoundWhenInvisible default being true when it should be false.
Fixed a few cases where sounds from invisible players could be heard in multiplayer.
Fixed bug in world dictionary when an item similarly named to a base item but with different module would be removed. This was due to scriptmanager.getModule defaulting to 'base' when the module was not found.
Fixed scriptmanager.getModule testing for equals("Base") or startsWith("Base.") instead of startsWith("Base"). This would otherwise result in the same error happening still if one would name their module for example "BaseBuilding".
Fixed item loading when trying to create an item with the same name in a different module. When a mod adds "MyMod.Apple" this a new item that exists alongside "Base.Apple", when MyMod is removed the "MyMod.Apple" bytes in the saves should be skipped. However due to ItemFactory.CreateItem calling the same scriptmanager functions that default to "Base" when no module found, it would try and instance "Base.Apple".
Fixed bug in WorldDictionary ItemInfo where print debug would not print all lines.
Fixed GameLoadingState doing GameClient stuff in single player.
Fixed any exception that occurs when the "failed to create vehicles database" message is displayed not being printed.
Fixed spawned fish in shops and stories unable to be filleted.
Fixed getting extra materials when multiple players scrap an object.
Fixed being unable to construct objects or floors through an open window.
Fixed being unable to disassemble closed doors facing S and E.
Fixed "take pills" anim playing only once when the action is queued.
Fixed 'take pills' action being possible while running (it has no animation).
Fixed the resize behavior of the "Select Spawn Location" ui.
Fixed disallowed scrolling of map description in the "Select Spawn Location" ui using a controller.
Fixed some forest and vegetation zones near curved streets.
Fixed "ReceiveRemoveCorpse: incorrect square" messages on the client due to corpse rotting. These messages weren't errors.
Fixed incorrect looping in RandomizedZoneStoryBase.cleanAreaForStory().
Fixed multithreading issues on the server with the vehicles database. 
Fixed radial menu for light sources only available for secondary item slot
Fixed double-clicking a watch runs an action but doesn't equip it.
Fixed adhesive bandages weighing too much.
Fixed mechanics books not being in SkillBook category.
Fixed missing Fishing.OnCreateFish function on server.
Fixed default name of a profession preset not being the name of the profession (has a number if there is already a preset with that name)
Fixed bowl of beans recipe not scaling to source can's hunger reduction.
Fixed two-tile table stories possibly spawning on two different tables, possibly with a wall in between.
Fixed trailers being detached on the client but attached on the server.
Fixed explosive traps not damaging zombies in singleplayer.
Fixed server soft-reset throwing errors.
Fixed "bare hands" checks which used translated item names.
Fixed lightbulbs breaking even if unpowered.
Fixed inability to plumb sinks in existing buildings if the water is still on.
Fixed zombies densities not affecting loot spawn in MP. This caused Sledgehammers and other items to be a lot rarer in MP than in SP.
Fixed not being able to climb over tall fences when a vehicle is nearby.
Fixed being able to get XP from VHS tapes again after relog.
Fixed TVs showing test screen (only happens 14 days after apocalypse and onward).
Fixed one TV screen not showing in the screen 'animation'.
Fixed the first channel not being properly loaded when radio loads its savefile.
Fixed, via disabling, zomboid radio debugger in mp client that was throwing errors due to stuff not being present on client
Fixed bug that caused the temperature panel to display all values as zero. (the call to PZMath.clamp in the panels would randomly pick the int or float overload between diff game boots). Also added Thermoregulator node debugger panel.
Fixed WAV sounds flickering between speakers when near the player's location.
Fixed some problems with clothing losing condition due to holes.
Fixed the client savefile not being deleted when the server savefile is soft-reset or recreated.
Fixed playing DrinkingFromTap or GetWaterFromTap when drinking from a river sometimes.
Fixed trap synchronization issues in multiplayer (including multiple explosion sounds).
Fixed noise-trap sound continuing after the trap is picked up.
Fixed farm-plant names not being translated in multiplayer.
Fixed missing translation for "Spent Rounds" in firearm tooltips.
Fixed Disassemble tooltips for movables showing the incorrect object name (and no icon)
Fixed unlimited maximum title and text entry for journals, notebooks, paper
Fixed impossible disassembly of tall fences south and west of player
Fixed missing radioInteraction codes for perks
Fixed bug in RadialProgressBar with texture offsets
Fixed bug in ISSafetyUI where second part of the radial cooldown would display incorrectly.
Fixed alarms being enabled in buildings the player spawns in (in MP).
Fixed NullPointerException in DeadPlayerPacket.set().
Fixed ability to have more than three saved splitscreen players in multiplayer.
Fixed issues managing saved splitscreen players in multiplayer.
Fixed SafeHouseRemovalTime greater than 596 removing safehouses.
Fixed player facing direction never getting set on the server.
Fixed Survival Guide error showing the guide when isShowFirstTimeSneakTutorial() is true.
Fixed the "Learned Recipe" text above the player's head when watching a VHS not being translated.
Fixed EvolvedRecipe.java using DecimalFormat (which uses the default locale) and instead use NumberFormat.getInstance(Locale.US) to try and fix rare crafting exceptions.
Fixed getting Fitness XP without exercising when starting exercises while aiming.
Fixed being able to dismantle carpentry window frames and door frames before removing the window or door.
Fixed Z location check in RecipeManager isNearItem
Fixed playing sound from the waist of zombies that are on the ground and instead play from their head.
Fixed incorrect plant names (and "Mystery Plant") being displayed in the farming-info window.
Fixed not being able to dismantle Metal Floor.
Fixed, via removal, leftover Multi-core option that had no effect anymore.
Fixed double-jump animation climbing over fences when holding a two-handed weapon. This mostly occured on Linux distributions.
Fixed Pacifist trait not reducing XP gains with LongBlade weapons.
Fixed Soup bowls, Stew bowls and Pie Slices inheriting original hunger values.
Fixed not being able to scroll the outfit panel with the mouse wheel in the character-creation ui (with all outfits enabled).
Fixed setStopOnWalk/setStopOnRun recipe function typos.
Fixed uncooked Omelette being safe to consume.
Fixed an ISZoneDisplay error when debug teleporting in single player.
Fixed placing 3D items skipping a movement step if the player begins at the destination.
Fixed being unable to pack/unpack frozen egg cartons.
Fixed evolved recipes with matching item names not displaying correctly in ISCraftingUI.
Fixed possible to add uncooked ingredients when cooking is required via ISCraftingUI.
Fixed being unable to use "vegetable sacks" after they are emptied.
Fixed temperature and frozen status of items used in recipes not being maintained.
Fixed being unable to add burnt ingredients to recipes requiring cooked items.
Fixed Paperbag icon.
Fixed sports car front trailer attachment.
Fixed lack of check for ReplaceOnCooked when drainables are cooked.
Fixed duplicate entries in newBags, clothing_bags, newitems scripts.
Fixed sackProduce items not being in items_food script.
Fixed new tongs item not being called kitchen tongs (due to metalworking tongs existing).
Fixed characters queueing the "Exit Car" action and therefore being able to exit a car when they should not be able to.
Fixed characters being able to open/close vehicle doors while vehicle is in motion.
Fixes to tutorial to improve SteamDeck experience
Fixed collision for rain tanks, roof fences, large green lockers, Acorn plaza signs .
Fixed not being able to jump turnstiles in both directions.
Fixed being unable to rest on Red Theatre Chair.
Fixed transparent stockings making the player's legs transparent.
Fixed Lua error in MapSpawnSelect when the filename entry is hidden.
Fixed pyramid.zip files not being allowed in Steam Workshop uploads.
Fixed 3D models being clipped in savefile thumbnails when the minimap is displayed.
Fixed duplicate ZombiesZoneDefinition.StreetPoor.
Fixed the music volume setting being implied improperly.
Fixed the sound of zombies eating continuing to play while exiting to the main menu.



[VERSION]41.67 and 41.68
[SECTION]MP
Cheat control
[NODOT]<INDENT:40> Each anti-cheat can now be disabled via server option
[NODOT]<INDENT:40> Several anti-cheats can now be configured via server option
[NODOT]<INDENT:40> Anti-cheats are disabled by default for co-op hosted servers
[NODOT]<LINE>
Max/Min/Default values hint is added to ServerOptionChange UI window for double and integer server options
Old SafetySystem tooltip text is changed in accordance with new icon
GhostMod and NoClip are removed when admin gets player access level
[NODOT]<LINE>
Adjusted anti-cheat thresholds
Player is not kicked on coop host server
[NODOT]<LINE>
Adjust MP gain XP limit by sandbox XPMultiplier value
Fixed typo in UI_ValidationFailed_Type9
System property "rconlo" is added to make RCON server listen on loopback interface only
New IsoObjectID class replaces ZombieIDMap.
[NODOT]<LINE>
[NODOT]<LINE>
Limit the "mods" string reported by Steam servers to 128 characters. A new keyvalue "modCount" reports the actual number of mods used by the server. The server browser and favorites list will display "... and N more" after the list of mods, when there are more mods than are displayed.  This is to fix some servers reporting ??? as their version number, which prevents people from joining.
The server will exit if there are syntax errors in the servername_SandboxVars.lua file.
The server's servername_SandboxVars.lua is saved after loading it to update it to the latest version with comments.
[NODOT]<LINE>
Added missing buttons to disable toggle in admin panel UI
Added closing admin panel UI if player has no access level or revoked privileges
Added closing safezone tool UI if player has no access level or revoked privileges
[NODOT]<LINE>
Clarified safehouse tooltip show all reasons why a safehouse cannot be claimed
[NODOT]<LINE>
Added server option "SafehouseAllowNonResidential" to allow claiming all buildings
Added confirmation before releasing a safe house
Fixed the owner sometimes showing in safehouse member list
Added check when releasing safehouse if player is the current owner or an admin
Fixed DisableSafehouseWhenPlayerConnected teleporting players outside when a player is removed while there are members online
Fixed DisableSafehouseWhenPlayerConnected never replacing the safehouse after a player disconnects
Added updating of the safehouse online member count periodically
Added allow changing safehouse owner to players which are a member
Added extended server quit logging
Print 'command entered via server console (System.in): "xxx"' in GameServer.launchCommandHandler().
Added isConsistent() call to GameServer.receiveSyncClothing().
[NODOT]<LINE>
Fixed both options on yes/no confirmation when quitting a safehouse removed the player
Fixed zombie that can be deleted by admin or zombie owner
Fixed server hanging on quit command because of active RCON connection
Fixed CD and VHS tapes possibly being different for each client.
Fixed GlobalModData.save() not being called on the server.
Fixed ZomboidRadio.Save() not being called when other things are saved on the server.  It was called every 10 game-world minutes, however.
Fixed Lua error in ISPlayerStatsManageInvUI after calling the /additem command in multiplayer.
Fixed issues with the Stitch packet.
Fixed repeated exceptions in GameClient.sendAddedRemovedItems() when a container object is null for some reason.
Fixed adding items to or removing items from containers not being synced in multiplayer if the player teleports before the changes are reported to the server.  This was one cause of the issue fixed above.

[SECTION]NEW
Added "Enable left joystick radial menu" accessibility option.
Updated community translations.
Added 3D models (not all in-game yet)#


[SECTION]ENGINE
Updated Windows and Linux FMOD to 2.02.05.
Added error checking and logging when initializing FMOD.  The sound system is disabled when errors occur.


[SECTION]MODDING
Made the maximum allowed tiledef file number 16382. File numbers 0-99 are reserved for the game, as was already the case. The old unenforced maximum was 1000, which some mods ignored. Sprite IDs must fit in a signed 32-bit integer (2,147,483,647). Each tiledef file is reserved 512 tilesheets of 512 tiles each. However: please note that values higher than 8190 result in NEGATIVE sprite IDs. Numbers higher than 16382 definitely aren't allowed due to using 32-bit integers to hold sprite IDs.

[SECTION]FORAGING
Added Search Focus system for foraging
[NODOT]<INDENT:40> Focus is set in the investigate area window.
[NODOT]<INDENT:40> Only one focus may be active at a time.
[NODOT]<INDENT:40> Increases chance to find certain categories of item when searching.
[NODOT]<INDENT:40> Player must be skilled enough to identify the item category to focus on it.
[NODOT]<INDENT:40> Focus effectiveness is determined by player skill and category.
[NODOT]<INDENT:40> Hidden item categories will not be rerolled (rare find protection).
[NODOT]<INDENT:40> Square must be valid to roll the item type (cannot be used to find plants on roads).
[NODOT]<LINE>
Fixed duplicate clothing effect displayed in ZoneDisplay tooltip
Fixed missing per player render flag in ISBaseIcon
Tidied spriteAffinities definitions
General tidying and alignment of tables
Removed stone/firewood identify category skill requirement
Added translations for search focus functions
Added controller support for search focus
Fixed medicinal herbs requirement check for recipe instead of trait "Herbalist"
Fixed tooltips flickering in Zone Display
Added tooltip to make long tips easier to read without scrolling
Added zone display tip for using search focus
Updated focus check to occur before item preview is placed
Added blocking search focus for sprite affinity items

[SECTION]BALANCE
Fixed Axeman not applying bonus for swing speed
Added correct adjustment of exercise fatigue.
Updated community translations.

[SECTION]FIXES
Fixed car dashboard delay when taking damage
Fixed doors missing their glass, and the triangle-shaped floors_exterior_natural_01 dirt tile.
Fixed the result of FMOD::Studio::System::getCoreSystem() not being checked properly for errors.
Fixed Lua error clicking the close button in the titlebar of the Horde Manager debug ui.
Fixed a BufferOverflowException when the number of reanimated player zombies is high.  (It was taking about 600 player zombies (assuming 1.6KB per descriptor and 1e6KB packet buffer)  to be loaded for this exception to happen)
Fixed dragging VHS tapes from world containers to the Device Options ui not being synced in multiplayer.
Fixed repairing a hole in a long Leather Jacket with level 8 Tailoring not restoring condition.
Fixed phantom item-transfer actions playing after crafting sometimes.
Fixed IndexOutOfBoundsException in WorldItemModelDrawer.renderMain().
Fixed starting the MusicCombined event doing network stuff.
Fixed the MusicCombined event being stopped and then restarted the first time Lua is reloaded.
Fixed split-screen players, except the last, being unable to drive vehicles in multiplayer.
Fixed unnecessary pause when starting in debug

[VERSION]41.69
[SECTION]NEW
Added "Stubble" checkboxes to the Hair and Beard sections in the character-creation ui.
Added new items + updated 3D models
Added new forage items
Changed setHaveConstruction to apply only when constructing and placing objects
Added the skeleton mannequin and scarecrow.
Added additional item categories and addressed some blunders
Added compilation of new hair types
Added option to "add all" to partially full Thread, Duct Tape, Twine etc
Added media/scripts/mannequins.txt which describes the model/texture/animation/etc for different mannequins.
Added BackupsOnVersionChange server option.
[NODOT]<BR>
Added a second set of translations to the Survival Guide that are displayed when using a controller.
Added < JOYPAD:XXX > formatting to rich text, where XXX is the name of a Joypad.Texture.XXX texture.
Device options can now be opened when radio is on floor, in loot window or when radio just dropped from inventory
[NODOT]<BR>
Added methods Texture.saveToCurrentSavefileDirectory(filename) and Texture.saveToZomboidDirectory(filename).
[NODOT]<INDENT:40> The filename may contain folder names, but not "..", to prevent saving to arbitrary locations.
[NODOT]<INDENT:40> These methods replace the broken Texture.save(filename) method.
[NODOT]<BR>
Clicking and holding the left mouse button when placing items now locks the item to the clicked square.
[NODOT]<BR>
Added XBOX_Menu.png and XBOX_View.png controller icons.
Added autouse new sack of gravel/sand/etc when pouring it on ground
Renamed Skill books so that they are easier to categorise.
ISClothingExtraAction now sets the item's job type to "Wear" and displays the progress of the action in the inventory window.
[NODOT]<BR>
3D items now shown as textures instead of models. The shouldn't slide around as much when the player moves.
[NODOT]<INDENT:40> This helps a lot with framerates when there are 100 nails on the ground, for example.
[NODOT]<INDENT:40> In debug mode, holding the HOME key will disable the item atlas and render models as before.
Added IsoSprite.ItemHeight and IsoSprite.Surface debug options to display a rectangle around surfaces that items can be placed on.
Changed some ItemHeight and Surface tile properties.
Added a title bar to the mini-map window which allows the mini-map to be repositioned.  The title bar and bottom row of buttons are hidden unless the mouse is over the mini-map.

 

[SECTION]MP
Removed vehicle physics from server (not client) to address some of the vehicular weirdness sometimes seen online
do not apply impulses to static / kinematic vehicles
limit changes of linear and angular velocities
Passengers no longer allowed to exit the car while moving
[NODOT]<BR>
Enable packet processing on the server
MultiplayerSeeNonPvpZones debug only option is added
[NODOT]<BR>
Local admin check is delayed after set-access-level command
Player update replay is commented out
Check for local admin kick is improved
Turn on player teleport logs on the server
Admin is not kickable from safehouse
[NODOT]<BR>
Burnt or smashed vehicle check is added for dismantle vehicle command
Car wreck is removed via new "dismantle" vehicle command
Only admin can delete vehicle via "remove" vehicle command
Add vehicle UI allows creation of burnt and smashed car wrecks
[NODOT]<BR>
Anti-cheat: fixed kick local admin issue
Cancel auth ticket on client shutdown
[NODOT]<BR>
Toggle timer is disabled in non-pvp area
[NODOT]<BR>
MultiplayerLightAmbient debug option is removed
[NODOT]<BR>
Refactored SafetySystem
Server option process cycles for SafetySystemManager are simplified
PVP safety is now set to true when PVP is disabled on server
Set the default Host server memory to 4GB on 64-bit systems. This is the value displayed in the "Server memory" combobox which is saved in Zomboid/Lua/host.ini.
Don't create a backup of the server savefile in Zomboid/backups/version if BackupsOnStart=false. This backup is created when a new version of the game is released, but only for the first server that is launched.
Hide the black overlay when the sleeping players are killed
[NODOT]<BR>
Improvements to how the MP game handles dead player bodies
DeadBody creation is moved to the server
DeadBody ID is added (World version 192)
Client does not allocate dead body ID
[NODOT]<BR>
Fixed player death animations
Fixed desaturation being set for dead player
Fixed reanimation delay timer starting immediately without 10 seconds delay
Fixed reanimation delay of 0-30 seconds
Fixed player death final animation
Fixed possible null point exception when zombie bites dead player
Fixed dead body grabbing breaking reanimation
Fixed dead body id not changing when added to world
Fixed desync of safety cooldown timer
Fixed sleeping player not being woken up in case of kick from safehouse
Fixed PVP icon being located over the map
Fixed players who could be kicked when admin removes that player from safehouse
Fixed when a non-owner player quits a safe house, other players also getting kicked.
Fixed when safehouse owner goes offline, the non-safehouse-members get teleported immediately
Fixed PVP button becoming inactive for each player across the map if Admin shot\got shot by a player"
Fixed player being kicked when admin creates or removes PVP zone
Fixed SyncNonPvpZone packet send/receive loop
Fixed newly connected player not having all the non PVP zones
Fixed possible nullpointer in checkForNearbyRadios
Fixed zed texture 4 being used for player texture 5 instead of random index
Fixed reanimated player corpse disappearing
Fixed being able to turn pvp on when server option PVP set to false.
Fixed BufferUnderflowException on the server in SneezeCough packet processing
Fixed possible NullPointerException in ClientPlayerDB.getAllSavedPlayers().
Fixed player appearance sync in multiplayer with greater than 32 connections.
Fixed erosion growth not being suppressed when building floors or digging graves in multiplayer.
Fixed radio sync in MP
Fixed players outside the Non-PVP zone being able to kill a player with a bomb located in that zone
Fixed player being able to remove PVP button cooldown in non-PVP zone
Fixed unexpected anti-cheat kick just after leaving non-PVP zone
Fixed being able to turn pvp on when server option PVP is set to false.
Fixed player being able to remove PVP button cooldown when in a non-PVP zone. (Safety cooldown timer is now stored/restored when player enters/leaves non-pvp-zone)

 

[SECTION]VHS Fix
Fixed listened-to media lines being saved globally instead of for each player. This could add over 200KB to each player's saved data if every line is listened to.
Fixed ClientPlayerDB handling of WorldVersion.
Transfer known media lines from recorded_media.bin to the player on the first load.
Check for null arguments to RecordedMedia.hasListenedToAll(). A mod seems to pass null for the IsoPlayer argument, which was ok when listened-to lines were stored globally instead of per-player. The mod file is es.info.books.main.lua.
[NODOT]<BR>
MODDER WARNING: This could break any mods that modify ISRadioInteractions.lua or are using the OnDeviceText event (which gained a new parameter).

[SECTION]MODDING

Fixed mod animations not being loaded if they aren't in a subdirectory of anims_X, or aren't in a subdirectory registered in animations_meshes.txt. Any such animations are added to the MaleBody model by default.
[NODOT]<BR>
[NODOT]Item tagging changes

[NODOT] MODDERS: PLEASE READ ADDENDUM DOCUMENTATION FOR INFO
[NODOT] https://theindiestone.com/forums/index.php?/topic/53019-details-on-the-improved-modding-tag-system-in-4169/
[NODOT]<BR>
Added new tags to some items: BlowTorch, Fork, GasMask, Glue, HazmatSuit, Knife, Razor, Scissors, Sledgehammer, Spoon, StartFire, WeldingMask. These tags are used in multiple places instead of looking for specific item types.
Added methods ItemContainer.getBestConditionEvalArg() and ItemContainer.getBestConditionEvalArgRecurse().
[NODOT]<BR>
Added a new item-script property ReplaceTypes which supersedes ReplaceOnUseOn (which is still supported).
[NODOT]<INDENT:40> The format is "ReplaceTypes=Key1 Type1;Key2 Type2;..." where each key is some string (such as WaterSource) and each type is an item type.
[NODOT]<INDENT:40> ReplaceTypes allows specifying different replacement item types for different uses of an item, for example, filling an empty item with water and/or with gasoline.
[NODOT]<INDENT:40> It is used for the same thing as ReplaceOnUseOn, but allows multiple key/type mappings instead of only one.
[NODOT]<INDENT:40> These new methods were added to both Item and InventoryItem classes:
[NODOT]<INDENT:40> [NODOT]<INDENT:40> String getReplaceType()
[NODOT]<INDENT:40> [NODOT]<INDENT:40> HashMap<String,String> getReplaceTypes()
[NODOT]<INDENT:40> [NODOT]<INDENT:40> String getReplaceType(String key)
[NODOT]<INDENT:40> [NODOT]<INDENT:40> boolean hasReplaceType(String key)
[NODOT]<INDENT:40> The existing ReplaceOnUseOn lines in items.txt add a new value to the item's ReplaceTypes HashMap.
[NODOT]<LINE>
Script properties item.staticModel and item.worldStaticModel are set to the fully-qualified "module.type" after loading scripts. This is to fix mod items not finding "model" scripts that aren't in the Base module.
[NODOT]<LINE>

[SECTION]SOUND CHANGES
Added global parameters Electricity, RoomType, and Water.
Added a new tile property named "AmbientSound" to support custom ambient sounds from objects. Current values assigned to some tiles are:
[NODOT]<INDENT:40> FactoryMachineAmbiance
[NODOT]<INDENT:40> HotdogMachineAmbiance
[NODOT]<INDENT:40> PayPhoneAmbiance
[NODOT]<INDENT:40> StreetLightAmbiance
[NODOT]<INDENT:40> NeonLightAmbiance
[NODOT]<INDENT:40> NeonSignAmbiance
[NODOT]<INDENT:40> JukeboxAmbiance
[NODOT]<INDENT:40> ControlStationAmbiance
[NODOT]<INDENT:40> ClockAmbiance
[NODOT]<INDENT:40> GasPumpAmbiance
[NODOT]<INDENT:40> LightBulbAmbiance
[NODOT]<INDENT:40> 
The FMOD global parameter "Electricity" is set to 0.0 when the new WorldEventElectricityShutdown event passes the "ElectricityOff" timeline marker.
Added FMOD parameter value RoomType=Factory.
Changed debugSetRoomType() to accept an integer instead of the name of an enum value.
[NODOT]<BR>
Added sounds:
[NODOT]<INDENT:40> ArcadeMachineAmbiance
[NODOT]<INDENT:40> CanisterAddFuelFromGasPump
[NODOT]<INDENT:40> CanisterAddFuelSiphon
[NODOT]<INDENT:40> VehicleAddFuelFromCanister
[NODOT]<INDENT:40> VehicleAddFuelFromGasPump
[NODOT]<INDENT:40> VehicleHeadlightsOn
[NODOT]<INDENT:40> VehicleHeadlightsOff
[NODOT]<INDENT:40> VehicleWindowHandleOpen
[NODOT]<INDENT:40> VehicleWindowHandleClose
[NODOT]<INDENT:40> VehicleWindowElectricOpen
[NODOT]<INDENT:40> VehicleWindowElectricClose
[NODOT]<INDENT:40> 
Synchronize room lights and other objects losing power with the ElectricityOff timeline marker.
Added PlaceOneSound and PlaceMultipleSound item script properties.
[NODOT]<INDENT:40> These are played when placing items using the "Place Item" command.
[NODOT]<INDENT:40> The default sound played if these aren't defined is PutItemInBag (the same sound played when dropping items).
[NODOT]<INDENT:40> 
Added BoxOfRoundsOpenOne and BoxOfShellsOpenOne sounds to some recipes.
[NODOT]<INDENT:40> Increased the time of these recipes to allow the sound to play.  The time is still quite short (was 5 ticks, now 15 ticks).  Probably nobody will die waiting.
[NODOT]<BR>
Added FountainBigAmbiance sound played to the multi-tile water fountain.
[NODOT]<INDENT:40> The sound doesn't seem to loop and stops after several seconds.
[NODOT]<INDENT:40> 
Added RepairWithWrench sound played when plumbing sinks and for the moveables Wrench tool sound.
Added value MetalGate to the FenceTypeLow and TripObstacleType parameters.
[NODOT]<BR>
Added sounds:
[NODOT]<INDENT:40> BBQPropaneTankInsert
[NODOT]<INDENT:40> BBQPropaneTankRemove
[NODOT]<INDENT:40> BBQPropaneRunning
[NODOT]<INDENT:40> BBQRegularAddFuel
[NODOT]<INDENT:40> BBQRegularLight
[NODOT]<INDENT:40> BBQRegularRunning
[NODOT]<INDENT:40> CampfireAddFuel
[NODOT]<INDENT:40> CampfireRunning
[NODOT]<INDENT:40> CampfireLight
[NODOT]<INDENT:40> CampfireBuild
[NODOT]<INDENT:40> FireplaceAddFuel
[NODOT]<INDENT:40> FireplaceRunning
[NODOT]<INDENT:40> FireplaceLight
[NODOT]<INDENT:40> ZombieTrip
[NODOT]<INDENT:40> ZombieThumpGarageDoor
[NODOT]<BR>
Added EquippedBaggageContainer FMOD parameter.
Added "SoundParameter = Name Value" item-script property.
Added FMOD parameter SinkType=Generic|Ceramic|Metallic which affects the WaterDrip sound.
[NODOT]<BR>
Hitting trees with weapons and bare hands plays the weapon's HitSound instead of ChopTree.
A melee weapon's SwingSound is now played via animation events instead of at the start of SwipeStatePlayer.
[NODOT]<INDENT:40> This allows using different sounds for different attack animations.
[NODOT]<INDENT:40> Currently this is used to play a different sound for spear stab versus spear slash attacks.
Play the WorldEventElectricityShutdown event from the nearest square in a building when outdoors.
Set the FMOD parameter "RoomType" using RoomType objects added in WorldEd.
[NODOT]<BR>
Changed how ambient sounds are played from doors and windows.
[NODOT]<INDENT:40> Instead of choosing random objects, only the nearest exterior objects will play sound.
[NODOT]<INDENT:40> Different sounds are played depending on whether the door or window is open or closed.
[NODOT]<INDENT:40> This will be used for playing rain and wind sounds when the player is inside.
[NODOT]<INDENT:40> 
Fixed the BurningFlesh sound not stopping in multiplayer after a player dies.
Fixed the barbecue and fireplace extinguish sounds stopping instead of being triggered to fade out.
Play an animation when turning a propane barbecue on and off.
Fixed crouching when extinguishing a charcoal barbecue.

[SECTION]CONTROLLER / STEAMDECK IMPROVEMENTS
ProjectZomboid64.exe will disable the -XX:+UseZGC option if a required function is undefined in Kernel32.dll.
[NODOT]<INDENT:40> Steam Proton does not define the MapViewOfFile3() function, which prevents the Windows version of the game starting on the Steam Deck.
[NODOT]<INDENT:40> Conveniently, MapViewOfFile3() is only available on Windows 10 1803, the same version ZGC requires.
When options.ini doesn't exist on startup, set the display to fullscreen desktop resolution.
When options.ini doesn't exist on startup on Steam Deck, call Core.setOptionActiveController() to enable the controller.
[NODOT]<BR>
Allow precise positioning when placing items using a controller. This is done by holding the Y button and using either D-pad or the left joystick to move the item around the square. When there is more than one surface, it can be changed by pressing the right shoulder button while the Y button is held down.
[NODOT]<BR>
Enabled the on-screen keyboard in CoopUserName.lua.
Leave room for two lines of tooltip text at the bottom of the character-creation profession ui.
Several panels in the main menu can be scrolled using the right joystick.
[NODOT]<BR>
The Start/Menu button will display the main menu in single-player, or resume normal game speed.
[NODOT]<INDENT:40> This is instead of pressing once to pause the game and double-pressing to display the main menu.
[NODOT]<INDENT:40> The game can still be paused using the Back/View button radial menu.
[NODOT]<BR>
Added controller navigation in the Workshop ui (for submitting Workshop items). NOTE: The controller doesn't work in the Steam overlay, which some buttons display.
Allow mouse clicks etc in the inventory and loot windows when a controller is active.
Added controller navigation to the Temperature tab of the character info window.
Made the selection in the Health panel easier to see.
Made the character-info window more opaque.
Made CharacterCreationMain wider at lower resolutions to avoid overlap.
Added a button to the on-screen keyboard to hide and show password text.
Enabled controller navigation in the server browser ui.
Enabled controller navigation in the server-settings editor.
Put the inventory and loot windows in their default positions if the controller is disconnected and "Use Keyboard and Mouse" is selected.
[NODOT]<BR>
Fixed navigation in the Multiplayer tab in the options.
Fixed editing server spawn regions with a controller.
Fixed the filter checkboxes going outside the ui on small screens.
Fixed being unable to navigate to the filter checkboxes and some other buttons.
Fixed controller focus when creating a splitscreen player.
Fixed toggling the mod under the mouse pointer when pressing the controller A button.
Fixed several cases of improper controller focus after clicking buttons with the mouse.
Fixed Lua error in MapSpawnSelect when the filename entry is hidden.
Fixed LoadingQueueState disconnecting immediately due to the A button being pressed, after pressing it in the last character-creation panel.
Fixed ISGameLoadingUI not receiving the controller focus when an unexpected error occurred while loading.
Fixed BootstrapConnectPopup, ServerConnectPopup and ServerWorkshopItemScreen not working with a controller.
Fixed Build 41 popup and DebugScenarios ui appearing overtop BootstrapConnectPopup.
Fixed cancellation in ServerWorkshopItemScreen throwing an exception in ConnectToServerState due to GameClient.connection being null.
Fixed using the controller X button to "Toggle Vision Info" in the foraging ui.
Fixed rendering the post-death ui for split-screen players 3 and 4 in the top half of the screen.
Fixed a Lua error pressing the Y button when moving furniture when the player isn't on a square.

[SECTION]BALANCE
Added BedType property to the Pizza-Whirled seats which fixes pizza spawning on them.
Added amount of bait items to Fishing UI
Added dismantling cameras for scrap/skill points
Plastic bags and paper money can now be used as tinder.
Doors broken by zombies now give unusable wood instead of planks.
Container items now grouped together into their type in the context menu, so you can 'fill all' of a certain container.
Players now able to stack and unstack logs on the ground
Cars now remember their cruise control setting 
Breaking vehicle windows now produces broken glass
Decrease zed attraction volume of “remove broken glass action"
Updated and fixed item categorizations
Updated evolvedrecipes.txt and items_food.txt.
Removed Cookable:true from the Burger evolved recipe.
Added the "|Cooked" flag to Burger ingredients in farming.txt.
Updated distributions Lua files

[SECTION]UI
When placing items, the inventory and loot windows are collapsed if they aren't pinned open.
When placing items, mouse clicks on world objects are ignored to prevent the loot window popping open.
Set the width of ISEquippedItem to match its buttons.  This fixes the wider invisible area blocking mouse clicks.
Fixed commented-out DeadBodyAtlas debug rendering.
Set the texture compression option to be on by default.

[SECTION]DEBUG
Updated Debug context menu.
Updated Debug Menu UI.
Added Z param to teleport.
Added change vehicle skin option to debug.
Added Sync for changing color, blood and skin of vehicles.
[NODOT]<BR>
Refactored "Remove Item"-tool UI.
[NODOT]<BR>
Added option to the F11 UI: Disable Welcome message (Works only in debug mode).
Added Reload Lua button to main screen (only in debug mode).
Added Cheats Panel in debug menu. Updated cheat list (merged in options from Admin and F11 menu).
Added fast move cheat (Controls: Arrow keys, Page Up/Down) (Debug and Admin panel).
Added Admin context menu options (some options from debug).
Added cheat Spawn Key door
[NODOT]<BR>
Added LootZed tool
Added LootZed tool cheat (Check what can spawn in a container with what chance)
Added remove items tools
Added Remove items tools in Debug mode (Option for remove items from container menu and option in Debug UI for remove items in area)
Added options to the "[DEBUG] Objects" menu to:
[NODOT]<INDENT:40> 1) Change a mannequin's script.
[NODOT]<INDENT:40> 2) Create a Moveable item in the player's inventory for a chosen mannequin script.
[NODOT]<BR>
Changes to the debug Items List UI:
Don't recreate the ui each time it is displayed, because it's slow.
Keyboard focus is set to the "Type" text-entry box each time the ui is displayed.
Pressing the Tab key switches focus between the "Type" and "Name" text-entry boxes when either one has the focus.

[SECTION]FIXES
Fixed the player's head being semi-transparent where hair and beard stubble appears. This also fixes semi-transparency that has always been there around the edges of holes in clothing.
Fixed the controller tooltip text in the character-creation profession ui not displaying.
Fixed the overly-long delay before changing the volume of a cd player or television when using a controller.
Fixed spam messages about CDplayer's invalid world sprite.
Fixed the player not running when moving too slowly to sprint.
Fixed the character-creation Add Trait button being covered by the controller tooltip text.
Fixed placing multiple items locking the items to the first square that is clicked.
Fixed controller focus not being set to the "Check back cover" ui.
Fixed exploit holding down the Escape key before starting certain actions.
Fixed taking damage when walking down stairs while faster-forwarding.
